(TeX-add-style-hook
 "akletter"
 (lambda ()
   (TeX-run-style-hooks
    "leqno"
    "fleqn")
   (TeX-add-symbols
    '("descriptionlabel" 1)
    '("mlabel" 2)
    '("encl" 1)
    '("cc" 1)
    '("closing" 1)
    '("opening" 1)
    '("telefax" 1)
    '("telephone" 1)
    '("signature" 1)
    '("name" 1)
    '("usename" 1)
    "foldhskip"
    "foldvskipi"
    "foldvskipii"
    "foldvskipiii"
    "pnumfont"
    "headfont"
    "reffont"
    "reftextfont"
    "makelabels"
    "stopbreaks"
    "startbreaks"
    "ps"
    "stopletter"
    "labelcount"
    "startlabels"
    "rm"
    "sf"
    "tt"
    "bf"
    "it"
    "sl"
    "sc"
    "cal"
    "mit"
    "captionsenglish"
    "captionsUSenglish"
    "captionsgerman"
    "captionsaustrian"
    "captionsfrench"
    "captionsdanish"
    "yourrefname"
    "yourmailname"
    "myrefname"
    "mymailname"
    "customername"
    "invoicename"
    "subjectname"
    "ccname"
    "enclname"
    "headtoname"
    "datename"
    "pagename"
    "telephonename"
    "telefaxname"
    "dateenglish"
    "dateUSenglish"
    "dategerman"
    "dateiso"
    "today"
    "dateaustrian"
    "datefrench"
    "username"
    "fromname"
    "fromsig"
    "telephonenum"
    "telefaxnum"
    "adrentry"
    "adrchar"
    "protect"
    "toname"
    "toaddress"
    "vspace"
    "yref"
    "ymail"
    "myref"
    "mymail"
    "refdatename"
    "subject"
    "invoice"
    "customer"
    "specialmail"
    "email"
    "mailbox"
    "makelabel")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("letter" 1)
    "description"
    "verse"
    "quotation"
    "quote")
   (LaTeX-add-pagestyles
    "headings"
    "empty"
    "firstpage"
    "plain")
   (LaTeX-add-lengths
    "aktextwidth"
    "aktextheight"
    "akoffsetwidth"
    "rightfield"
    "leftfield"
    "addrfieldindent"
    "addrfieldsep"
    "datefieldsep"
    "openingsep")
   (LaTeX-add-saveboxes
    "FIRM"
    "firm"
    "firmaddress"
    "FIRMHEAD"
    "firmreturn"
    "firmfoot"))
 :latex)

