(TeX-add-style-hook
 "algorithmicx"
 (lambda ()
   (TeX-run-style-hooks
    "ifthen")
   (TeX-add-symbols
    '("algdefaulttext" ["argument"] 1)
    '("algnotext" ["argument"] 1)
    '("algrenewtext" ["argument"] 1)
    '("alglanguage" 1)
    '("algdeflanguage" 1)
    '("algsetlanguage" 1)
    '("algnewlanguage" 1)
    '("algdef" 1)
    "ALG"
    "algnewcommand"
    "algrenewcommand"
    "algrenewcomment"
    "algbreak"
    "algblock"
    "algcblock"
    "algloop"
    "algcloop"
    "algsetblock"
    "algsetcblock"
    "algblockx"
    "algblockdefx"
    "algcblockx"
    "algcblockdefx"
    "algsetblockx"
    "algsetblockdefx"
    "algsetcblockx"
    "algsetcblockdefx"
    "algloopdefx"
    "algcloopx"
    "algcloopdefx"
    "algtext"
    "BState"
    "Statex"
    "Comment"
    "algref"
    "algstore"
    "algrestore")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0))
   (LaTeX-add-lengths
    "ALG"))
 :latex)

