(TeX-add-style-hook
 "amssymb"
 (lambda ()
   (TeX-run-style-hooks
    "amsfonts")
   (TeX-add-symbols
    "boxdot"
    "boxplus"
    "boxtimes"
    "blacksquare"
    "centerdot"
    "blacklozenge"
    "circlearrowright"
    "circlearrowleft"
    "leftrightharpoons"
    "boxminus"
    "Vdash"
    "Vvdash"
    "vDash"
    "twoheadrightarrow"
    "twoheadleftarrow"
    "leftleftarrows"
    "rightrightarrows"
    "upuparrows"
    "downdownarrows"
    "upharpoonright"
    "downharpoonright"
    "upharpoonleft"
    "downharpoonleft"
    "rightarrowtail"
    "leftarrowtail"
    "leftrightarrows"
    "rightleftarrows"
    "Lsh"
    "Rsh"
    "leftrightsquigarrow"
    "looparrowleft"
    "looparrowright"
    "circeq"
    "succsim"
    "gtrsim"
    "gtrapprox"
    "multimap"
    "therefore"
    "because"
    "doteqdot"
    "triangleq"
    "precsim"
    "lesssim"
    "lessapprox"
    "eqslantless"
    "eqslantgtr"
    "curlyeqprec"
    "curlyeqsucc"
    "preccurlyeq"
    "leqq"
    "leqslant"
    "lessgtr"
    "backprime"
    "risingdotseq"
    "fallingdotseq"
    "succcurlyeq"
    "geqq"
    "geqslant"
    "gtrless"
    "bigstar"
    "between"
    "blacktriangledown"
    "blacktriangleright"
    "blacktriangleleft"
    "vartriangle"
    "blacktriangle"
    "triangledown"
    "eqcirc"
    "lesseqgtr"
    "gtreqless"
    "lesseqqgtr"
    "gtreqqless"
    "Rrightarrow"
    "Lleftarrow"
    "veebar"
    "barwedge"
    "doublebarwedge"
    "measuredangle"
    "sphericalangle"
    "varpropto"
    "smallsmile"
    "smallfrown"
    "Subset"
    "Supset"
    "Cup"
    "Cap"
    "curlywedge"
    "curlyvee"
    "leftthreetimes"
    "rightthreetimes"
    "subseteqq"
    "supseteqq"
    "bumpeq"
    "Bumpeq"
    "lll"
    "ggg"
    "circledS"
    "pitchfork"
    "dotplus"
    "backsim"
    "backsimeq"
    "complement"
    "intercal"
    "circledcirc"
    "circledast"
    "circleddash"
    "lvertneqq"
    "gvertneqq"
    "nleq"
    "ngeq"
    "nless"
    "ngtr"
    "nprec"
    "nsucc"
    "lneqq"
    "gneqq"
    "nleqslant"
    "ngeqslant"
    "lneq"
    "gneq"
    "npreceq"
    "nsucceq"
    "precnsim"
    "succnsim"
    "lnsim"
    "gnsim"
    "nleqq"
    "ngeqq"
    "precneqq"
    "succneqq"
    "precnapprox"
    "succnapprox"
    "lnapprox"
    "gnapprox"
    "nsim"
    "ncong"
    "diagup"
    "diagdown"
    "varsubsetneq"
    "varsupsetneq"
    "nsubseteqq"
    "nsupseteqq"
    "subsetneqq"
    "supsetneqq"
    "varsubsetneqq"
    "varsupsetneqq"
    "subsetneq"
    "supsetneq"
    "nsubseteq"
    "nsupseteq"
    "nparallel"
    "nmid"
    "nshortmid"
    "nshortparallel"
    "nvdash"
    "nVdash"
    "nvDash"
    "nVDash"
    "ntrianglerighteq"
    "ntrianglelefteq"
    "ntriangleleft"
    "ntriangleright"
    "nleftarrow"
    "nrightarrow"
    "nLeftarrow"
    "nRightarrow"
    "nLeftrightarrow"
    "nleftrightarrow"
    "divideontimes"
    "varnothing"
    "nexists"
    "Finv"
    "Game"
    "eth"
    "eqsim"
    "beth"
    "gimel"
    "daleth"
    "lessdot"
    "gtrdot"
    "ltimes"
    "rtimes"
    "shortmid"
    "shortparallel"
    "smallsetminus"
    "thicksim"
    "thickapprox"
    "approxeq"
    "succapprox"
    "precapprox"
    "curvearrowleft"
    "curvearrowright"
    "digamma"
    "varkappa"
    "Bbbk"
    "hslash"
    "backepsilon"
    "square"
    "rightsquigarrow"
    "lozenge"
    "vartriangleright"
    "vartriangleleft"
    "trianglerighteq"
    "trianglelefteq"
    "restriction"
    "Doteq"
    "doublecup"
    "doublecap"
    "llless"
    "gggtr")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)))
 :latex)

