(TeX-add-style-hook
 "amstex"
 (lambda ()
   (TeX-add-symbols
    '("cfrac" ["argument"] 2)
    '("qopname" 3)
    '("mspace" 3)
    '("boldsymbol" 1)
    "text"
    "pmb"
    "negmedspace"
    "negthickspace"
    "frac"
    "binom"
    "coprod"
    "bigvee"
    "bigwedge"
    "biguplus"
    "bigcap"
    "bigcup"
    "prod"
    "sum"
    "bigotimes"
    "bigoplus"
    "bigodot"
    "bigsqcup"
    "nobreakspace"
    "operatorname"
    "dots"
    "ldots"
    "cdots"
    "dotsc"
    "Gamma"
    "Delta"
    "Theta"
    "Lambda"
    "Xi"
    "Pi"
    "Sigma"
    "Upsilon"
    "Phi"
    "Psi"
    "Omega"
    "varGamma"
    "varDelta"
    "varTheta"
    "varLambda"
    "varXi"
    "varPi"
    "varSigma"
    "varUpsilon"
    "varPhi"
    "varPsi"
    "varOmega"
    "multlinegap"
    "Iat"
    "atchar"
    "ulcorner"
    "urcorner"
    "llcorner"
    "lrcorner"
    "dabar"
    "square"
    "lozenge"
    "vartriangleright"
    "vartriangleleft"
    "trianglerighteq"
    "trianglelefteq"
    "rightsquigarrow"
    "baselinestretch"
    "frenchspacing"
    "stepcounter"
    "label"
    "thepage"
    "big"
    "Big"
    "bigg"
    "Bigg"
    "noexpand"
    "AmSTeX"
    "AmS"
    "AmSfont"
    "thinspace"
    "negthinspace"
    "medspace"
    "thickspace"
    "implies"
    "impliedby"
    "frfrac"
    "dfrac"
    "tfrac"
    "frbinom"
    "dbinom"
    "tbinom"
    "colon"
    "dddot"
    "ddddot"
    "int"
    "oint"
    "iint"
    "iiint"
    "iiiint"
    "idotsint"
    "arccos"
    "arcsin"
    "arctan"
    "arg"
    "cos"
    "cosh"
    "cot"
    "coth"
    "csc"
    "deg"
    "det"
    "dim"
    "exp"
    "gcd"
    "hom"
    "inf"
    "injlim"
    "ker"
    "lg"
    "lim"
    "liminf"
    "limsup"
    "ln"
    "log"
    "max"
    "min"
    "Pr"
    "projlim"
    "sec"
    "sin"
    "sinh"
    "sup"
    "tan"
    "tanh"
    "operatornamewithlimits"
    "varinjlim"
    "varprojlim"
    "varliminf"
    "varlimsup"
    "numberwithin"
    "eqref"
    "bmod"
    "pod"
    "pmod"
    "mod"
    "lcfrac"
    "rcfrac"
    "overset"
    "underset"
    "sideset"
    "overrightarrow"
    "overleftarrow"
    "overleftrightarrow"
    "underrightarrow"
    "underleftarrow"
    "underleftrightarrow"
    "DOTSI"
    "DOTSB"
    "DOTSX"
    "dotsi"
    "dotso"
    "dotsb"
    "dotsm"
    "longrightarrow"
    "Longrightarrow"
    "longleftarrow"
    "Longleftarrow"
    "longleftrightarrow"
    "Longleftrightarrow"
    "mapsto"
    "longmapsto"
    "hookrightarrow"
    "hookleftarrow"
    "doteq"
    "iff"
    "overline"
    "boxed"
    "allowdisplaybreaks"
    "displaybreak"
    "intertext"
    "thetag"
    "adjusttag"
    "hdots"
    "hdotsfor"
    "arraystretch"
    "notag"
    "nonumber"
    "shoveright"
    "shoveleft"
    "tag"
    "protect"
    "theequation"
    "makeatother"
    "leftroot"
    "uproot"
    "root"
    "dasharrow"
    "rightleftharpoons"
    "angle"
    "hbar"
    "sqsubset"
    "sqsupset"
    "mho"
    "lhd"
    "unlhd"
    "rhd"
    "unrhd"
    "Box"
    "Diamond"
    "leadsto"
    "frak"
    "Bbb"
    "bold"
    "sphat"
    "spcheck"
    "sptilde"
    "spdot"
    "spddot"
    "spdddot"
    "spbreve"
    "fracwithdelims"
    "accentedsymbol")
   (LaTeX-add-environments
    "multline"
    "split"
    "gather"
    "xxalignat"
    "xalignat"
    "alignat"
    "align"
    "cases"
    "Vmatrix"
    "vmatrix"
    "bmatrix"
    "pmatrix"
    "matrix"
    "smallmatrix"
    "Sp"
    "Sb"
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    "aligned"
    "equation"
    "subequations")
   (LaTeX-add-counters
    "parentequation"))
 :latex)

