(TeX-add-style-hook
 "animate"
 (lambda ()
   (TeX-run-style-hooks
    "xkeyval"
    "ifthen"
    "ifpdf"
    "ifluatex"
    "ifdraft"
    "calc"
    "graphics"
    "pdfbase"
    "ocgbase"
    "pdftexcmds")
   (TeX-add-symbols
    '("animategraphics" ["argument"] 4)
    "string"
    "animategraphics"
    "width"
    "height"
    "depth"
    "totalheight"
    "newframe"
    "multiframe"
    "animateinline")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)))
 :latex)

