(TeX-add-style-hook
 "arraysort"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("lcg" "quiet")))
   (TeX-run-style-hooks
    "pdftexcmds"
    "lcg"
    "arrayjobx"
    "calc"
    "ifthen"
    "etoolbox"
    "xargs"
    "macroswap")
   (TeX-add-symbols
    '("sortArrayPartitionFirst" 4)
    '("sortArrayPartitionMid" 4)
    '("sortArrayPartitionRand" 4)
    '("sortArrayPartitionMed" 4)
    '("arraysortcomparenum" 2)
    '("arraysortcomparestr" 2))
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)))
 :latex)

