(TeX-add-style-hook
 "asypictureB"
 (lambda ()
   (TeX-run-style-hooks
    "fancyvrb"
    "graphicx"
    "pgfkeys"
    "ifplatform"
    "verbatimcopy")
   (TeX-add-symbols
    '("ASYPICcomparefiles" 2)
    '("asyset" 1)
    '("deletefile" 1)
    '("copyfile" 2)
    "shell"
    "asy"
    "getfontsize"
    "RequireAsyRecompile"
    "AsyCompileIfNecessary"
    "clearasyheader"
    "ASYPIC"
    "previousinteractionmode"
    "asyheader"
    "asypicture")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)))
 :latex)

