(TeX-add-style-hook
 "authorindex"
 (lambda ()
   (TeX-add-symbols
    "aisize"
    "aicite"
    "printauthorindex"
    "ainame"
    "aitop"
    "airep"
    "aifirst"
    "aipages"
    "aibibpage"
    "aifirstpage"
    "aioptions"
    "pagetypeorder"
    "aiseestring"
    "aitwostring"
    "ainocompressflag"
    "aiinbibflag"
    "aistyle"
    "citationpage"
    "bibpage"
    "aiexplicit"
    "aifilename"
    "aialsostrings"
    "aibibcite"
    "theaipage"
    "aipagetypeorder"
    "aisee"
    "aialso"
    "aitwosuffix"
    "aibibindex"
    "bibindex"
    "authorindexstyle"
    "ainamefmt"
    "aimaxauthors"
    "ainocite"
    "aionly"
    "aimention"
    "item")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    "theauthorindex"))
 :latex)

