(TeX-add-style-hook
 "bankstatement"
 (lambda ()
   (TeX-run-style-hooks
    "latex2e"
    "xkeyval"
    "xkvltxp"
    "article"
    "art10"
    "longtable"
    "tabularx"
    "xcolor"
    "graphicx"
    "booktabs"
    "datatool"
    "calc"
    "ifthen"
    "siunitx")
   (TeX-add-symbols
    '("bankstatement" ["argument"] 1)
    "STM")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)))
 :latex)

