(TeX-add-style-hook
 "bchart"
 (lambda ()
   (TeX-run-style-hooks
    "ifthen"
    "tikz")
   (TeX-add-symbols
    '("bcskip" ["argument"] 1)
    '("bcbar" ["argument"] 1)
    '("bcstripunit" 1)
    '("bcxlabel" 1)
    '("bclabel" 1)
    "bcfontstyle"
    "bcunit"
    "bcmin"
    "bcmax"
    "bcstep"
    "bcsteps"
    "bcscale"
    "bcplainchart"
    "bcbarcolor"
    "bcbartext"
    "bcbarlabel"
    "bcbarvalue"
    "bcplainbar"
    "bcskiplabel"
    "getbcxlabel"
    "bcrange")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0))
   (LaTeX-add-lengths
    "bcpos"
    "bcwidth"))
 :latex)

