(TeX-add-style-hook
 "beamerbasemisc"
 (lambda ()
   (TeX-add-symbols
    "contentsname"
    "listfigurename"
    "listtablename"
    "refname"
    "bibname"
    "indexname"
    "figurename"
    "algorithmname"
    "tablename"
    "partname"
    "chaptername"
    "appendixname"
    "abstractname"
    "beamer"
    "includegraphics"
    "headcommand"
    "dohead"
    "inserttotalframenumber"
    "partentry"
    "sectionentry"
    "slideentry"
    "today"
    "noexpand")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)))
 :latex)

