(TeX-add-style-hook
 "beamerbasetheorems"
 (lambda ()
   (TeX-run-style-hooks
    "amsmath"
    "amsthm")
   (TeX-add-symbols
    '("BeispielInline" 1)
    '("ExampleInline" 1)
    '("pushQED" 1)
    "thm"
    "popQED"
    "qedhere"
    "thmheadnl"
    "inserttheoremname"
    "inserttheorempunctuation"
    "inserttheoremnumber"
    "inserttheoremheadfont"
    "inserttheoremblockenv"
    "inserttheoremaddition"
    "insertproofname"
    "qedsymbol")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    "theorem"
    "corollary"
    "fact"
    "lemma"
    "problem"
    "solution"
    "definition"
    "definitions"
    "example"
    "examples"
    "Beispiel"
    "Beispiele"
    "Loesung"
    "Satz"
    "Folgerung"
    "Fakt"
    "Beweis"
    "Lemma"
    "Proof"
    "Theorem"
    "Problem"
    "Corollary"
    "Example"
    "Examples"
    "Definition"))
 :latex)

