(TeX-add-style-hook
 "blindtext"
 (lambda ()
   (TeX-run-style-hooks
    "xspace")
   (TeX-add-symbols
    '("blindlistlist" ["argument"] 1)
    '("Blindtext" ["argument"] 0)
    '("blindtext" ["argument"] 0)
    '("blindmarkup" 1)
    '("Blindlistoptional" 1)
    '("blindlistoptional" 1)
    '("Blindlist" 1)
    '("blindlist" 1)
    '("parend" 1)
    '("parstart" 1)
    "grqq"
    "glqq"
    "blind"
    "blindlistlistoptional"
    "blinditemize"
    "blindenumerate"
    "Blinditemize"
    "Blindenumerate"
    "blinddescription"
    "Blinddescription"
    "blinddocument"
    "Blinddocument"
    "blindmathpaper"
    "blindfileversion"
    "blindfiledate"
    "oldblindmathtrue"
    "oldblindmathfalse")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0))
   (LaTeX-add-counters
    "Blindtext"
    "blindlist"
    "blindlistlevel"))
 :latex)

