(TeX-add-style-hook
 "blkarray"
 (lambda ()
   (TeX-run-style-hooks
    "latex2e"
    "docstrip"
    "article"
    "art10"
    "doc")
   (TeX-add-symbols
    "BAtracing"
    "BAextrarowheight"
    "BAextraheightafterhline"
    "BAarrayrulewidth"
    "BAdoublerulesep"
    "BAfootskip"
    "plain"
    "batchfile"
    "Left"
    "Right"
    "BAmulticolumn"
    "BAmultirow"
    "BAnoalign"
    "begin"
    "end"
    "BAparfootnotes"
    "footnotetext"
    "BAnewcolumntype"
    "protect"
    "BAhline"
    "BAhhline")
   (LaTeX-add-environments
    "blockarray"
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0))
   (LaTeX-add-counters
    "BAenumi"))
 :latex)

