(TeX-add-style-hook
 "blochsphere"
 (lambda ()
   (TeX-run-style-hooks
    "tikz"
    "etoolbox"
    "environ"
    "ifthen"
    "kvsetkeys"
    "kvoptions")
   (TeX-add-symbols
    '("computeVisibility" ["argument"] 4)
    '("computeOffset" ["argument"] 1)
    '("drawStatePolar" ["argument"] 3)
    '("drawStateLatLon" ["argument"] 3)
    '("labelLatLon" ["argument"] 3)
    '("labelPolar" ["argument"] 3)
    '("drawAxis" ["argument"] 2)
    '("drawRotationRight" ["argument"] 4)
    '("drawRotationLeft" ["argument"] 4)
    '("drawLongitudeCircle" ["argument"] 1)
    '("drawLatitudeCircle" ["argument"] 1)
    '("drawSmallCircle" ["argument"] 3)
    '("drawGreatCircle" ["argument"] 2)
    '("drawCircle" ["argument"] 2)
    '("setLongitudinalDrawingPlane" ["argument"] 1)
    '("setLatitudinalDrawingPlane" ["argument"] 1)
    '("setDrawingPlane" ["argument"] 2)
    '("drawBallGrid" ["argument"] 2)
    '("drawBall" ["argument"] 0)
    '("tmp" 1))
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)))
 :latex)

