(TeX-add-style-hook
 "bloques"
 (lambda ()
   (TeX-run-style-hooks
    "tikz")
   (TeX-add-symbols
    '("bMarkNodeDown" 1)
    '("bMarkNodeUp" 1)
    '("bMarkNode" 1)
    '("bNewStart" 2)
    '("bCrossGain" 3)
    '("bFeedBack" 2)
    '("bPlusF" 1)
    '("bMinusF" 1)
    '("bGainMinus" 2)
    '("bGainPlus" 2)
    '("bGain" 1)
    '("bEnd" 1)
    '("bMinusUp" 1)
    '("bMinusDown" 1)
    '("bPlusUp" 1)
    '("bPlusDown" 1)
    '("bStart" 1)
    '("ydistance" 1)
    '("bColorL" 1)
    '("bColorT" 1)
    '("bColorB" 1)
    "xdistancia"
    "ydistancia"
    "minaltura"
    "tamano"
    "colorfondo"
    "colortexto"
    "colorlinea"
    "sombra"
    "ancholinea"
    "bShadow")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)))
 :latex)

