(TeX-add-style-hook
 "boxhandler"
 (lambda ()
   (TeX-run-style-hooks
    "ifthen"
    "pbox")
   (TeX-add-symbols
    '("hyperactive" ["argument"] 0)
    '("constrainCaptionWidth" ["argument"] 1)
    '("limitCaptionWidth" ["argument"] 0)
    '("relaxCaptionWidth" ["argument"] 0)
    '("theClearedFigure" ["argument"] 5)
    '("nextFigure" ["argument"] 0)
    '("ReciteFigure" ["argument"] 5)
    '("StoreFigure" ["argument"] 4)
    '("bxfigure" ["argument"] 2)
    '("theClearedTable" ["argument"] 5)
    '("nextTable" ["argument"] 0)
    '("ReciteTable" ["argument"] 5)
    '("StoreTable" ["argument"] 4)
    '("bxtable" ["argument"] 2)
    '("WrapperOn" ["argument"] 0)
    '("captionStyle" 2)
    '("SaveCBox" 2)
    '("Wrapper" 1)
    "holdTables"
    "holdFigures"
    "WrapperOff"
    "clearTables"
    "clearFigures"
    "set"
    "killtableofcontents"
    "killlistoffigures"
    "holdlistoffigures"
    "clearlistoffigures"
    "killlistoftables"
    "holdlistoftables"
    "clearlistoftables"
    "hyper"
    "CaptionJustification"
    "WrapperTextStyle"
    "WrapperText"
    "WrapperTextDefault"
    "wrapper"
    "TableBoxLabel"
    "TableCaptionLabel"
    "TblCaptionWidthLabel"
    "TableWrapper"
    "FigureBoxLabel"
    "FigureCaptionLabel"
    "FigCaptionWidthLabel"
    "FigureWrapper"
    "WrapperStatus"
    "oldlistoffigures"
    "oldlistoftables"
    "arltable"
    "arlfigure")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0))
   (LaTeX-add-counters
    "TableIndex"
    "FigureIndex"
    "TableClearedIndex"
    "FigureClearedIndex"
    "abovecaptionskipterm"
    "belowcaptionskipterm"
    "promptTablesFlag"
    "promptFiguresFlag"
    "lofInvocations"
    "lofPrints"
    "lotInvocations"
    "lotPrints")
   (LaTeX-add-lengths
    "oldabovecaptionskip"
    "oldbelowcaptionskip"
    "captionGap"
    "TableDeadMargin"
    "FigureDeadMargin"
    "DeadMargin"
    "CaptionBoxWidth"
    "csname"
    "hyper"))
 :latex)

