(TeX-add-style-hook
 "cyber"
 (lambda ()
   (TeX-run-style-hooks
    "longtable"
    "color"
    "index"
    "fancyhdr"
    "graphicx")
   (TeX-add-symbols
    '("executivesummaryiacontrol" 2)
    '("change" 3)
    '("makedodtitle" 0)
    '("booksecuritylabel" 1)
    '("articlesecuritylabel" 1)
    '("documents" 2)
    '("documented" 2)
    '("prescribed" 2)
    '("doneby" 3)
    '("notapplicable" 2)
    '("bydefault" 3)
    '("unimplemented" 3)
    '("implements" 2)
    '("sectionnamehelper" 3)
    '("explanationshelper" 3)
    '("compliancehelper" 3)
    '("marginhelper" 3)
    '("indexhelper" 3)
    '("iaindexheadstyle" 1)
    '("namedrequirement" 3)
    '("requirement" 2)
    '("requirementsdocument" 3)
    "narrowermargins"
    "foreach"
    "addtosectionname"
    "iamarginsize"
    "distributionA"
    "distributionB"
    "distributionC"
    "distributionD"
    "distributionE"
    "distributionF"
    "version"
    "today")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    "changelog"
    "executivesummary"))
 :latex)

