(TeX-add-style-hook
 "dataref"
 (lambda ()
   (TeX-run-style-hooks
    "pgf"
    "iftex"
    "kvoptions"
    "etoolbox"
    "pdfcomment"
    "xtab"
    "booktabs")
   (TeX-add-symbols
    '("drefformat" ["argument"] 1)
    '("drefinput" ["argument"] 1)
    '("drefsave" ["argument"] 2)
    '("drefset" ["argument"] 2)
    '("drefassert" 1)
    '("drefhelp" 1)
    '("drefsethelp" 2)
    "drefcellcount"
    "drefusagereport"
    "drefloaded"
    "drefifdefined"
    "drefkeys"
    "drefprefix"
    "drefref"
    "dref"
    "drefgetvalue"
    "drefvalueof"
    "drefcalc"
    "drefprojection"
    "rename"
    "id"
    "calc"
    "doX"
    "drefrow"
    "sep"
    "drefusagereportaftergroup"
    "drefusagereportbeforerow"
    "drefusagereportbeforetitle"
    "drefusagereportaftertitle"
    "drefusagereportbeforedescription"
    "drefrel"
    "drefunit")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3))
   (LaTeX-add-lengths
    "dreflinewidth"))
 :latex)

