(TeX-add-style-hook
 "datatool-base"
 (lambda ()
   (TeX-run-style-hooks
    "etoolbox"
    "amsmath"
    "xkeyval"
    "xfor"
    "ifthen"
    "substr")
   (TeX-add-symbols
    '("DTLiscurrencyunit" 2)
    '("DTLiscurrency" 1)
    '("DTLisreal" 1)
    '("DTLisint" 1)
    '("DTLisnumerical" 1)
    '("DTLisstring" 1)
    '("DTLisFPgteq" 2)
    '("DTLisFPlteq" 2)
    '("DTLisFPeq" 2)
    '("DTLisFPgt" 2)
    '("DTLisFPlt" 2)
    '("DTLisFPopenbetween" 3)
    '("DTLisiopenbetween" 3)
    '("DTLisopenbetween" 3)
    '("DTLisiclosedbetween" 3)
    '("DTLisclosedbetween" 3)
    '("DTLisnumopenbetween" 3)
    '("DTLisnumclosedbetween" 3)
    '("DTLisinlist" 2)
    '("DTLisPrefix" 2)
    '("DTLisSubString" 2)
    '("DTLisieq" 2)
    '("DTLiseq" 2)
    '("DTLisigt" 2)
    '("DTLisgt" 2)
    '("DTLisilt" 2)
    '("DTLislt" 2)
    '("DTLifnumopenbetween" 5)
    '("DTLifnumclosedbetween" 5)
    '("DTLifStartsWith" 4)
    '("DTLifSubString" 4)
    '("DTLifnumeq" 4)
    '("DTLifnumgt" 4)
    '("dtlparsewords" 2)
    '("dtlifcasechargroup" 4)
    '("dtlcomparewords" 3)
    '("dtlicomparewords" 3)
    '("dtlletterindexcompare" 3)
    '("dtlwordindexcompare" 3)
    '("dtlicompare" 3)
    '("dtlsetdefaultUTFviiilccharcode" 2)
    '("dtlsetdefaultUTFviiicharcode" 2)
    '("dtlsetUTFviiilccharcode" 2)
    '("dtlsetUTFviiicharcode" 2)
    '("dtlsetlccharcode" 2)
    '("dtlsetcharcode" 2)
    '("dtlcompare" 3)
    '("DTLifnumlt" 4)
    '("DTLifcasedatatype" 5)
    '("DTLifcurrencyunit" 4)
    '("DTLifcurrency" 3)
    '("DTLifstring" 3)
    '("DTLifint" 3)
    '("DTLifreal" 3)
    '("DTLifnumerical" 3)
    '("DTLsubstituteall" 3)
    '("DTLsplitstring" 4)
    '("DTLsubstitute" 3)
    '("DTLifAllLowerCase" 3)
    '("DTLifAllUpperCase" 3)
    '("DTLstoreinitials" 2)
    '("DTLinitials" 1)
    '("DTLgclip" 3)
    '("DTLclip" 2)
    '("DTLgtrunc" 3)
    '("DTLtrunc" 3)
    '("DTLground" 3)
    '("DTLround" 3)
    '("DTLgsdforall" 2)
    '("DTLsdforall" 2)
    '("DTLgvarianceforall" 2)
    '("DTLvarianceforall" 2)
    '("DTLgmeanforall" 2)
    '("DTLmeanforall" 2)
    '("DTLgmaxall" 2)
    '("DTLmaxall" 2)
    '("DTLgmax" 3)
    '("DTLmax" 3)
    '("DTLgminall" 2)
    '("DTLminall" 2)
    '("DTLgmin" 3)
    '("DTLmin" 3)
    '("DTLgsqrt" 2)
    '("DTLsqrt" 2)
    '("DTLgneg" 2)
    '("DTLneg" 2)
    '("DTLgabs" 2)
    '("DTLabs" 2)
    '("DTLgdiv" 3)
    '("DTLdiv" 3)
    '("DTLgmul" 3)
    '("DTLmul" 3)
    '("DTLgsub" 3)
    '("DTLsub" 3)
    '("DTLgaddall" 2)
    '("DTLaddall" 2)
    '("DTLgadd" 3)
    '("DTLadd" 3)
    '("DTLsetdefaultcurrency" 1)
    '("DTLnewcurrencysymbol" 1)
    '("DTLdecimaltocurrency" 2)
    '("DTLdecimaltolocale" 2)
    '("DTLsetnumberchars" 2)
    '("edtlinsertinto" 3)
    '("dtlinsertinto" 3)
    '("dtlsortlist" 2)
    '("DTLnumitemsinlist" 2)
    '("DTLifinlist" 4)
    '("dtlifintclosedbetween" 5)
    '("dtlifintopenbetween" 5)
    "dtlenableUTFviii"
    "dtldisableUTFviii"
    "dtl"
    "toks"
    "DTLafterinitials"
    "DTLbetweeninitials"
    "DTLafterinitialbeforehyphen"
    "DTLinitialhyphen"
    "DTLifstringlt"
    "DTLiflt"
    "DTLifstringgt"
    "DTLifgt"
    "DTLifstringeq"
    "DTLifeq"
    "DTLifstringclosedbetween"
    "DTLifclosedbetween"
    "DTLifstringopenbetween"
    "DTLifopenbetween"
    "noexpand"
    "datatoolpersoncomma"
    "datatoolplacecomma"
    "datatoolsubjectcomma"
    "datatoolparenstart"
    "DTLifFPopenbetween"
    "DTLifFPclosedbetween"
    "DTLisFPclosedbetween"
    "dtlforint"
    "dtlbreak"
    "dtlgforint")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("dtlenvgforint" 1))
   (LaTeX-add-lengths
    "dtl"))
 :latex)

