(TeX-add-style-hook
 "directory"
 (lambda ()
   (TeX-run-style-hooks
    "url")
   (TeX-add-symbols
    '("directory" ["argument"] 1)
    '("Dirnote" 1)
    '("Dirname" 1)
    '("Dirtitle" 1)
    '("Dirwaccount" 1)
    '("Dirraccount" 1)
    '("Dirpaccount" 1)
    '("Diraccount" 1)
    '("Dirwurl" 1)
    '("Dirrurl" 1)
    '("Dirpurl" 1)
    '("Dirurl" 1)
    '("Dirwemail" 1)
    '("Dirremail" 1)
    '("Dirpemail" 1)
    '("Diremail" 1)
    '("Dirwfax" 1)
    '("Dirrfax" 1)
    '("Dirpfax" 1)
    '("Dirfax" 1)
    '("Dirwcellular" 1)
    '("Dirrcellular" 1)
    '("Dirpcellular" 1)
    '("Dircellular" 1)
    '("Dirwphone" 1)
    '("Dirrphone" 1)
    '("Dirpphone" 1)
    '("Dirphone" 1)
    '("Dirwaddress" 1)
    '("Dirraddress" 1)
    '("Dirpaddress" 1)
    '("Diraddress" 1)
    '("Dirheader" 1)
    '("Dirlabel" 1)
    '("Dirnickname" 1)
    '("DirbirthyearAlone" 1)
    '("Dirbirthyear" 1)
    '("Dirbirthday" 2)
    "dirsymbol"
    "dirbirthday"
    "dirnote"
    "dirnickname"
    "diraddress"
    "dirand"
    "dirprivate"
    "dirresidence"
    "dirwork"
    "dirphone"
    "dircellular"
    "dirfax"
    "diremail"
    "dirurl"
    "diraccount"
    "dirtitle"
    "dirname"
    "dirpaddress"
    "dirraddress"
    "dirwaddress"
    "dirpphone"
    "dirrphone"
    "dirwphone"
    "dirpcellular"
    "dirrcellular"
    "dirwcellular"
    "dirpfax"
    "dirrfax"
    "dirwfax"
    "dirpemail"
    "dirremail"
    "dirwemail"
    "dirpurl"
    "dirrurl"
    "dirwurl"
    "dirpaccount"
    "dirraccount"
    "dirwaccount"
    "dirbegin"
    "dirnext"
    "dirend"
    "diritem"
    "protect"
    "directorystyle"
    "dir"
    "nobreakspace"
    "pdir"
    "rdir"
    "wdir"
    "nodir"
    "dirblock"
    "dirbreak"
    "dirgroup"
    "direndgroup"
    "dirbirf"
    "dirprif"
    "dirresf"
    "dirworf"
    "dirnotf"
    "dircheck"
    "dirlastletter"
    "dirandf"
    "dirnica"
    "dirbira"
    "dirbiya"
    "dirbyra"
    "dirnota"
    "diradda"
    "dirpadda"
    "dirradda"
    "dirwadda"
    "dirphoa"
    "dirpphoa"
    "dirrphoa"
    "dirwphoa"
    "dircela"
    "dirpcela"
    "dirrcela"
    "dirwcela"
    "dirfaxa"
    "dirpfaxa"
    "dirrfaxa"
    "dirwfaxa"
    "diremaa"
    "dirpemaa"
    "dirremaa"
    "dirwemaa"
    "dirurla"
    "dirpurla"
    "dirrurla"
    "dirwurla"
    "diracca"
    "dirpacca"
    "dirracca"
    "dirwacca"
    "dirtita"
    "dirnama")
   (LaTeX-add-environments
    "theaddressbook"
    "thephonebook"
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2))
   (LaTeX-add-lengths
    "dirindent"
    "dirsep"
    "dirparindent"
    "dirtablewidth"))
 :latex)

