(TeX-add-style-hook
 "edmargin"
 (lambda ()
   (TeX-add-symbols
    '("definenewnotetype" 6)
    '("setstyleforchapternoteend" 1)
    '("setstyleforchapternotebegin" 1)
    '("emendation" 1)
    '("explanatory" 1)
    '("textnote" 1)
    '("margrefspecial" 1)
    '("setmargrefmarker" 1)
    '("argpageref" 1)
    '("changeexplanationscontentsname" 1)
    '("changeexplanationsheader" 1)
    '("changeexplanationsname" 1)
    '("changeemendationscontentsname" 1)
    '("changeemendationsheader" 1)
    '("changeemendationsname" 1)
    '("changetextnotescontentsname" 1)
    '("changetextnotesheader" 1)
    '("changetextnotesname" 1)
    '("literalexplain" 1)
    '("literalemend" 1)
    '("literaltextnote" 1)
    '("changechapternotesline" 1)
    '("changemultiplepageabbrev" 1)
    '("changesinglepageabbrev" 1)
    '("setcounterfrompageref" 2)
    '("setcounterfromref" 2)
    '("ifrefundefined" 1)
    "mymarks"
    "checknoteheaders"
    "notesincontents"
    "backmatterafterheadersink"
    "backmattertextfont"
    "backmatterheadingfont"
    "clearemptydoublepage"
    "backmattersink"
    "maketextnotes"
    "makeemendations"
    "makeexplanatorynotes"
    "setupendnoteheaders"
    "putemendations"
    "putexplanatory"
    "puttextnotes"
    "makemargreflabel"
    "setmargref"
    "margreftextnote"
    "margrefexplanatory"
    "margrefemendation"
    "notemarkinmargin"
    "notemarkintext"
    "makeenmrendnotemarker"
    "putenmrnotemarkerintext"
    "textnotesparamode"
    "emendationsparamode"
    "explanationsparamode"
    "styleforchapternotebegin"
    "styleforchapternoteend"
    "resettextnotes"
    "resetemendations"
    "resetexplanatory"
    "resetendnotes"
    "notesbychapter"
    "m"
    "n"
    "enmrconditionalpar"
    "appendtomacro"
    "strip")
   (LaTeX-add-labels
    "textualnotes"
    "emendationnotes"
    "explanatorynotes")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1))
   (LaTeX-add-counters
    "allendnotes"
    "notepageholder"
    "margrefnumber"
    "enmrnotescratchcount"
    "enmrtextnotecount"
    "enmrexplanatorycount"
    "enmremendationcount"))
 :latex)

