(TeX-add-style-hook
 "etoolbox"
 (lambda ()
   (TeX-run-style-hooks
    "etex")
   (TeX-add-symbols
    '("forlistcsloop" 2)
    '("forlistloop" 2)
    '("ifrmnum" 1)
    '("rmntonum" 1)
    '("nottoggle" 1)
    '("iftoggle" 1)
    '("notbool" 1)
    '("ifbool" 1)
    '("csuse" 1)
    '("csexpandonce" 1)
    '("expandonce" 1)
    '("ifboolexpe" 1)
    '("ifdimless" 1)
    '("ifdimgreater" 1)
    '("ifdimequal" 1)
    '("ifdimcomp" 3)
    '("ifnumodd" 1)
    '("ifnumless" 1)
    '("ifnumgreater" 1)
    '("ifnumequal" 1)
    '("ifnumcomp" 3)
    '("notblank" 1)
    '("ifblank" 1)
    '("ifstrempty" 1)
    '("ifcsdimen" 1)
    '("ifdefdimen" 1)
    '("ifcslength" 1)
    '("ifdeflength" 1)
    '("ifltxcounter" 1)
    '("ifcscounter" 1)
    '("ifdefcounter" 1)
    '("ifcsstrequal" 2)
    '("ifcsequal" 2)
    '("ifdefequal" 2)
    '("ifcsvoid" 1)
    '("ifdefvoid" 1)
    '("ifcsempty" 1)
    '("ifdefempty" 1)
    '("ifcsprotected" 1)
    '("ifcsparam" 1)
    '("ifcsprefix" 1)
    '("ifdefprefix" 1)
    '("ifcsmacro" 1)
    '("ifcsundef" 1)
    '("ifcsdef" 1)
    '("ifundef" 1)
    '("ifdef" 1)
    '("csmeaning" 1)
    "ifdefmacro"
    "ifdefparam"
    "ifdefprotected"
    "etb"
    "dolistloop"
    "dolistcsloop"
    "newrobustcmd"
    "protecting"
    "protect"
    "relax"
    "string"
    "tracingpatches"
    "noexpand"
    "listbreak"
    "AtEndPreamble"
    "AfterPreamble"
    "AfterEndPreamble"
    "AfterEndDocument")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)))
 :latex)

