(TeX-add-style-hook
 "floatrow"
 (lambda ()
   (TeX-run-style-hooks
    "keyval"
    "caption3"
    "color"
    "fr-fancy"
    "fr-subfig"
    "fr-longtable")
   (TeX-add-symbols
    "endfloatrow"
    '("floatrow" ["argument"] 0)
    '("floatbox" ["argument"] 1)
    '("DeclareNewFloatType" 2)
    '("DeclareFloatFootnoterule" 2)
    '("DeclareCBoxCorners" 5)
    '("DeclareColorBox" 2)
    '("DeclareFloatVCode" 2)
    '("DeclareMarginSet" 2)
    '("DeclareHtAdj" 2)
    '("DeclareFtPos" 2)
    '("DeclareSCPos" 2)
    '("DeclareFloatStyle" 2)
    '("clearfloatsetup" 1)
    '("buildFBBOX" 2)
    '("subcaptionlabel" 1)
    '("captionlabel" 1)
    '("renewfloatcommand" 2)
    '("newfloatcommand" 2)
    '("listof" 2)
    '("RawCaption" 1)
    '("floatplacement" 2)
    '("floatname" 2)
    '("floatstyle" 1)
    "flrow"
    "FR"
    "killfloatstyle"
    "restylefloat"
    "RawFloats"
    "newfloat"
    "FB"
    "FC"
    "float"
    "FBaskip"
    "FBbskip"
    "FCc"
    "FCo"
    "FBw"
    "floatHpenalties"
    "rotfloat"
    "rotdblfloat"
    "mpfootnotemark"
    "FBget"
    "FCget"
    "FBs"
    "FBf"
    "FCset"
    "adj"
    "FBsetbox"
    "capsubrowsettings"
    "subfloatrowsep"
    "CommonHeightRow"
    "DefaultCommonHeight"
    "begin"
    "CenterFloatBoxes"
    "TopFloatBoxes"
    "BottomFloatBoxes"
    "PlainFloatBoxes"
    "thisfloatsetup"
    "DeclareFROpt"
    "captionfootfont"
    "captop"
    "capbot"
    "CAPTOP"
    "capbeside"
    "nocapbeside"
    "useFCwidth"
    "FPOScnt"
    "LTright"
    "floatfacing"
    "floatboxmargins"
    "floatrowmargins"
    "floatcapbesidemargins"
    "setfloatmargins"
    "floatobjectset"
    "filFCOhsize"
    "nofilFCOhsize"
    "floatcapbesidesep"
    "FBstyle"
    "FRcolorboxwd"
    "FRcolorboxht"
    "FRcolorboxdp"
    "frulemax"
    "DeclareFNOpt"
    "flnew"
    "FBcheight"
    "FBfheight"
    "thempfn"
    "label"
    "refstepcounter"
    "stepcounter"
    "refsteponlycounter"
    "addtocounter"
    "caption"
    "floatfoot"
    "footnote"
    "footnotetext"
    "FBwidth"
    "FBheight"
    "FBoheight"
    "thepage"
    "protect"
    "string"
    "FBiffloatrow"
    "Xhsize"
    "FRleftmargin"
    "FRrightmargin"
    "floatrowsep"
    "CommonHeight"
    "newdimentocommand"
    "renewdimentocommand"
    "newskiptocommand"
    "renewskiptocommand"
    "newlengthtocommand"
    "renewlengthtocommand"
    "floatsetup"
    "floatfont"
    "DeclareFloatFont"
    "FBifcaptop"
    "FBifCAPTOP"
    "FBifcapbeside"
    "FCwidth"
    "FBafil"
    "FBbfil"
    "DeclareObjectSet"
    "DeclareFloatSeparators"
    "FRifFBOX"
    "unitlength"
    "captionskip"
    "floatfootskip"
    "FBfootnoterule"
    "CurrentOption"
    "ProcessOptionsWithKV")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)
    '("solutionorgrid" LaTeX-env-args ["argument"] 0)
    '("solutionordottedlines" LaTeX-env-args ["argument"] 0)
    '("solutionorlines" LaTeX-env-args ["argument"] 0)
    '("solutionorbox" LaTeX-env-args ["argument"] 0)
    '("solution" LaTeX-env-args ["argument"] 0)
    '("multiplechoice" LaTeX-env-args ["argument"] 0)
    '("shortanswer" LaTeX-env-args ["argument"] 0)
    '("truefalse" LaTeX-env-args ["argument"] 0)
    '("fillin" LaTeX-env-args ["argument"] 0)
    '("matching" LaTeX-env-args ["argument"] 0)
    '("solutionseries" LaTeX-env-args ["argument"] 2)
    '("exerciseseries" LaTeX-env-args ["argument"] 1)
    '("exercises" LaTeX-env-args ["argument"] 0)
    '("flagderiv" LaTeX-env-args ["argument"] 0)
    '("flashcard" LaTeX-env-args ["argument"] 1)
    "subfloatrow")
   (LaTeX-add-counters
    "FRobj"
    "FRsobj"
    "FBcnt")
   (LaTeX-add-lengths
    "FBo"
    "FBc"
    "FBf"
    "Xhsize"
    "sXhsize"
    "Zhsize"
    "sZhsize")
   (LaTeX-add-saveboxes
    "float")
   (LaTeX-add-floatrow-newfloatcommands
    "ffigbox"
    "ttabbox"
    "fcapside")
   (LaTeX-add-floatrow-DeclareNewOptions
    '("\\DeclareFloatStyle{plain}" "FloatStyle" "plain")
    '("\\DeclareFloatStyle{plaintop}" "FloatStyle" "plaintop")
    '("\\DeclareFloatStyle{boxed}" "FloatStyle" "boxed")
    '("\\DeclareFloatStyle{ruled}" "FloatStyle" "ruled")
    '("\\DeclareFloatStyle{Ruled}" "FloatStyle" "Ruled")
    '("\\DeclareFloatStyle{Plaintop}" "FloatStyle" "Plaintop")
    '("\\DeclareFloatStyle{Boxed}" "FloatStyle" "Boxed")
    '("\\DeclareFloatStyle{BOXED}" "FloatStyle" "BOXED")
    '("\\DeclareFloatStyle{default}" "FloatStyle" "default")
    '("\\DeclareMarginSet{centering}" "MarginSet" "centering")
    '("\\DeclareMarginSet{raggedright}" "MarginSet" "raggedright")
    '("\\DeclareMarginSet{raggedleft}" "MarginSet" "raggedleft")
    '("\\DeclareMarginSet{hangleft}" "MarginSet" "hangleft")
    '("\\DeclareMarginSet{hangright}" "MarginSet" "hangright")
    '("\\DeclareMarginSet{hanginside}" "MarginSet" "hanginside")
    '("\\DeclareMarginSet{hangoutside}" "MarginSet" "hangoutside")
    '("\\DeclareFloatSeparators{columnsep}" "FloatSeparators" "columnsep")
    '("\\DeclareFloatSeparators{qquad}" "FloatSeparators" "qquad")
    '("\\DeclareFloatSeparators{fil}" "FloatSeparators" "fil")
    '("\\DeclareFloatSeparators{fill}" "FloatSeparators" "fill")
    '("\\DeclareFloatVCode{none}" "FloatVCode" "none")
    '("\\DeclareFloatVCode{thickrule}" "FloatVCode" "thickrule")
    '("\\DeclareFloatVCode{rule}" "FloatVCode" "rule")
    '("\\DeclareFloatVCode{lowrule}" "FloatVCode" "lowrule")
    '("\\DeclareFloatVCode{captionskip}" "FloatVCode" "captionskip")
    '("\\DeclareFloatFootnoterule{normal}" "FloatFootnoterule" "normal")
    '("\\DeclareFloatFootnoterule{limited}" "FloatFootnoterule" "limited")
    '("\\DeclareFloatFootnoterule{fullsize}" "FloatFootnoterule" "fullsize")
    '("\\DeclareFloatFootnoterule{none}" "FloatFootnoterule" "none"))
   (LaTeX-add-floatrow-DeclareNewFloatTypes
    "#1"))
 :latex)

