(TeX-add-style-hook
 "isov2"
 (lambda ()
   (TeX-run-style-hooks
    "isofwdbp"
    "tspasfwdbp"
    "trfwd1"
    "url")
   (TeX-add-symbols
    '("normrefbp" 1)
    '("trfwdbpii" 1)
    '("deleted" 1)
    '("editorial" 1)
    '("otherindexspace" 1)
    '("alphaindexspace" 1)
    '("indexseealso" 1)
    '("indexsee" 1)
    '("maxsecnumdepth" 1)
    '("setsecnumdepth" 1)
    '("maxtocdepth" 1)
    '("settocdepth" 1)
    '("loftfillnum" 1)
    '("loftnumberline" 1)
    '("floatlist" 2)
    '("tocskip" 1)
    '("pref" 1)
    '("tref" 1)
    '("nref" 1)
    '("fref" 1)
    '("eref" 1)
    '("cref" 1)
    '("bref" 1)
    '("aref" 1)
    '("isourl" 1)
    '("symboldef" 2)
    '("symbollabel" 1)
    '("definition" 2)
    '("olddefinition" 2)
    '("reference" 3)
    '("disref" 2)
    '("isref" 2)
    '("nreferencelabel" 1)
    '("notelabel" 1)
    '("descriptionlabel" 1)
    '("repannex" 1)
    '("normannex" 1)
    '("infannex" 1)
    '("addannextotoc" 2)
    '("makeannexhead" 1)
    '("makepreannexhead" 1)
    '("compelement" 1)
    '("mainelement" 1)
    '("introelement" 1)
    '("hyperpage" 1)
    "fillline"
    "makecommand"
    "make"
    "captionsize"
    "copyrighthead"
    "extrahead"
    "rectoisotitlehead"
    "versoisotitlehead"
    "toclevel"
    "theHannex"
    "theHclause"
    "theHsclause"
    "theHssclause"
    "theHsssclause"
    "theHssssclause"
    "theHsssssclause"
    "zerocounters"
    "clause"
    "fibicl"
    "sclause"
    "ssclause"
    "sssclause"
    "ssssclause"
    "sssssclause"
    "init"
    "theHnote"
    "theHfloatnote"
    "theHexample"
    "labelinfref"
    "contcaption"
    "rm"
    "sf"
    "tt"
    "bf"
    "it"
    "sl"
    "sc"
    "cal"
    "mit"
    "tableofcontents"
    "l"
    "listoffigures"
    "listoftables"
    "subitem"
    "subsubitem"
    "indexspace"
    "indexfill"
    "sindexfill"
    "ssindexfill"
    "v"
    "scopeclause"
    "normrefsclause"
    "defclause"
    "symclause"
    "abbclause"
    "defsymclause"
    "defabbclause"
    "symabbclause"
    "defsymabbclause"
    "defsubclause"
    "symsubclause"
    "abbsubclause"
    "defsymsubclause"
    "defabbsubclause"
    "symabbsubclause"
    "fcandaclause"
    "bibannex"
    "copyrightnotice"
    "fwdbp"
    "tspasfwdbp"
    "trfwdbpi"
    "intropatents"
    "fwdnopatents"
    "abbname"
    "annexname"
    "bibname"
    "contentsname"
    "defname"
    "defabbname"
    "defsymname"
    "defsymabbname"
    "fcandaname"
    "forewordname"
    "indexname"
    "informativename"
    "introductionname"
    "normativename"
    "normrefsname"
    "scopename"
    "sectionname"
    "symname"
    "symabbname"
    "copyrightname"
    "examplename"
    "figurename"
    "inscopename"
    "ISname"
    "listannexname"
    "listfigurename"
    "listtablename"
    "notename"
    "outofscopename"
    "pagename"
    "tablename"
    "tbpname"
    "annexrefname"
    "clauserefname"
    "examplerefname"
    "figurerefname"
    "noterefname"
    "tablerefname"
    "pagerefname"
    "abstractname"
    "appendixname"
    "chaptername"
    "partname"
    "refname"
    "today"
    "isostringsequal"
    "isoemptystring"
    "standard"
    "yearofedition"
    "languageofedition"
    "clausemark"
    "sclausemark"
    "ssclausemark"
    "sssclausemark"
    "ssssclausemark"
    "sssssclausemark"
    "thenote"
    "makelabel"
    "numberline"
    "item"
    "added"
    "moved")
   (LaTeX-add-labels
    ";i1"
    ";i2"
    ";i3")
   (LaTeX-add-environments
    "itemize"
    "enumerate"
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)
    '("solutionorgrid" LaTeX-env-args ["argument"] 0)
    '("solutionordottedlines" LaTeX-env-args ["argument"] 0)
    '("solutionorlines" LaTeX-env-args ["argument"] 0)
    '("solutionorbox" LaTeX-env-args ["argument"] 0)
    '("solution" LaTeX-env-args ["argument"] 0)
    '("multiplechoice" LaTeX-env-args ["argument"] 0)
    '("shortanswer" LaTeX-env-args ["argument"] 0)
    '("truefalse" LaTeX-env-args ["argument"] 0)
    '("fillin" LaTeX-env-args ["argument"] 0)
    '("matching" LaTeX-env-args ["argument"] 0)
    '("solutionseries" LaTeX-env-args ["argument"] 2)
    '("exerciseseries" LaTeX-env-args ["argument"] 1)
    '("exercises" LaTeX-env-args ["argument"] 0)
    '("flagderiv" LaTeX-env-args ["argument"] 0)
    '("flashcard" LaTeX-env-args ["argument"] 1)
    '("fullminipage" LaTeX-env-args ["argument"] 0)
    '("gmatrix" LaTeX-env-args ["argument"] 0)
    '("maszynopis" LaTeX-env-args ["argument"] 0)
    '("gnuplot" LaTeX-env-args ["argument"] 0)
    '("Encap" LaTeX-env-args ["argument"] 3)
    '("Row" LaTeX-env-args ["argument"] 0)
    '("row" LaTeX-env-args ["argument"] 2)
    '("arttitsub" LaTeX-env-args ["argument"] 2)
    '("artsubtit" LaTeX-env-args ["argument"] 2)
    '("art" LaTeX-env-args ["argument"] 1)
    '("widedesc" LaTeX-env-args ["argument"] 0)
    '("flexlist" LaTeX-env-args ["argument"] 1)
    '("hvFloatEnv" LaTeX-env-args ["argument"] 0)
    '("inctext" LaTeX-env-args ["argument"] 0)
    '("outofscope" 1)
    '("inscope" 1)
    "cover"
    "description"
    "quotation"
    "quote"
    "anote"
    "note"
    "anexample"
    "example"
    "nreferences"
    "references"
    "olddefinitions"
    "definitions"
    "symbols"
    "figure"
    "table"
    "bottomfloat"
    "theindex"
    "foreword"
    "introduction")
   (LaTeX-add-pagestyles
    "headings"
    "startpage"
    "nohead"
    "isotitlehead")
   (LaTeX-add-counters
    "annex"
    "clause"
    "sclause"
    "ssclause"
    "sssclause"
    "ssssclause"
    "sssssclause"
    "yextra"
    "note"
    "floatnote"
    "example"
    "infrefctr"
    "figure"
    "table"
    "bottomfloat")
   (LaTeX-add-lengths
    "abovecaptionskip"
    "belowcaptionskip"
    "tocentryskip"
    "tocbaseline"))
 :latex)

