(TeX-add-style-hook
 "layouts"
 (lambda ()
   (TeX-add-symbols
    '("drawaspread" ["argument"] 7)
    '("drawfontframelabel" 1)
    '("drawfontframe" 1)
    '("trytocdotsep" 1)
    '("trytocpnumwidth" 1)
    '("trytocrmarg" 1)
    '("trytoclinewidth" 1)
    '("trytocnumwidth" 1)
    '("trytocindent" 1)
    '("trybottomfraction" 1)
    '("trytextfraction" 1)
    '("trytopfraction" 1)
    '("trybottomnumber" 1)
    '("trytopnumber" 1)
    '("trytotalnumber" 1)
    '("trybotfigrule" 1)
    '("trytopfigrule" 1)
    '("tryintextsep" 1)
    '("tryfloatsep" 1)
    '("trytextfloatsep" 1)
    '("headingdesign" 1)
    '("headingdiagram" 1)
    '("drawheading" 1)
    '("tryindent" 1)
    '("tryafterskip" 1)
    '("trybeforeskip" 1)
    '("tryparbaselineskip" 1)
    '("tryparlinewidth" 1)
    '("tryparindent" 1)
    '("tryfootrulefrac" 1)
    '("tryfootruleheight" 1)
    '("tryfootnotebaseline" 1)
    '("tryfootnotesep" 1)
    '("tryfootins" 1)
    '("tryitemsep" 1)
    '("tryparsep" 1)
    '("trypartopsep" 1)
    '("tryparskip" 1)
    '("trytopsep" 1)
    '("trylistparindent" 1)
    '("tryrightmargin" 1)
    '("tryleftmargin" 1)
    '("trylabelsep" 1)
    '("trylabelwidth" 1)
    '("tryitemindent" 1)
    '("tryspinemargin" 1)
    '("tryuppermargin" 1)
    '("trytrimtop" 1)
    '("trytrimedge" 1)
    '("trystockheight" 1)
    '("trystockwidth" 1)
    '("setfootbox" 2)
    '("trycolumnseprule" 1)
    '("trycolumnsep" 1)
    '("trymarginparpush" 1)
    '("trymarginparwidth" 1)
    '("trymarginparsep" 1)
    '("trytextwidth" 1)
    '("tryevensidemargin" 1)
    '("tryoddsidemargin" 1)
    '("tryfootskip" 1)
    '("trytextheight" 1)
    '("tryheadsep" 1)
    '("tryheadheight" 1)
    '("trytopmargin" 1)
    '("tryvoffset" 1)
    '("tryhoffset" 1)
    '("trypaperheight" 1)
    '("trypaperwidth" 1)
    '("prntlen" 1)
    '("printinunitsof" 1)
    '("setlayoutscale" 1)
    '("setvaluestextsize" 1)
    '("setparametertextfont" 1)
    '("setlabelfont" 1)
    "bs"
    "l"
    "testdrawdimensions"
    "testprintparameters"
    "setuplayouts"
    "currentpage"
    "commonl"
    "drawpage"
    "pagediagram"
    "pagedesign"
    "pagevalues"
    "currentstock"
    "drawstock"
    "stockdiagram"
    "stockdesign"
    "stockvalues"
    "currentlist"
    "drawlist"
    "listdiagram"
    "listdesign"
    "listvalues"
    "currentfootnote"
    "drawfootnote"
    "footnotediagram"
    "footnotedesign"
    "footnotevalues"
    "currentparagraph"
    "drawparagraph"
    "paragraphdiagram"
    "paragraphdesign"
    "paragraphvalues"
    "currentheading"
    "headingvalues"
    "currentfloat"
    "drawfloat"
    "floatdiagram"
    "floatdesign"
    "floatvalues"
    "currentfloatpage"
    "drawfloatpage"
    "floatpagediagram"
    "floatpagedesign"
    "floatpagevalues"
    "currenttoc"
    "drawtoc"
    "tocdiagram"
    "tocdesign"
    "tocvalues")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)
    '("solutionorgrid" LaTeX-env-args ["argument"] 0)
    '("solutionordottedlines" LaTeX-env-args ["argument"] 0)
    '("solutionorlines" LaTeX-env-args ["argument"] 0)
    '("solutionorbox" LaTeX-env-args ["argument"] 0)
    '("solution" LaTeX-env-args ["argument"] 0)
    '("multiplechoice" LaTeX-env-args ["argument"] 0)
    '("shortanswer" LaTeX-env-args ["argument"] 0)
    '("truefalse" LaTeX-env-args ["argument"] 0)
    '("fillin" LaTeX-env-args ["argument"] 0)
    '("matching" LaTeX-env-args ["argument"] 0)
    '("solutionseries" LaTeX-env-args ["argument"] 2)
    '("exerciseseries" LaTeX-env-args ["argument"] 1)
    '("exercises" LaTeX-env-args ["argument"] 0)
    '("flagderiv" LaTeX-env-args ["argument"] 0)
    '("flashcard" LaTeX-env-args ["argument"] 1)
    '("fullminipage" LaTeX-env-args ["argument"] 0)
    '("gmatrix" LaTeX-env-args ["argument"] 0)
    '("maszynopis" LaTeX-env-args ["argument"] 0)
    '("gnuplot" LaTeX-env-args ["argument"] 0)
    '("Encap" LaTeX-env-args ["argument"] 3)
    '("Row" LaTeX-env-args ["argument"] 0)
    '("row" LaTeX-env-args ["argument"] 2)
    '("arttitsub" LaTeX-env-args ["argument"] 2)
    '("artsubtit" LaTeX-env-args ["argument"] 2)
    '("art" LaTeX-env-args ["argument"] 1)
    '("widedesc" LaTeX-env-args ["argument"] 0)
    '("flexlist" LaTeX-env-args ["argument"] 1)
    '("hvFloatEnv" LaTeX-env-args ["argument"] 0)
    '("inctext" LaTeX-env-args ["argument"] 0)
    '("labeling" LaTeX-env-args ["argument"] 1)
    '("KeyValTable" LaTeX-env-args ["argument"] 1)
    '("pattern" LaTeX-env-args ["argument"] 2)
    '("letter" LaTeX-env-args ["argument"] 1)
    '("InstanceDescription" LaTeX-env-args ["argument"] 3))
   (LaTeX-add-lengths
    "l"
    "stockwidth"
    "stockheight"
    "trimedge"
    "trimtop"
    "uppermargin"
    "spinemargin")
   (LaTeX-add-saveboxes
    "layoutsbox"))
 :latex)

