(TeX-add-style-hook
 "ltnews"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-class-options
                     '(("article" "twocolumn" "oneside")))
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("hyperref" "hidelinks")))
   (TeX-run-style-hooks
    "latex2e"
    "article"
    "art10"
    "url"
    "html"
    "hyperref")
   (TeX-add-symbols
    '("file" 1)
    '("package" 1)
    '("class" 1)
    '("cs" 1)
    '("excludecomment" 1)
    '("latex" 1)
    '("email" 1)
    '("url" 1)
    "pplLaTeX"
    "putLaTeX"
    "phvLaTeX"
    "ugqLaTeX"
    "cmssLaTeX"
    "eTeX"
    "email"
    "publicationmonth"
    "publicationyear"
    "publicationissue"
    "issuename"
    "indicia"
    "raisefirstsection"
    "NFSS"
    "LaTeXNews"
    "AW"
    "SLiTeX"
    "AmS"
    "AmSLaTeX"
    "ctan"
    "PSNFSS"
    "babel"
    "ctanhttp"
    "pplTeX"
    "putTeX"
    "phvTeX"
    "ugqTeX"
    "cmssTeX"
    "LaTeX"
    "TeX"
    "pdfoutput"
    "pdfinfo"
    "makelabel")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    "latexonly"
    "citations")
   (LaTeX-add-pagestyles
    "titlepage"))
 :latex)

