(TeX-add-style-hook
 "ltxdoc"
 (lambda ()
   (TeX-run-style-hooks
    "latex2e"
    "article"
    "art10"
    "doc")
   (TeX-add-symbols
    '("DocInclude" 1)
    '("parg" 1)
    '("oarg" 1)
    '("marg" 1)
    '("cs" 1)
    "url"
    "cmd"
    "commentline"
    "partname"
    "currentfile"
    "ttfamily"
    "PrintIndex"
    "PrintChanges"
    "aalph"
    "thepart"
    "filesep"
    "filekey"
    "docincludeaux"
    "MaintainedBy"
    "MaintainedByLaTeXTeam"
    "task")
   (LaTeX-add-environments
    "theglossary"
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)))
 :latex)

