(TeX-add-style-hook
 "mdici"
 (lambda ()
   (TeX-run-style-hooks
    "mdfont"
    "mdsffont"
    "mdttfont"
    "xkeyval")
   (TeX-add-symbols
    '("Bbb" 1)
    '("bold" 1)
    '("widering" 1)
    '("frak" 1)
    "alpha"
    "beta"
    "gamma"
    "delta"
    "zeta"
    "eta"
    "theta"
    "iota"
    "kappa"
    "lambda"
    "mu"
    "nu"
    "xi"
    "pi"
    "rho"
    "sigma"
    "tau"
    "upsilon"
    "phi"
    "chi"
    "psi"
    "omega"
    "varepsilon"
    "vartheta"
    "varpi"
    "varrho"
    "varsigma"
    "varphi"
    "Gamma"
    "Delta"
    "Theta"
    "Lambda"
    "Xi"
    "Pi"
    "Sigma"
    "Upsilon"
    "Phi"
    "Psi"
    "Omega"
    "alphaup"
    "betaup"
    "gammaup"
    "deltaup"
    "epsilonup"
    "zetaup"
    "etaup"
    "thetaup"
    "iotaup"
    "kappaup"
    "lambdaup"
    "muup"
    "nuup"
    "xiup"
    "piup"
    "rhoup"
    "sigmaup"
    "tauup"
    "upsilonup"
    "phiup"
    "chiup"
    "psiup"
    "omegaup"
    "varepsilonup"
    "varthetaup"
    "varpiup"
    "varrhoup"
    "varsigmaup"
    "varphiup"
    "Gammaup"
    "Deltaup"
    "Thetaup"
    "Lambdaup"
    "Xiup"
    "Piup"
    "Sigmaup"
    "Upsilonup"
    "Phiup"
    "Psiup"
    "Omegaup"
    "alphait"
    "betait"
    "gammait"
    "deltait"
    "epsilonit"
    "zetait"
    "etait"
    "thetait"
    "iotait"
    "kappait"
    "lambdait"
    "muit"
    "nuit"
    "xiit"
    "piit"
    "rhoit"
    "sigmait"
    "tauit"
    "upsilonit"
    "phiit"
    "chiit"
    "psiit"
    "omegait"
    "varepsilonit"
    "varthetait"
    "varpiit"
    "varrhoit"
    "varsigmait"
    "varphiit"
    "Gammait"
    "Deltait"
    "Thetait"
    "Lambdait"
    "Xiit"
    "Piit"
    "Sigmait"
    "Upsilonit"
    "Phiit"
    "Psiit"
    "Omegait"
    "widetilde"
    "widehat"
    "widetriangle"
    "wideparen"
    "llbracket"
    "rrbracket"
    "lwave"
    "rwave"
    "levaw"
    "revaw"
    "ulcorner"
    "urcorner"
    "llcorner"
    "lrcorner"
    "dabar"
    "lvertneqq"
    "gvertneqq"
    "nleq"
    "ngeq"
    "nless"
    "ngtr"
    "nprec"
    "nsucc"
    "lneqq"
    "gneqq"
    "nleqslant"
    "ngeqslant"
    "lneq"
    "gneq"
    "npreceq"
    "nsucceq"
    "precnsim"
    "succnsim"
    "lnsim"
    "gnsim"
    "nleqq"
    "ngeqq"
    "precneqq"
    "succneqq"
    "precnapprox"
    "succnapprox"
    "lnapprox"
    "gnapprox"
    "nsim"
    "ncong"
    "diagup"
    "diagdown"
    "varsubsetneq"
    "varsupsetneq"
    "nsubseteqq"
    "nsupseteqq"
    "subsetneqq"
    "supsetneqq"
    "varsubsetneqq"
    "varsupsetneqq"
    "subsetneq"
    "supsetneq"
    "nsubseteq"
    "nsupseteq"
    "nparallel"
    "nmid"
    "nshortmid"
    "nshortparallel"
    "nvdash"
    "nVdash"
    "nvDash"
    "nVDash"
    "ntrianglerighteq"
    "ntrianglelefteq"
    "ntriangleleft"
    "ntriangleright"
    "nleftarrow"
    "nrightarrow"
    "nLeftarrow"
    "nRightarrow"
    "nLeftrightarrow"
    "nleftrightarrow"
    "nexists"
    "divideontimes"
    "varnothing"
    "Join"
    "udtimes"
    "utimes"
    "dtimes"
    "Finv"
    "Game"
    "mho"
    "eth"
    "eqsim"
    "beth"
    "gimel"
    "daleth"
    "lessdot"
    "gtrdot"
    "ltimes"
    "rtimes"
    "shortmid"
    "shortparallel"
    "smallsetminus"
    "thicksim"
    "thickapprox"
    "approxeq"
    "succapprox"
    "precapprox"
    "curvearrowleft"
    "curvearrowright"
    "digammaup"
    "varkappaup"
    "digammait"
    "varkappait"
    "digamma"
    "varkappa"
    "Bbbk"
    "backepsilon"
    "boxdot"
    "boxplus"
    "boxtimes"
    "square"
    "blacksquare"
    "centerdot"
    "lozenge"
    "blacklozenge"
    "circlearrowright"
    "circlearrowleft"
    "rightleftharpoons"
    "leftrightharpoons"
    "boxminus"
    "Vdash"
    "Vvdash"
    "vDash"
    "twoheadrightarrow"
    "twoheadleftarrow"
    "leftleftarrows"
    "rightrightarrows"
    "upuparrows"
    "downdownarrows"
    "upharpoonright"
    "downharpoonright"
    "upharpoonleft"
    "downharpoonleft"
    "rightarrowtail"
    "leftarrowtail"
    "leftrightarrows"
    "rightleftarrows"
    "Lsh"
    "Rsh"
    "rightsquigarrow"
    "leftrightsquigarrow"
    "looparrowleft"
    "looparrowright"
    "circeq"
    "succsim"
    "gtrsim"
    "gtrapprox"
    "multimap"
    "therefore"
    "because"
    "doteqdot"
    "triangleq"
    "precsim"
    "lesssim"
    "lessapprox"
    "eqslantless"
    "eqslantgtr"
    "curlyeqprec"
    "curlyeqsucc"
    "preccurlyeq"
    "leqq"
    "leqslant"
    "lessgtr"
    "backprime"
    "risingdotseq"
    "fallingdotseq"
    "succcurlyeq"
    "geqq"
    "geqslant"
    "gtrless"
    "sqsubset"
    "sqsupset"
    "vartriangleright"
    "vartriangleleft"
    "trianglerighteq"
    "trianglelefteq"
    "bigstar"
    "between"
    "blacktriangledown"
    "blacktriangleright"
    "blacktriangleleft"
    "vartriangle"
    "blacktriangle"
    "triangledown"
    "eqcirc"
    "lesseqgtr"
    "gtreqless"
    "lesseqqgtr"
    "gtreqqless"
    "Rrightarrow"
    "Lleftarrow"
    "veebar"
    "barwedge"
    "doublebarwedge"
    "angle"
    "measuredangle"
    "sphericalangle"
    "varpropto"
    "smallsmile"
    "smallfrown"
    "Subset"
    "Supset"
    "Cup"
    "Cap"
    "curlywedge"
    "curlyvee"
    "leftthreetimes"
    "rightthreetimes"
    "subseteqq"
    "supseteqq"
    "bumpeq"
    "Bumpeq"
    "lll"
    "ggg"
    "pitchfork"
    "dotplus"
    "backsim"
    "backsimeq"
    "complement"
    "intercal"
    "circledcirc"
    "circledast"
    "circleddash"
    "smallin"
    "smallowns"
    "notsmallin"
    "notsmallowns"
    "rightangle"
    "intclockwise"
    "ointclockwise"
    "ointctrclockwise"
    "oiint"
    "oiiint"
    "blackseries"
    "MDgrfamily"
    "epsilon"
    "iddots"
    "leftwave"
    "rightwave"
    "leftevaw"
    "rightevaw"
    "mathbb"
    "circledS"
    "dasharrow"
    "restriction"
    "Doteq"
    "doublecup"
    "doublecap"
    "llless"
    "gggtr"
    "lhd"
    "unlhd"
    "rhd"
    "unrhd"
    "Box"
    "Diamond"
    "leadsto"
    "hrulefill"
    "oldstylenums")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)
    '("solutionorgrid" LaTeX-env-args ["argument"] 0)
    '("solutionordottedlines" LaTeX-env-args ["argument"] 0)
    '("solutionorlines" LaTeX-env-args ["argument"] 0)
    '("solutionorbox" LaTeX-env-args ["argument"] 0)
    '("solution" LaTeX-env-args ["argument"] 0)
    '("multiplechoice" LaTeX-env-args ["argument"] 0)
    '("shortanswer" LaTeX-env-args ["argument"] 0)
    '("truefalse" LaTeX-env-args ["argument"] 0)
    '("fillin" LaTeX-env-args ["argument"] 0)
    '("matching" LaTeX-env-args ["argument"] 0)
    '("solutionseries" LaTeX-env-args ["argument"] 2)
    '("exerciseseries" LaTeX-env-args ["argument"] 1)
    '("exercises" LaTeX-env-args ["argument"] 0)
    '("flagderiv" LaTeX-env-args ["argument"] 0)
    '("flashcard" LaTeX-env-args ["argument"] 1)
    '("fullminipage" LaTeX-env-args ["argument"] 0)
    '("gmatrix" LaTeX-env-args ["argument"] 0)
    '("maszynopis" LaTeX-env-args ["argument"] 0)
    '("gnuplot" LaTeX-env-args ["argument"] 0)
    '("Encap" LaTeX-env-args ["argument"] 3)
    '("Row" LaTeX-env-args ["argument"] 0)
    '("row" LaTeX-env-args ["argument"] 2)
    '("arttitsub" LaTeX-env-args ["argument"] 2)
    '("artsubtit" LaTeX-env-args ["argument"] 2)
    '("art" LaTeX-env-args ["argument"] 1)
    '("widedesc" LaTeX-env-args ["argument"] 0)
    '("flexlist" LaTeX-env-args ["argument"] 1)
    '("hvFloatEnv" LaTeX-env-args ["argument"] 0)
    '("inctext" LaTeX-env-args ["argument"] 0)
    '("labeling" LaTeX-env-args ["argument"] 1)
    '("KeyValTable" LaTeX-env-args ["argument"] 1)
    '("pattern" LaTeX-env-args ["argument"] 2)
    '("letter" LaTeX-env-args ["argument"] 1)
    '("InstanceDescription" LaTeX-env-args ["argument"] 3)
    '("edtable" LaTeX-env-args ["argument"] 1)
    '("longbox" LaTeX-env-args ["argument"] 0)
    '("longfbox" LaTeX-env-args ["argument"] 0)
    '("lpic" LaTeX-env-args ["argument"] 1)
    '("FullLsc" LaTeX-env-args ["argument"] 7)
    '("Lsc" LaTeX-env-args ["argument"] 3)
    '("lsccreateinst" LaTeX-env-args ["argument"] 3)
    '("lscinst" LaTeX-env-args ["argument"] 1)
    '("simregion" LaTeX-env-args ["argument"] 0)
    '("coregion" LaTeX-env-args ["argument"] 0)
    '("ltssidetoks" LaTeX-env-args ["argument"] 1)
    '("ltsfnquote" LaTeX-env-args ["argument"] 0)
    '("subfloatrow" LaTeX-env-args ["argument"] 0)
    '("floatrow" LaTeX-env-args ["argument"] 0)
    '("longtable" LaTeX-env-args ["argument"] 1)
    '("tablenotes" LaTeX-env-args ["argument"] 0)
    '("threeparttable" LaTeX-env-args ["argument"] 0)
    '("lateximage" LaTeX-env-args ["argument"] 0))
   (LaTeX-add-lengths
    "rulethickness"))
 :latex)

