(TeX-add-style-hook
 "minitoc"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("placeins" "section" "verbose")))
   (TeX-run-style-hooks
    "mtcmess"
    "mtcpatchmem"
    "flafter"
    "placeins"
    "notoccite")
   (TeX-add-symbols
    '("sectlot" ["argument"] 0)
    '("sectlof" ["argument"] 0)
    '("secttoc" ["argument"] 0)
    '("minilot" ["argument"] 0)
    '("minilof" ["argument"] 0)
    '("minitoc" ["argument"] 0)
    '("partlot" ["argument"] 0)
    '("partlof" ["argument"] 0)
    '("parttoc" ["argument"] 0)
    '("dosectlot" ["argument"] 0)
    '("dosectlof" ["argument"] 0)
    '("dosecttoc" ["argument"] 0)
    '("dominilot" ["argument"] 0)
    '("dominilof" ["argument"] 0)
    '("dominitoc" ["argument"] 0)
    '("dopartlot" ["argument"] 0)
    '("dopartlof" ["argument"] 0)
    '("doparttoc" ["argument"] 0)
    '("mtcfixnomenclature" ["argument"] 0)
    '("mtcfixindex" ["argument"] 0)
    '("mtcfixglossary" ["argument"] 0)
    '("adjuststc" ["argument"] 0)
    '("adjustptc" ["argument"] 0)
    '("adjustmtc" ["argument"] 0)
    '("mtcaddchapter" ["argument"] 0)
    '("mtcaddsection" ["argument"] 0)
    '("mtcaddpart" ["argument"] 0)
    '("mtcpolymlot" 4)
    '("mtcpolymlof" 4)
    '("mtcpolymtoc" 4)
    '("mtcsetoffset" 2)
    '("mtcsetdepth" 2)
    '("mtcsetfeature" 3)
    '("mtcsetrules" 2)
    '("mtcsetpagenumbers" 2)
    '("mtcsetformat" 3)
    '("mtcsettitle" 2)
    '("mtcsettitlefont" 2)
    '("mtcsetfont" 3)
    "mtcskipamount"
    "mtcsetpagenumbers"
    "mtcsetrules"
    "mtc"
    "l"
    "ptctitle"
    "plftitle"
    "plttitle"
    "mtctitle"
    "mlftitle"
    "mlttitle"
    "stctitle"
    "slftitle"
    "slttitle"
    "mtcskip"
    "mtcgapbeforeheads"
    "mtcgapafterheads"
    "kernafterparttoc"
    "kernafterpartlof"
    "kernafterpartlot"
    "kernaftersecttoc"
    "kernaftersectlof"
    "kernaftersectlot"
    "kernafterminitoc"
    "kernafterminilof"
    "kernafterminilot"
    "ptcoffset"
    "plfoffset"
    "pltoffset"
    "stcoffset"
    "slfoffset"
    "sltoffset"
    "mtcoffset"
    "mlfoffset"
    "mltoffset"
    "section"
    "newread"
    "mtcpagenumbers"
    "nomtcpagenumbers"
    "stcpagenumbers"
    "nostcpagenumbers"
    "ptcpagenumbers"
    "noptcpagenumbers"
    "mlfpagenumbers"
    "nomlfpagenumbers"
    "slfpagenumbers"
    "noslfpagenumbers"
    "plfpagenumbers"
    "noplfpagenumbers"
    "mltpagenumbers"
    "nomltpagenumbers"
    "sltpagenumbers"
    "nosltpagenumbers"
    "pltpagenumbers"
    "nopltpagenumbers"
    "beforeparttoc"
    "beforepartlof"
    "beforepartlot"
    "beforeminitoc"
    "beforeminilof"
    "beforeminilot"
    "beforesecttoc"
    "beforesectlof"
    "beforesectlot"
    "afterparttoc"
    "afterpartlof"
    "afterpartlot"
    "afterminitoc"
    "afterminilof"
    "afterminilot"
    "aftersecttoc"
    "aftersectlof"
    "aftersectlot"
    "openparttoc"
    "openpartlof"
    "openpartlot"
    "openminitoc"
    "openminilof"
    "openminilot"
    "opensecttoc"
    "opensectlof"
    "opensectlot"
    "closeparttoc"
    "closepartlof"
    "closepartlot"
    "closeminitoc"
    "closeminilof"
    "closeminilot"
    "closesecttoc"
    "closesectlof"
    "closesectlot"
    "thispageparttocstyle"
    "thispagepartlofstyle"
    "thispagepartlotstyle"
    "thispageminitocstyle"
    "thispageminilofstyle"
    "thispageminilotstyle"
    "thispagesecttocstyle"
    "thispagesectlofstyle"
    "thispagesectlotstyle"
    "firstchapteris"
    "decrementmtc"
    "incrementmtc"
    "mtcfont"
    "mtcSfont"
    "mtcSSfont"
    "mtcSSSfont"
    "mtcPfont"
    "mtcSPfont"
    "mlffont"
    "mlfSfont"
    "mltfont"
    "mltSfont"
    "mtifont"
    "coffeefont"
    "minilof"
    "minilot"
    "xchapter"
    "chapterbegin"
    "chapterend"
    "addstarredsection"
    "addstarredchapter"
    "addstarredpart"
    "mtcname"
    "mlfname"
    "mltname"
    "xpart"
    "Thepart"
    "firstpartis"
    "decrementptc"
    "incrementptc"
    "theptc"
    "ptcfont"
    "ptcCfont"
    "ptcSfont"
    "ptcSSfont"
    "ptcSSSfont"
    "ptcPfont"
    "ptcSPfont"
    "plffont"
    "plfSfont"
    "pltfont"
    "pltSfont"
    "ptifont"
    "parttoc"
    "partlof"
    "partlot"
    "pchapter"
    "psect"
    "partend"
    "partbegin"
    "ptcname"
    "plfname"
    "pltname"
    "firstsectionis"
    "decrementstc"
    "incrementstc"
    "stcfont"
    "stcSSfont"
    "stcSSSfont"
    "stcPfont"
    "stcSPfont"
    "slffont"
    "slfSfont"
    "sltfont"
    "sltSfont"
    "stifont"
    "secttoc"
    "sectlof"
    "sectlot"
    "xsect"
    "schapter"
    "sectend"
    "sectbegin"
    "stcname"
    "slfname"
    "sltname"
    "doparttoc"
    "dopartlof"
    "dopartlot"
    "dominitoc"
    "dominilof"
    "dominilot"
    "dosecttoc"
    "dosectlof"
    "dosectlot"
    "mtcprepare"
    "noptcrule"
    "nomtcrule"
    "nostcrule"
    "ptcrule"
    "mtcrule"
    "stcrule"
    "noplfrule"
    "nomlfrule"
    "noslfrule"
    "plfrule"
    "mlfrule"
    "slfrule"
    "nopltrule"
    "nomltrule"
    "nosltrule"
    "pltrule"
    "mltrule"
    "sltrule"
    "ptcpnumwidth"
    "stcpnumwidth"
    "mtcpnumwidth"
    "plfpnumwidth"
    "mlfpnumwidth"
    "slfpnumwidth"
    "pltpnumwidth"
    "mltpnumwidth"
    "sltpnumwidth"
    "ptctocrmarg"
    "mtctocrmarg"
    "stctocrmarg"
    "plftocrmarg"
    "mlftocrmarg"
    "slftocrmarg"
    "plttocrmarg"
    "mlttocrmarg"
    "slttocrmarg"
    "ptcdotsep"
    "mtcdotsep"
    "stcdotsep"
    "plfdotsep"
    "mlfdotsep"
    "slfdotsep"
    "pltdotsep"
    "mltdotsep"
    "sltdotsep"
    "mtcselectlanguage"
    "mtcloadmlo"
    "addcoffeeline"
    "coffeeline"
    "tableofcontents"
    "listoffigures"
    "listoftables"
    "faketableofcontents"
    "fakelistoffigures"
    "fakelistoftables")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)
    '("solutionorgrid" LaTeX-env-args ["argument"] 0)
    '("solutionordottedlines" LaTeX-env-args ["argument"] 0)
    '("solutionorlines" LaTeX-env-args ["argument"] 0)
    '("solutionorbox" LaTeX-env-args ["argument"] 0)
    '("solution" LaTeX-env-args ["argument"] 0)
    '("multiplechoice" LaTeX-env-args ["argument"] 0)
    '("shortanswer" LaTeX-env-args ["argument"] 0)
    '("truefalse" LaTeX-env-args ["argument"] 0)
    '("fillin" LaTeX-env-args ["argument"] 0)
    '("matching" LaTeX-env-args ["argument"] 0)
    '("solutionseries" LaTeX-env-args ["argument"] 2)
    '("exerciseseries" LaTeX-env-args ["argument"] 1)
    '("exercises" LaTeX-env-args ["argument"] 0)
    '("flagderiv" LaTeX-env-args ["argument"] 0)
    '("flashcard" LaTeX-env-args ["argument"] 1)
    '("fullminipage" LaTeX-env-args ["argument"] 0)
    '("gmatrix" LaTeX-env-args ["argument"] 0)
    '("maszynopis" LaTeX-env-args ["argument"] 0)
    '("gnuplot" LaTeX-env-args ["argument"] 0)
    '("Encap" LaTeX-env-args ["argument"] 3)
    '("Row" LaTeX-env-args ["argument"] 0)
    '("row" LaTeX-env-args ["argument"] 2)
    '("arttitsub" LaTeX-env-args ["argument"] 2)
    '("artsubtit" LaTeX-env-args ["argument"] 2)
    '("art" LaTeX-env-args ["argument"] 1)
    '("widedesc" LaTeX-env-args ["argument"] 0)
    '("flexlist" LaTeX-env-args ["argument"] 1)
    '("hvFloatEnv" LaTeX-env-args ["argument"] 0)
    '("inctext" LaTeX-env-args ["argument"] 0)
    '("labeling" LaTeX-env-args ["argument"] 1)
    '("KeyValTable" LaTeX-env-args ["argument"] 1)
    '("pattern" LaTeX-env-args ["argument"] 2)
    '("letter" LaTeX-env-args ["argument"] 1)
    '("InstanceDescription" LaTeX-env-args ["argument"] 3)
    '("edtable" LaTeX-env-args ["argument"] 1)
    '("longbox" LaTeX-env-args ["argument"] 0)
    '("longfbox" LaTeX-env-args ["argument"] 0)
    '("lpic" LaTeX-env-args ["argument"] 1)
    '("FullLsc" LaTeX-env-args ["argument"] 7)
    '("Lsc" LaTeX-env-args ["argument"] 3)
    '("lsccreateinst" LaTeX-env-args ["argument"] 3)
    '("lscinst" LaTeX-env-args ["argument"] 1)
    '("simregion" LaTeX-env-args ["argument"] 0)
    '("coregion" LaTeX-env-args ["argument"] 0)
    '("ltssidetoks" LaTeX-env-args ["argument"] 1)
    '("ltsfnquote" LaTeX-env-args ["argument"] 0)
    '("subfloatrow" LaTeX-env-args ["argument"] 0)
    '("floatrow" LaTeX-env-args ["argument"] 0)
    '("longtable" LaTeX-env-args ["argument"] 1)
    '("tablenotes" LaTeX-env-args ["argument"] 0)
    '("threeparttable" LaTeX-env-args ["argument"] 0)
    '("lateximage" LaTeX-env-args ["argument"] 0)
    '("empheq" LaTeX-env-args ["argument"] 1)
    '("multlined" LaTeX-env-args ["argument"] 0)
    '("mdframed" LaTeX-env-args ["argument"] 0)
    '("vplace" LaTeX-env-args ["argument"] 0)
    '("margintable" LaTeX-env-args ["argument"] 0)
    '("marginfigure" LaTeX-env-args ["argument"] 0)
    '("verse" LaTeX-env-args ["argument"] 0)
    '("menufolder" LaTeX-env-args ["argument"] 1)
    '("metrike" LaTeX-env-args ["argument"] 0)
    '("metrica" LaTeX-env-args ["argument"] 0)
    '("explaincode" LaTeX-env-args ["argument"] 0)
    '("minipagewithmarginpars" LaTeX-env-args ["argument"] 1)
    '("arrangedWrapFigureNow" LaTeX-env-args ["argument"] 6)
    '("arrangedWrapFigure" LaTeX-env-args ["argument"] 6)
    '("arrangedSideWaysFigureNow" LaTeX-env-args ["argument"] 4)
    '("arrangedSideWaysFigure" LaTeX-env-args ["argument"] 4)
    '("arrangedFigureNow" LaTeX-env-args ["argument"] 4)
    '("arrangedFigure" LaTeX-env-args ["argument"] 4)
    '("mtchideinmainlot" LaTeX-env-args ["argument"] 0)
    '("mtchideinmainlof" LaTeX-env-args ["argument"] 0)
    '("mtchideinmaintoc" LaTeX-env-args ["argument"] 0))
   (LaTeX-add-counters
    "minilofdepth"
    "minilotdepth"
    "mtc"
    "minitocdepth"
    "partlofdepth"
    "partlotdepth"
    "ptc"
    "parttocdepth"
    "sectlofdepth"
    "sectlotdepth"
    "stc"
    "secttocdepth")
   (LaTeX-add-lengths
    "mtcindent"
    "ptcindent"
    "stcindent"))
 :latex)

