(TeX-add-style-hook
 "pbsheet"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("fontenc" "T1") ("hyperref" "pdftex" "bookmarks" "a4paper" "colorlinks") ("graphicx" "dvips" "pdftex") ("geometry" "a4paper" "portrait") ("inputenc" "latin1") ("babel" "francais")))
   (TeX-run-style-hooks
    "latex2e"
    "article"
    "art10"
    "inputenc"
    "fontenc"
    "url"
    "graphicx"
    "hyperref"
    "aeguill"
    "amsmath"
    "amsfonts"
    "amssymb"
    "amsthm"
    "latexsym"
    "geometry"
    "rotating"
    "moreverb"
    "xspace"
    "babel"
    "color"
    "listings")
   (TeX-add-symbols
    '("PT" ["argument"] 0)
    '("Bimatrix" 2)
    '("Vector" 2)
    '("BIMATRIX" 1)
    '("VECTOR" 1)
    '("SR" 2)
    '("DSFRAC" 2)
    '("ds" 1)
    '("SSK" 1)
    '("INT" 1)
    '("ADH" 1)
    '("adher" 1)
    '("inter" 1)
    '("Hess" 1)
    '("HESS" 1)
    '("ddisop" 1)
    '("disop" 1)
    '("isop" 1)
    '("SGQ" 2)
    '("SGQf" 1)
    '("SG" 2)
    '("SGf" 1)
    '("DIAM" 1)
    '("RG" 1)
    '("KER" 1)
    '("SIG" 1)
    '("DET" 1)
    '("DIAG" 1)
    '("TR" 1)
    '("Det" 1)
    '("lebb" 1)
    '("leb" 2)
    '("Cib" 1)
    '("Cnb" 2)
    '("Cnc" 2)
    '("Cic" 1)
    '("Ci" 1)
    '("Cn" 2)
    '("Cc" 1)
    '("Cb" 1)
    '("C" 1)
    '("lik" 1)
    '("vrs" 1)
    '("K" 1)
    '("bvar" 2)
    '("var" 2)
    '("varf" 1)
    '("RANGE" 1)
    '("DIM" 1)
    '("supp" 1)
    '("bcov" 3)
    '("cov" 3)
    '("covf" 1)
    '("corr" 3)
    '("corrf" 1)
    '("bmoy" 2)
    '("econd" 2)
    '("moy" 2)
    '("moyf" 1)
    '("fishm" 1)
    '("fish" 1)
    '("fcr" 1)
    '("imut" 1)
    '("ene" 2)
    '("enef" 1)
    '("rent" 2)
    '("ient" 2)
    '("ientf" 1)
    '("ent" 2)
    '("entf" 1)
    '("eent" 1)
    '("bent" 2)
    '("bentf" 1)
    '("sent" 1)
    '("WH" 1)
    '("LIP" 1)
    '("VT" 1)
    '("SBRA" 1)
    '("PD" 2)
    '("BABS" 1)
    '("BPAR" 1)
    '("PAR" 1)
    '("OSC" 1)
    '("NI" 1)
    '("NRM" 1)
    '("DP" 1)
    '("BRA" 1)
    '("ABS" 1)
    '("p" 4)
    '("gt" 1)
    '("limAS" 1)
    '("limPS" 1)
    '("mylim" 2)
    '("limn" 1)
    '("limL" 1)
    '("limP" 1)
    '("limW" 1)
    '("limE" 1)
    '("limLeb" 2)
    '("NB" 1)
    '("DOIFPDF" 2)
    '("MEL" 1)
    '("WEB" 1)
    '("ETABLISSEMENT" 1)
    '("ANNEE" 1)
    '("FORMATION" 1)
    '("DATE" 1)
    '("AUTEUR" 1)
    '("TITRE" 1)
    '("FIG" 4)
    '("FFIG" 5)
    '("SCIFILE" 1)
    '("SCEFILE" 1)
    '("MFILE" 1)
    "phantomsection"
    "toclevel"
    "PREMIEREPAGE"
    "EngineName"
    "EM"
    "timenow"
    "dA"
    "dB"
    "dC"
    "dD"
    "dE"
    "dF"
    "dG"
    "dH"
    "dI"
    "dJ"
    "dK"
    "dL"
    "dM"
    "dN"
    "dO"
    "dP"
    "dQ"
    "dR"
    "dS"
    "dT"
    "dU"
    "dV"
    "dW"
    "dX"
    "dY"
    "dZ"
    "rA"
    "rB"
    "rC"
    "rD"
    "rE"
    "rF"
    "rG"
    "rH"
    "rI"
    "rJ"
    "rK"
    "rL"
    "rM"
    "rN"
    "rO"
    "rP"
    "rQ"
    "rR"
    "rS"
    "rT"
    "rU"
    "rV"
    "rW"
    "rX"
    "rY"
    "rZ"
    "cA"
    "cB"
    "cC"
    "cD"
    "cE"
    "cF"
    "cG"
    "cH"
    "cI"
    "cJ"
    "cK"
    "cL"
    "cM"
    "cN"
    "cO"
    "cP"
    "cQ"
    "cR"
    "cS"
    "cT"
    "cU"
    "cV"
    "cW"
    "cX"
    "cY"
    "cZ"
    "bA"
    "bB"
    "bC"
    "bD"
    "bE"
    "bF"
    "bG"
    "bH"
    "bI"
    "bJ"
    "bK"
    "bL"
    "bM"
    "bN"
    "bO"
    "bP"
    "bQ"
    "bR"
    "bS"
    "bT"
    "bU"
    "bV"
    "bW"
    "bX"
    "bY"
    "bZ"
    "al"
    "be"
    "De"
    "de"
    "ga"
    "Ga"
    "g"
    "gn"
    "la"
    "La"
    "lan"
    "na"
    "Om"
    "om"
    "ph"
    "Si"
    "si"
    "Te"
    "te"
    "ta"
    "Ups"
    "veps"
    "vphi"
    "bul"
    "pd"
    "sentf"
    "eentf"
    "rentf"
    "entr"
    "imutf"
    "fcrf"
    "fishf"
    "fishmf"
    "suppf"
    "DIMF"
    "RANGEF"
    "Kf"
    "Tr"
    "ID"
    "Id"
    "Mo"
    "Vo"
    "CD"
    "GA"
    "GD"
    "GI"
    "GR"
    "GIV"
    "GIB"
    "LA"
    "ROT"
    "DIV"
    "isopf"
    "HAM"
    "POT"
    "PF"
    "DOM"
    "laV"
    "DOML"
    "DOMB"
    "DOMV"
    "GAV"
    "D"
    "DOTIMES"
    "DOPLUS"
    "CARD"
    "bs"
    "Inf"
    "Sup"
    "eg"
    "fdefeq"
    "edefeq"
    "defeq"
    "equ"
    "ex"
    "imp"
    "ssi"
    "tout"
    "tq"
    "st"
    "Ieme")
   (LaTeX-add-labels
    "code:#1"
    "fi:#1")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)
    '("solutionorgrid" LaTeX-env-args ["argument"] 0)
    '("solutionordottedlines" LaTeX-env-args ["argument"] 0)
    '("solutionorlines" LaTeX-env-args ["argument"] 0)
    '("solutionorbox" LaTeX-env-args ["argument"] 0)
    '("solution" LaTeX-env-args ["argument"] 0)
    '("multiplechoice" LaTeX-env-args ["argument"] 0)
    '("shortanswer" LaTeX-env-args ["argument"] 0)
    '("truefalse" LaTeX-env-args ["argument"] 0)
    '("fillin" LaTeX-env-args ["argument"] 0)
    '("matching" LaTeX-env-args ["argument"] 0)
    '("solutionseries" LaTeX-env-args ["argument"] 2)
    '("exerciseseries" LaTeX-env-args ["argument"] 1)
    '("exercises" LaTeX-env-args ["argument"] 0)
    '("flagderiv" LaTeX-env-args ["argument"] 0)
    '("flashcard" LaTeX-env-args ["argument"] 1)
    '("fullminipage" LaTeX-env-args ["argument"] 0)
    '("gmatrix" LaTeX-env-args ["argument"] 0)
    '("maszynopis" LaTeX-env-args ["argument"] 0)
    '("gnuplot" LaTeX-env-args ["argument"] 0)
    '("Encap" LaTeX-env-args ["argument"] 3)
    '("Row" LaTeX-env-args ["argument"] 0)
    '("row" LaTeX-env-args ["argument"] 2)
    '("arttitsub" LaTeX-env-args ["argument"] 2)
    '("artsubtit" LaTeX-env-args ["argument"] 2)
    '("art" LaTeX-env-args ["argument"] 1)
    '("widedesc" LaTeX-env-args ["argument"] 0)
    '("flexlist" LaTeX-env-args ["argument"] 1)
    '("hvFloatEnv" LaTeX-env-args ["argument"] 0)
    '("inctext" LaTeX-env-args ["argument"] 0)
    '("labeling" LaTeX-env-args ["argument"] 1)
    '("KeyValTable" LaTeX-env-args ["argument"] 1)
    '("pattern" LaTeX-env-args ["argument"] 2)
    '("letter" LaTeX-env-args ["argument"] 1)
    '("InstanceDescription" LaTeX-env-args ["argument"] 3)
    '("edtable" LaTeX-env-args ["argument"] 1)
    '("longbox" LaTeX-env-args ["argument"] 0)
    '("longfbox" LaTeX-env-args ["argument"] 0)
    '("lpic" LaTeX-env-args ["argument"] 1)
    '("FullLsc" LaTeX-env-args ["argument"] 7)
    '("Lsc" LaTeX-env-args ["argument"] 3)
    '("lsccreateinst" LaTeX-env-args ["argument"] 3)
    '("lscinst" LaTeX-env-args ["argument"] 1)
    '("simregion" LaTeX-env-args ["argument"] 0)
    '("coregion" LaTeX-env-args ["argument"] 0)
    '("ltssidetoks" LaTeX-env-args ["argument"] 1)
    '("ltsfnquote" LaTeX-env-args ["argument"] 0)
    '("subfloatrow" LaTeX-env-args ["argument"] 0)
    '("floatrow" LaTeX-env-args ["argument"] 0)
    '("longtable" LaTeX-env-args ["argument"] 1)
    '("tablenotes" LaTeX-env-args ["argument"] 0)
    '("threeparttable" LaTeX-env-args ["argument"] 0)
    '("lateximage" LaTeX-env-args ["argument"] 0)
    '("empheq" LaTeX-env-args ["argument"] 1)
    '("multlined" LaTeX-env-args ["argument"] 0)
    '("mdframed" LaTeX-env-args ["argument"] 0)
    '("vplace" LaTeX-env-args ["argument"] 0)
    '("margintable" LaTeX-env-args ["argument"] 0)
    '("marginfigure" LaTeX-env-args ["argument"] 0)
    '("verse" LaTeX-env-args ["argument"] 0)
    '("menufolder" LaTeX-env-args ["argument"] 1)
    '("metrike" LaTeX-env-args ["argument"] 0)
    '("metrica" LaTeX-env-args ["argument"] 0)
    '("explaincode" LaTeX-env-args ["argument"] 0)
    '("minipagewithmarginpars" LaTeX-env-args ["argument"] 1)
    '("arrangedWrapFigureNow" LaTeX-env-args ["argument"] 6)
    '("arrangedWrapFigure" LaTeX-env-args ["argument"] 6)
    '("arrangedSideWaysFigureNow" LaTeX-env-args ["argument"] 4)
    '("arrangedSideWaysFigure" LaTeX-env-args ["argument"] 4)
    '("arrangedFigureNow" LaTeX-env-args ["argument"] 4)
    '("arrangedFigure" LaTeX-env-args ["argument"] 4)
    '("mtchideinmainlot" LaTeX-env-args ["argument"] 0)
    '("mtchideinmainlof" LaTeX-env-args ["argument"] 0)
    '("mtchideinmaintoc" LaTeX-env-args ["argument"] 0)
    '("minted" LaTeX-env-args ["argument"] 1)
    '("Minutes" LaTeX-env-args ["argument"] 1)
    '("quiz" LaTeX-env-args ["argument"] 1)
    '("mpostfig" LaTeX-env-args ["argument"] 0)
    '("mpostdef" LaTeX-env-args ["argument"] 0)
    '("hmsc" LaTeX-env-args ["argument"] 1)
    '("mscdoc" LaTeX-env-args ["argument"] 1)
    '("msc" LaTeX-env-args ["argument"] 1)
    '("multienumerate" LaTeX-env-args ["argument"] 0)
    '("alloweqbreak" LaTeX-env-args ["argument"] 0)
    '("biblist" LaTeX-env-args ["argument"] 1)
    '("fleqn" LaTeX-env-args ["argument"] 0)
    '("darray" LaTeX-env-args ["argument"] 1)
    '("definition" LaTeX-env-args ["argument"] 0)
    '("tntable" LaTeX-env-args ["argument"] 1)
    '("NumericDataPlot" LaTeX-env-args ["argument"] 2)
    '("tabularkv" LaTeX-env-args ["argument"] 0)
    '("outline" LaTeX-env-args ["argument"] 0)
    '("overpic" LaTeX-env-args ["argument"] 1)
    '("describe" LaTeX-env-args ["argument"] 0)
    '("Parallel" LaTeX-env-args ["argument"] 2)
    "thm"
    "cor"
    "prop"
    "lem"
    "defi"
    "xpl"
    "exo"
    "hyp"
    "eur"
    "pro"
    "rem"))
 :latex)

