(TeX-add-style-hook
 "scrartcl"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("scrlayer-scrpage" "pagestyleset=standard" "markcase=upper")))
   (TeX-run-style-hooks
    "leqno"
    "fleqn"
    "scrkbase"
    "tocbasic"
    "scrlayer-scrpage"
    "typearea")
   (TeX-add-symbols
    '("deffootnote" ["argument"] 3)
    '("setfootnoterule" ["argument"] 1)
    '("setcapdynwidth" ["argument"] 1)
    '("setcapwidth" ["argument"] 1)
    '("dictum" ["argument"] 1)
    '("ProvideSectionCommands" ["argument"] 1)
    '("RedeclareSectionCommands" ["argument"] 1)
    '("DeclareNewSectionCommands" ["argument"] 1)
    '("DeclareSectionCommands" ["argument"] 1)
    '("ProvideSectionCommand" ["argument"] 1)
    '("RedeclareSectionCommand" ["argument"] 1)
    '("DeclareNewSectionCommand" ["argument"] 1)
    '("DeclareSectionCommand" ["argument"] 1)
    '("maketitle" ["argument"] 0)
    '("newbibstyle" ["argument"] 2)
    '("labelinglabel" 1)
    '("descriptionlabel" 1)
    '("setindexpreamble" 1)
    '("BreakBibliography" 1)
    '("setbibpreamble" 1)
    '("addtocentrydefault" 3)
    '("footref" 1)
    '("deffootnotemark" 1)
    '("captionof" 1)
    '("marginline" 1)
    '("textsubscript" 1)
    '("dictumauthorformat" 1)
    '("addsecmark" 1)
    '("othersectionlevelsformat" 3)
    '("addsubparagraphtocentry" 2)
    '("addparagraphtocentry" 2)
    '("addsubsectiontocentry" 2)
    '("addsectiontocentry" 2)
    '("minisec" 1)
    '("addpartmark" 1)
    '("partmark" 1)
    '("addparttocentry" 2)
    '("DeclareSectionCommandStyleFontOption" 4)
    '("DeclareSectionCommandStyleNumberOption" 4)
    '("DeclareSectionCommandStyleLengthOption" 4)
    '("AddToSectionCommandOptionsDoList" 1)
    '("DeclareSectionCommandStyleOption" 3)
    '("IfUsePrefixLine" 2)
    '("sectioncatchphraseformat" 4)
    '("sectionlinesformat" 4)
    '("SecDef" 2)
    '("ifunnumbered" 1)
    '("ifnumbered" 1)
    '("dedication" 1)
    '("lowertitleback" 1)
    '("uppertitleback" 1)
    '("publishers" 1)
    '("subtitle" 1)
    '("subject" 1)
    '("titlehead" 1)
    '("extratitle" 1)
    '("cleardoublepageusingstyle" 1)
    '("cleardoubleevenpageusingstyle" 1)
    '("cleardoubleoddpageusingstyle" 1)
    '("setparsizes" 3)
    "scr"
    "KOMAClassName"
    "ClassName"
    "KOMAClassFileName"
    "size"
    "partheadstartvskip"
    "partheadmidvskip"
    "partheadendvskip"
    "sectfont"
    "defaultpapersize"
    "x"
    "f"
    "default"
    "cleardoubleoddemptypage"
    "cleardoubleoddplainpage"
    "cleardoubleevenstandardpage"
    "cleardoubleevenemptypage"
    "cleardoubleevenplainpage"
    "cleardoublestandardpage"
    "cleardoubleemptypage"
    "cleardoubleplainpage"
    "scap"
    "float"
    "bib"
    "idx"
    "simple"
    "cal"
    "mit"
    "parindent"
    "parskip"
    "parfillskip"
    "add"
    "coverpagetopmargin"
    "coverpagebottommargin"
    "coverpageleftmargin"
    "coverpagerightmargin"
    "titlefont"
    "abstractname"
    "autodot"
    "At"
    "Before"
    "RelaxSectionCommandOptions"
    "bprot"
    "appendix"
    "hy"
    "addpart"
    "partformat"
    "partname"
    "raggedsectionentry"
    "addsec"
    "sectionmarkformat"
    "subsectionmarkformat"
    "dictumrule"
    "dictumwidth"
    "raggeddictum"
    "raggeddictumtext"
    "raggeddictumauthor"
    "new"
    "string"
    "is"
    "ifthispageodd"
    "set"
    "pnumfont"
    "headfont"
    "footfont"
    "titlepagestyle"
    "indexpagestyle"
    "captionformat"
    "c"
    "capfont"
    "caplabelfont"
    "setcapindent"
    "setcaphanging"
    "cap"
    "setcapmargin"
    "fs"
    "floatc"
    "captionaboveof"
    "captionbelowof"
    "figurename"
    "tablename"
    "figureformat"
    "fps"
    "ftype"
    "ext"
    "fnum"
    "tableformat"
    "ftn"
    "raggedfootnote"
    "ftnm"
    "ftntm"
    "FN"
    "multiplefootnoteseparator"
    "multfootsep"
    "multiplefootnotemarker"
    "last"
    "before"
    "after"
    "contentsname"
    "listoftocname"
    "toc"
    "tableofcontents"
    "listfigurename"
    "listoflofname"
    "listoflofentryname"
    "listtablename"
    "listoflotname"
    "listoflotentryname"
    "listoffigures"
    "l"
    "listoftables"
    "refname"
    "bibindent"
    "no"
    "AfterBibliographyPreamble"
    "AtEndBibliography"
    "index"
    "subitem"
    "subsubitem"
    "indexspace"
    "indexname"
    "descfont"
    "KOMAScript"
    "FamilyElseValue"
    "cleardoublepage"
    "cleardoubleoddpage"
    "cleardoubleevenpage"
    "cleardoubleoddstandardpage"
    "newblock"
    "changefontsizes"
    "today"
    "footnotesize"
    "footnoterule"
    "footnote"
    "thanks"
    "maketitle"
    "author"
    "title"
    "extratitle"
    "titlehead"
    "subject"
    "publishers"
    "uppertitleback"
    "lowertitleback"
    "dedication"
    "date"
    "and"
    "numberline"
    "secdef"
    "IfUsePrefixLine"
    "raggedsection"
    "raggedpart"
    "arabic"
    "aftergroup"
    "noexpand"
    "stepcounter"
    "refstepcounter"
    "label"
    "hypertarget"
    "captionabove"
    "captionbelow"
    "captionof"
    "caption"
    "thefootnotemark"
    "bibpreamble"
    "item"
    "makelabel")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)
    '("solutionorgrid" LaTeX-env-args ["argument"] 0)
    '("solutionordottedlines" LaTeX-env-args ["argument"] 0)
    '("solutionorlines" LaTeX-env-args ["argument"] 0)
    '("solutionorbox" LaTeX-env-args ["argument"] 0)
    '("solution" LaTeX-env-args ["argument"] 0)
    '("multiplechoice" LaTeX-env-args ["argument"] 0)
    '("shortanswer" LaTeX-env-args ["argument"] 0)
    '("truefalse" LaTeX-env-args ["argument"] 0)
    '("fillin" LaTeX-env-args ["argument"] 0)
    '("matching" LaTeX-env-args ["argument"] 0)
    '("solutionseries" LaTeX-env-args ["argument"] 2)
    '("exerciseseries" LaTeX-env-args ["argument"] 1)
    '("exercises" LaTeX-env-args ["argument"] 0)
    '("flagderiv" LaTeX-env-args ["argument"] 0)
    '("flashcard" LaTeX-env-args ["argument"] 1)
    '("fullminipage" LaTeX-env-args ["argument"] 0)
    '("gmatrix" LaTeX-env-args ["argument"] 0)
    '("maszynopis" LaTeX-env-args ["argument"] 0)
    '("gnuplot" LaTeX-env-args ["argument"] 0)
    '("Encap" LaTeX-env-args ["argument"] 3)
    '("Row" LaTeX-env-args ["argument"] 0)
    '("row" LaTeX-env-args ["argument"] 2)
    '("arttitsub" LaTeX-env-args ["argument"] 2)
    '("artsubtit" LaTeX-env-args ["argument"] 2)
    '("art" LaTeX-env-args ["argument"] 1)
    '("widedesc" LaTeX-env-args ["argument"] 0)
    '("flexlist" LaTeX-env-args ["argument"] 1)
    '("hvFloatEnv" LaTeX-env-args ["argument"] 0)
    '("inctext" LaTeX-env-args ["argument"] 0)
    '("labeling" LaTeX-env-args ["argument"] 1)
    '("KeyValTable" LaTeX-env-args ["argument"] 1)
    '("pattern" LaTeX-env-args ["argument"] 2)
    '("thebibliography" 1)
    '("captionofbeside" 1)
    "titlepage"
    "abstract"
    "captionbeside"
    "figure"
    "table"
    "theindex"
    "description"
    "verse"
    "quotation"
    "quote"
    "addmargin")
   (LaTeX-add-pagestyles
    "plain"
    "headings"
    "myheadings")
   (LaTeX-add-counters
    "part"
    "section"
    "subsection"
    "subsubsection"
    "paragraph"
    "subparagraph"
    "figure"
    "table")
   (LaTeX-add-lengths
    "abovecaptionskip"
    "belowcaptionskip"))
 :latex)

