(TeX-add-style-hook
 "slides"
 (lambda ()
   (TeX-run-style-hooks
    "sfonts"
    "leqno"
    "fleqn")
   (TeX-add-symbols
    '("descriptionlabel" 1)
    '("addtime" 1)
    '("settime" 1)
    "rm"
    "sf"
    "tt"
    "bf"
    "it"
    "sl"
    "sc"
    "cal"
    "mit"
    "maketitle"
    "today"
    "rmdefault"
    "sfdefault"
    "ttdefault"
    "itdefault"
    "sldefault"
    "bfdefault"
    "ifourteenpt"
    "iseventeenpt"
    "itwentypt"
    "itwentyfourpt"
    "itwentyninept"
    "ithirtyfourpt"
    "ifortyonept"
    "normalsize"
    "small"
    "footnotesize"
    "scriptsize"
    "tiny"
    "large"
    "Large"
    "LARGE"
    "huge"
    "Huge"
    "makelabel"
    "theequation"
    "thefootnote")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    "titlepage"
    "verse"
    "quotation"
    "quote"
    "description")
   (LaTeX-add-pagestyles
    "headings"
    "slide"
    "overlay"
    "note"
    "plain"
    "empty")
   (LaTeX-add-counters
    "minutes"
    "seconds"))
 :latex)

