(TeX-add-style-hook
 "TeXProject"
 (lambda ()
   (TeX-run-style-hooks
    "DraTex"
    "AlDraTex")
   (TeX-add-symbols
    "endprojectdefA"
    "tcount"
    "DrawRect"
    "Tree"
    "warningsoff"
    "warningson"
    "whitedef"
    "ignorewhite"
    "forbiencomm"
    "defcom"
    "tasknode"
    "milestonenode"
    "projectnode"
    "deftaskA"
    "reseffA"
    "deftaskB"
    "defmilestoneA"
    "defmilestoneB"
    "defprojectA"
    "defprojectB"
    "restoregal"
    "deftask"
    "defmilestone"
    "defproject"
    "minmaxdates"
    "projects"
    "putcommand"
    "filtercommand"
    "sepitems"
    "startfinish"
    "result"
    "arg"
    "list"
    "sapply"
    "breadth"
    "app"
    "s"
    "AA"
    "BB"
    "also"
    "in"
    "found"
    "two"
    "one"
    "cln"
    "comp"
    "com"
    "rs"
    "get"
    "scr"
    "pre"
    "a"
    "is"
    "b"
    "c"
    "r"
    "prjc"
    "f"
    "add"
    "N"
    "findcontribution"
    "contributorsproject"
    "setnumericdate"
    "real"
    "actual"
    "datesproject"
    "pc"
    "prv"
    "connect"
    "prjd"
    "xx"
    "pwarn"
    "cp"
    "cnt"
    "traceon"
    "traceoff"
    "trace"
    "traceM"
    "traceP"
    "traceT"
    "op"
    "getlist"
    "missingiem"
    "setprev"
    "projectid"
    "setproject"
    "traversedo"
    "checkmemb"
    "minDate"
    "minY"
    "minM"
    "minD"
    "maxDate"
    "maxY"
    "maxM"
    "maxD"
    "getitems"
    "items"
    "getchi"
    "checknodedates"
    "checkafter"
    "getdate"
    "checkdates"
    "listrsrc"
    "append"
    "reseffI"
    "effortout"
    "contr"
    "contributionsstyle"
    "findeffort"
    "findthecontri"
    "alls"
    "item"
    "datestyle"
    "showdate"
    "rapply"
    "mop"
    "top"
    "depth"
    "apply"
    "extract"
    "pp"
    "ppp"
    "push"
    "pop"
    "set"
    "gettree"
    "nextrow"
    "getnode"
    "milestone"
    "task"
    "project"
    "treenodewidth"
    "getparms"
    "first"
    "third"
    "fourth"
    "sixth"
    "seventh"
    "eighth"
    "axisdate"
    "breakdate"
    "titletext"
    "titletextA"
    "treenodestyle"
    "treetext"
    "last"
    "doelements"
    "fifth"
    "milestonechild"
    "taskchild"
    "projectchild"
    "child"
    "getscale"
    "scale"
    "getminmaxdates"
    "cutprojectstasksA"
    "dateB"
    "movemilestonesym"
    "putbartext"
    "datesaxis"
    "nonamesaxis"
    "namesaxis"
    "TicText"
    "scheaxis"
    "txtopt"
    "baropts"
    "barIIID"
    "barloc"
    "projectcolor"
    "taskcolor"
    "milestonesym"
    "scnodewidth"
    "schedulelimits"
    "schedulelimit"
    "schedulecode"
    "baroptA"
    "bartext"
    "bareff"
    "baraxis"
    "barIID"
    "cutoffdates"
    "dateS"
    "dyS"
    "moS"
    "yrS"
    "dyF"
    "moF"
    "yrF"
    "cutofftypes"
    "cutofftypesA"
    "chkop"
    "optm"
    "optt"
    "optp"
    "getint"
    "frac"
    "utaskII"
    "all"
    "reseff"
    "reseffII"
    "dec"
    "cnd"
    "aft"
    "ef"
    "EndDraw"
    "df"
    "snd"
    "right"
    "gall"
    "recall"
    "effortbaropts"
    "effortbarloc"
    "effortcolor"
    "efftextwidth"
    "effortlimits"
    "effortlimit"
    "effortcode"
    "effortbaroptA"
    "effortbaraxis"
    "effortbartext"
    "effortbarIIID"
    "effortaxis"
    "sort"
    "sorted"
    "sortA"
    "indexIII"
    "prevI"
    "addtocurrow"
    "entry"
    "inserttocol"
    "pertnodestyle"
    "perttext"
    "subsort"
    "subsortA"
    "compr"
    "indexII"
    "adjprt"
    "prtadjtbl"
    "utaskIV"
    "clipper"
    "baropt"
    "openpertH"
    "openpertV"
    "MilestoneNode"
    "ProjectNode"
    "TaskNode"
    "pertw"
    "pertoptA"
    "hpert"
    "treediagram"
    "second"
    "row"
    "tree"
    "nodeid"
    "schedulechart"
    "efforts"
    "nodates"
    "effortchart"
    "cutprojectstasks"
    "maxeffort"
    "chartelement"
    "BarText"
    "bars"
    "names"
    "nonames"
    "pertd"
    "dateA"
    "date"
    "pertdiagram"
    "gal"
    "dates"
    "cur"
    "setrows"
    "colsno"
    "currow"
    "nodewidth"
    "node"
    "PertNode"
    "u"
    "effort"
    "verify"
    "getnodesbydate"
    "elms"
    "maxsub"
    "bef"
    "index"
    "indexI"
    "MaxX"
    "MaxY"
    "M"
    "prevstart"
    "prev"
    "from"
    "utask"
    "overflow"
    "l"
    "seg"
    "grps"
    "noexpand"
    "put"
    "sv"
    "gob"
    "pertlimits"
    "pert"
    "temp"
    "pertcode"
    "extrm")
   (LaTeX-add-environments
    "newproject"))
 :latex)

