(TeX-add-style-hook
 "appendix"
 (lambda ()
   (TeX-add-symbols
    "phantomsection"
    "appendixtocon"
    "appendixtocoff"
    "appendixpageon"
    "appendixpageoff"
    "appendixtitleon"
    "appendixtitleoff"
    "appendixtitletocon"
    "appendixtitletocoff"
    "appendixheaderon"
    "appendixheaderoff"
    "restoreapp"
    "appendixname"
    "appendixtocname"
    "appendixpagename"
    "appendixpage"
    "clear"
    "noappendicestocpagenum"
    "appendicestocpagenum"
    "addappheadtotoc"
    "theH"
    "setthesection"
    "setthesubsection"
    "sectionmark"
    "sectionname"
    "subsectionname"
    "addcontentsline")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    "appendices"
    "subappendices"))
 :latex)

