(TeX-add-style-hook
 "assignment"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-class-options
                     '(("article" "10pt" "a4paper")))
   (TeX-run-style-hooks
    "latex2e"
    "article"
    "art10"
    "ifthen")
   (TeX-add-symbols
    '("department" 1)
    '("school" 1)
    '("university" 1)
    '("student" 1)
    '("semester" 1)
    '("exercisesheet" 2)
    '("courselabel" 1)
    '("coursetitle" 1)
    "solutionstext"
    "PB"
    "e"
    "asgimplies"
    "pbitem"
    "ifshowanswers")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    "problemlist"
    "problem"
    "answer")
   (LaTeX-add-counters
    "problem"))
 :latex)

