(TeX-add-style-hook
 "autonum"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("textpos" "absolute")))
   (TeX-run-style-hooks
    "etoolbox"
    "etextools"
    "amsmath"
    "textpos"
    "letltxmacro")
   (TeX-add-symbols
    "string"
    "forlistloop"
    "csxdefaux"
    "csxdefall"
    "vanishprotect"
    "ifcsedef"
    "newcommandsequence"
    "renewcommandsequence"
    "meaningx"
    "skipInPDFTOC")
   (LaTeX-add-labels
    "autonum@patched#1Label")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1))
   (LaTeX-add-lengths))
 :latex)

