(TeX-add-style-hook
 "bashful"
 (lambda ()
   (TeX-run-style-hooks
    "xcolor"
    "catchfile"
    "xkeyval"
    "textcomp"
    "listings")
   (TeX-add-symbols
    '("bashV" 1)
    '("splice" 1)
    '("logBL" 1)
    '("bashIV" 1)
    "date"
    "version"
    "author"
    "mail"
    "signature"
    "generateScriptFile"
    "storeToFile"
    "storeToFileI"
    "executeScriptFile"
    "checkScriptErrors"
    "checkExitCodeFile"
    "checkStderrFile"
    "checkStderrFileI"
    "listEverything"
    "listEverythingWithinEnvironment"
    "listScript"
    "listStdout"
    "listStderr"
    "doList"
    "defineMacros"
    "fixPolyglossiaBug"
    "forceLTR"
    "bashI"
    "eoln"
    "firstErrorLine"
    "bashStdout"
    "bashStderr"
    "ttfamily"
    "rmfamily"
    "sffamily"
    "normalfont")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    "none"))
 :latex)

