(TeX-add-style-hook
 "bbding"
 (lambda ()
   (TeX-add-symbols
    "dingfamily"
    "ScissorRightBrokenBottom"
    "ScissorRight"
    "ScissorRightBrokenTop"
    "ScissorLeftBrokenBottom"
    "ScissorLeft"
    "ScissorLeftBrokenTop"
    "ScissorHollowRight"
    "ScissorHollowLeft"
    "Phone"
    "PhoneHandset"
    "Tape"
    "Plane"
    "Envelope"
    "HandCuffRight"
    "HandCuffLeft"
    "HandCuffRightUp"
    "HandCuffLeftUp"
    "HandRight"
    "HandLeft"
    "HandRightUp"
    "HandLeftUp"
    "Peace"
    "HandPencilLeft"
    "PencilRight"
    "PencilLeft"
    "PencilRightUp"
    "PencilLeftUp"
    "PencilRightDown"
    "PencilLeftDown"
    "NibRight"
    "NibLeft"
    "NibSolidRight"
    "NibSolidLeft"
    "Checkmark"
    "CheckmarkBold"
    "XSolid"
    "XSolidBold"
    "XSolidBrush"
    "PlusOutline"
    "Plus"
    "PlusCenterOpen"
    "PlusThinCenterOpen"
    "Cross"
    "CrossOpenShadow"
    "CrossOutline"
    "CrossBoldOutline"
    "CrossMaltese"
    "DavidStarSolid"
    "DavidStar"
    "FourAsterisk"
    "JackStar"
    "JackStarBold"
    "CrossClowerTips"
    "FourStar"
    "FourStarOpen"
    "FiveStarLines"
    "FiveStar"
    "FiveStarOpen"
    "FiveStarOpenCircled"
    "FiveStarCenterOpen"
    "FiveStarOpenDotted"
    "FiveStarOutline"
    "FiveStarOutlineHeavy"
    "FiveStarConvex"
    "FiveStarShadow"
    "AsteriskBold"
    "AsteriskCenterOpen"
    "AsteriskThin"
    "AsteriskThinCenterOpen"
    "EightStarTaper"
    "EightStarConvex"
    "SixStar"
    "EightStar"
    "EightStarBold"
    "TwelweStar"
    "SixteenStarLight"
    "SixFlowerPetalRemoved"
    "SixFlowerOpenCenter"
    "Asterisk"
    "SixFlowerAlternate"
    "FiveFlowerPetal"
    "SixFlowerPetalDotted"
    "FiveFlowerOpen"
    "EightFlowerPetal"
    "SunshineOpenCircled"
    "SixFlowerAltPetal"
    "FourClowerOpen"
    "FourClowerSolid"
    "AsteriskRoundedEnds"
    "EightFlowerPetalRemoved"
    "EightAsterisk"
    "SixFlowerRemovedOpenPetal"
    "SparkleBold"
    "Sparkle"
    "SnowflakeChevron"
    "SnowflakeChevronBold"
    "Snowflake"
    "CircleSolid"
    "Ellipse"
    "EllipseSolid"
    "CircleShadow"
    "EllipseShadow"
    "Square"
    "SquareSolid"
    "SquareShadowBottomRight"
    "SquareShadowTopRight"
    "SquareShadowTopLeft"
    "SquareCastShadowBottomRight"
    "SquareCastShadowTopRight"
    "SquareCastShadowTopLeft"
    "TriangleUp"
    "TriangleDown"
    "DiamondSolid"
    "OrnamentDiamondSolid"
    "HalfCircleRight"
    "HalfCircleLeft"
    "RectangleThin"
    "Rectangle"
    "RectangleBold"
    "ArrowBoldRightStrobe"
    "ArrowBoldUpRight"
    "ArrowBoldDownRight"
    "ArrowBoldRightShort"
    "ArrowBoldRightCircled")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)))
 :latex)

