(TeX-add-style-hook
 "beamerbaselocalstructure"
 (lambda ()
   (TeX-run-style-hooks
    "enumerate")
   (TeX-add-symbols
    '("insertshortframetitle" ["argument"] 0)
    "insertblocktitle"
    "beameritemnestingprefix"
    "insertenumlabel"
    "insertsubenumlabel"
    "insertsubsubenumlabel"
    "insertdescriptionitem"
    "insertbiblabel"
    "bibitem"
    "protect"
    "newblock"
    "makelabel"
    "caption"
    "insertcaptionname"
    "insertcaptionnumber"
    "insertcaption")
   (LaTeX-add-environments
    "description"
    "itemize"
    "enumerate"
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("thebibliography" 1)
    "alertenv"
    "structureenv")
   (LaTeX-add-counters
    "figure"
    "table")
   (LaTeX-add-lengths
    "abovecaptionskip"
    "belowcaptionskip"))
 :latex)

