(TeX-add-style-hook
 "beamerbaseoverlay"
 (lambda ()
   (TeX-add-symbols
    "endtrivlist"
    "beamer"
    "uncover"
    "visible"
    "invisible"
    "only"
    "alt"
    "action"
    "temporal"
    "beameroriginal"
    "newenvironment"
    "renewenvironment"
    "newcommand"
    "renewcommand"
    "opaqueness"
    "pgfalternateextension"
    "setbeamercovered"
    "music"
    "beamerpause"
    "pause"
    "onslide"
    "beamerdefaultoverlayspecification"
    "item"
    "animate"
    "animatevalue"
    "label"
    "ref")
   (LaTeX-add-environments
    "actionenv"
    "altenv"
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("overlayarea" 2)
    "beamer"
    "visibleenv"
    "invisibleenv"
    "uncoverenv"
    "onlyenv"))
 :latex)

