(TeX-add-style-hook
 "beamerprosper"
 (lambda ()
   (TeX-add-symbols
    '("prosperpart" ["argument"] 1)
    '("myitem" 2)
    '("PDFtransition" 1)
    '("ColorFoot" 1)
    '("fontText" 1)
    '("fontTitle" 1)
    '("FontText" 2)
    '("FontTitle" 2)
    '("slideCaption" 1)
    '("UntilSlide" 1)
    '("OnlySlide" 1)
    '("FromSlide" 1)
    '("onlyInPS" 1)
    '("onlyInPDF" 1)
    '("PDForPS" 2)
    '("email" 1)
    "beamer"
    "hiddenitem"
    "author"
    "insertauthor"
    "inst"
    "and"
    "institution"
    "overlays"
    "fromSlide"
    "onlySlide"
    "untilSlide"
    "Logo"
    "DefaultTransition"
    "NoFrenchBabelItemize"
    "TitleSlideNav"
    "NormalSlideNav"
    "LeftFoot"
    "RightFoot"
    "tsection"
    "tsectionandpart"
    "HAPsetup"
    "dualslide")
   (LaTeX-add-environments
    "wideslide"
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("notes" 1)
    "Itemize"))
 :latex)

