(TeX-add-style-hook
 "blox"
 (lambda ()
   (TeX-run-style-hooks
    "ifthen"
    "tikz"
    "pgffor")
   (TeX-add-symbols
    '("bXLoop" ["argument"] 2)
    '("bXChainReturn" ["argument"] 2)
    '("bXChain" ["argument"] 2)
    '("bXNodeShiftx" ["argument"] 2)
    '("bXBranchx" ["argument"] 2)
    '("bXNodeShifty" ["argument"] 2)
    '("bXBranchy" ["argument"] 2)
    '("bXSum" ["argument"] 5)
    '("bXLinkName" ["argument"] 2)
    '("bXReturn" ["argument"] 3)
    '("bXLinkxy" ["argument"] 2)
    '("bXLink" ["argument"] 2)
    '("bXonlyOneBloc" ["argument"] 3)
    '("bXBlocPotato" ["argument"] 3)
    '("bXBlocrL" ["argument"] 3)
    '("bXBlocL" ["argument"] 3)
    '("bXBlocr" ["argument"] 3)
    '("bXBloc" ["argument"] 3)
    '("bXOutput" ["argument"] 2)
    '("bXLinkyx" 2)
    '("bXLabelStyle" 1)
    '("bXStyleSum" 1)
    '("bXStylePotato" 1)
    '("bXStyleBloc" 1)
    '("bXLineStyle" 1)
    "bXDefaultLineStyle"
    "bXStyleBlocDefault"
    "bXStylePotatoDefault"
    "bXStyleSumDefault"
    "bXLabelStyleDefault"
    "bXInput"
    "bXCompSum"
    "bX"
    "bXComp"
    "bXCompa"
    "bXSuma"
    "bXSumb"
    "lastx")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)))
 :latex)

