(TeX-add-style-hook
 "breqn"
 (lambda ()
   (TeX-run-style-hooks
    "expl3"
    "flexisym"
    "keyval"
    "calc")
   (TeX-add-symbols
    "enddarray"
    "enddseries"
    "enddmath"
    '("DeclareTwang" 2)
    '("eqframe" 2)
    '("eqpunct" 1)
    '("hiderel" 1)
    '("options" 2)
    "maxint"
    "listwidth"
    "eqnumsep"
    "eqmargin"
    "eqlineskiplimit"
    "eqdelimoffset"
    "eqindentstep"
    "eqbreakdepth"
    "prerelpenalty"
    "prebinoppenalty"
    "mathindent"
    "set"
    "mathaxis"
    "dquad"
    "darraycolsep"
    "conditionsep"
    "conditionpunct"
    "condition"
    "discretionarytimes"
    "eqfontsize"
    "eqcolor"
    "eqnumplace"
    "eqnumfont"
    "eqnumform"
    "eqnumsize"
    "eqnumcolor"
    "eqnumside"
    "intertext"
    "end"
    "insert"
    "mark"
    "vadjust"
    "left"
    "right"
    "big"
    "Big"
    "bigg"
    "Bigg"
    "biggg"
    "Biggg"
    "bigl"
    "Bigl"
    "biggl"
    "Biggl"
    "bigggl"
    "Bigggl"
    "bigr"
    "Bigr"
    "biggr"
    "Biggr"
    "bigggr"
    "Bigggr"
    "premath"
    "postmath"
    "theequation"
    "eqindent"
    "nref")
   (LaTeX-add-environments
    "math"
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    "dmath"
    "dseries"
    "dgroup"
    "darray"
    "XXXXdsuspend"
    "dsuspend")
   (LaTeX-add-counters
    "parentequation")
   (LaTeX-add-lengths
    "eqlinespacing"
    "eqlineskip"
    "intereqskip"
    "eqleftskip"
    "eqrightskip"
    "eq")
   (LaTeX-add-saveboxes
    "EQ"
    "GRP"))
 :latex)

