(TeX-add-style-hook
 "bussproofs"
 (lambda ()
   (TeX-add-symbols
    "theLevel"
    "myMaxLevel"
    "thisAboveSkip"
    "thisBelowSkip"
    "newScoreStart"
    "newScoreEnd"
    "newCenter"
    "displace"
    "leftLowerAmt"
    "rightLowerAmt"
    "scoreHeight"
    "scoreDepth"
    "htLbox"
    "htRbox"
    "htRRbox"
    "htRRRbox"
    "htAbox"
    "htCbox"
    "curScoreStart"
    "curCenter"
    "curScoreEnd"
    "BPmessage"
    "EnableBpAbbreviations"
    "AX"
    "AXC"
    "UI"
    "UIC"
    "BI"
    "BIC"
    "TI"
    "TIC"
    "QI"
    "QIC"
    "QuI"
    "QuIC"
    "LL"
    "RL"
    "DP"
    "ScoreOverhang"
    "ScoreOverhangLeft"
    "ScoreOverhangRight"
    "extraVskip"
    "ruleScoreFiller"
    "dottedScoreFiller"
    "dashedScoreFiller"
    "defaultScoreFiller"
    "defaultBuildScore"
    "defaultHypSeparation"
    "labelSpacing"
    "proofSkipAmount"
    "defaultRootPosition"
    "fCenter"
    "hypKernAmt"
    "defaultLeftLabel"
    "defaultRightLabel"
    "myTrue"
    "makeatletter"
    "makeatother"
    "newcount"
    "newdimen"
    "newskip"
    "newbox"
    "thecur"
    "allocatemore"
    "prepAxiom"
    "Axiom"
    "AxiomC"
    "prepUnary"
    "UnaryInf"
    "UnaryInfC"
    "prepBinary"
    "BinaryInf"
    "BinaryInfC"
    "prepTrinary"
    "TrinaryInf"
    "TrinaryInfC"
    "prepQuaternary"
    "QuaternaryInf"
    "QuaternaryInfC"
    "joinQuaternary"
    "prepQuinary"
    "QuinaryInf"
    "QuinaryInfC"
    "joinQuinary"
    "buildConclusion"
    "buildConclusionC"
    "joinUnary"
    "buildRootBottom"
    "buildRootTop"
    "kernUpperBox"
    "kernLowerBox"
    "joinBinary"
    "joinTrinary"
    "DisplayProof"
    "alwaysBuildScore"
    "alwaysScoreFiller"
    "buildSingleScore"
    "buildDoubleScore"
    "buildNoScore"
    "doubleLine"
    "alwaysDoubleLine"
    "singleLine"
    "alwaysSingleLine"
    "noLine"
    "alwaysNoLine"
    "solidLine"
    "alwaysSolidLine"
    "dottedLine"
    "alwaysDottedLine"
    "dashedLine"
    "alwaysDashedLine"
    "kernHyps"
    "insertBetweenHyps"
    "centerAlignProof"
    "bottomAlignProof"
    "normalAlignProof"
    "centerAlignFlag"
    "bottomAlignFlag"
    "LeftLabel"
    "RightLabel"
    "buildScoreLabels"
    "resetInferenceDefaults"
    "theHypSeparation"
    "buildScore"
    "theScoreFiller"
    "rootAtBottom"
    "rootAtTop"
    "rootAtBottomFlag"
    "resetRootPosition"
    "alwaysRootAtBottom"
    "alwaysRootAtTop"
    "defaultRootAtBottomFlag")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    "prooftree"))
 :latex)

