(TeX-add-style-hook
 "calculator"
 (lambda ()
   (TeX-add-symbols
    "COPY"
    "GLOBALCOPY"
    "MAX"
    "MIN"
    "ABSVALUE"
    "MULTIPLY"
    "ADD"
    "SUBTRACT"
    "DIVIDE"
    "LENGTHADD"
    "LENGTHSUBTRACT"
    "LENGTHDIVIDE"
    "SQUARE"
    "CUBE"
    "POWER"
    "INTEGERDIVISION"
    "MODULO"
    "INTEGERQUOTIENT"
    "INTEGERPART"
    "FLOOR"
    "FRACTIONALPART"
    "TRUNCATE"
    "ROUND"
    "GCD"
    "LCM"
    "FRACTIONSIMPLIFY"
    "SQUAREROOT"
    "SQRT"
    "SIN"
    "COS"
    "TAN"
    "COT"
    "DEGtoRAD"
    "RADtoDEG"
    "REDUCERADIANSANGLE"
    "REDUCEDEGREESANGLE"
    "DEGREESSIN"
    "DEGREESCOS"
    "DEGREESTAN"
    "DEGREESCOT"
    "EXP"
    "COSH"
    "SINH"
    "TANH"
    "COTH"
    "LOG"
    "ARCSIN"
    "ARCCOS"
    "ARCTAN"
    "ARCCOT"
    "ARSINH"
    "ARCOSH"
    "ARTANH"
    "ARCOTH"
    "VECTORSIZE"
    "VECTORCOPY"
    "VECTORGLOBALCOPY"
    "SCALARPRODUCT"
    "DOTPRODUCT"
    "VECTORPRODUCT"
    "CROSSPRODUCT"
    "VECTORADD"
    "VECTORSUB"
    "VECTORABSVALUE"
    "SCALARVECTORPRODUCT"
    "VECTORNORM"
    "UNITVECTOR"
    "TWOVECTORSANGLE"
    "MATRIXSIZE"
    "MATRIXCOPY"
    "MATRIXGLOBALCOPY"
    "TRANSPOSEMATRIX"
    "MATRIXADD"
    "MATRIXSUB"
    "MATRIXABSVALUE"
    "MATRIXVECTORPRODUCT"
    "VECTORMATRIXPRODUCT"
    "SCALARMATRIXPRODUCT"
    "MATRIXPRODUCT"
    "DETERMINANT"
    "INVERSEMATRIX"
    "SOLVELINEARSYSTEM"
    "numberPI"
    "numberE"
    "numberLOGTEN"
    "numberGOLD"
    "numberINVGOLD"
    "numberSQRTTWO"
    "numberSQRTTHREE"
    "numberSQRTFIVE"
    "numberCOSXLV"
    "numberCOSXXX")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)))
 :latex)

