(TeX-add-style-hook
 "catechis"
 (lambda ()
   (TeX-run-style-hooks
    "calc"
    "ifthen"
    "varioref")
   (TeX-add-symbols
    '("scripture" 2)
    '("catcomment" 1)
    '("catques" 2)
    "quesnumweight"
    "questionweight"
    "answeight"
    "quesnumstyle"
    "questionstyle"
    "ansstyle"
    "quesindentstyle"
    "ansindentstyle"
    "commentweight"
    "commentstyle"
    "citeweight"
    "citestyle"
    "sourceweight"
    "sourcestyle"
    "citetitleweight"
    "citetitlestyle"
    "citeword"
    "citesize"
    "sourcesize"
    "citetitle")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0))
   (LaTeX-add-counters
    "quesnum")
   (LaTeX-add-lengths
    "questionskip"
    "answerskip"
    "answerindent"
    "rtanswerindent"
    "defanswerindent"
    "defquesparindent"
    "quesparindent"
    "ansparindent"))
 :latex)

