(TeX-add-style-hook
 "catoptions"
 (lambda ()
   (TeX-run-style-hooks
    "pdftexcmds")
   (TeX-add-symbols
    '("declarefutureletset" ["argument"] 1)
    '("cptnewdimens" ["argument"] 1)
    '("cptnewcounts" ["argument"] 1)
    '("cptnewbools" ["argument"] 1)
    '("xifstrcmpTF" 2)
    '("ifnextcharTF" 3)
    '("ifstrcmpFT" 2)
    '("ifstrcmpTF" 2)
    '("iftrailspaceTF" 1)
    '("ifleadspaceTF" 3)
    '("ifbracedFT" 1)
    '("ifbracedTF" 3)
    '("ifblankFT" 1)
    '("ifblankTF" 1)
    '("ifnullFT" 1)
    '("ifnullTF" 1)
    '("ifxcseqTF" 2)
    '("ifcseqFT" 2)
    '("ifcseqTF" 2)
    '("ifxFT" 2)
    '("ifxTF" 2)
    '("cptswapbraceboth" 2)
    '("cptswapbracesecond" 2)
    '("cptswapbracefirst" 2)
    '("cptswap" 2)
    '("foreachmeer" 2)
    '("defifxTF" 2)
    "E"
    "n"
    "l"
    "r"
    "active"
    "cpt"
    "cptnewcounters"
    "phantom"
    "indrisnr"
    "ifcpt"
    "e"
    "cptloggingall"
    "cpttracingall"
    "cptnewlet"
    "cptiofii"
    "cptiiofii"
    "ifnotnilTF"
    "cptfor"
    "cpttfor"
    "cptchardef"
    "cptsptoken"
    "then"
    "dolacus"
    "iflacus"
    "cptifstreq"
    "s"
    "neededfutureletchars"
    "curropt"
    "UseNormalCatcodes"
    "cptcommanormalize"
    "loopbreak"
    "macroprefix"
    "cptrm"
    "csvbreak"
    "csvpause"
    "tsvbreak"
    "cptdoremainder"
    "cptzapspaces"
    "cpttrimspaces"
    "cptusesimpletrimspace"
    "cptcurrtrimspaces"
    "cptusehardtrimspace"
    "ifcsdefinable"
    "dolet"
    "getnextindris"
    "nextindris"
    "bgroup"
    "expandcsonce"
    "cptelemnr"
    "x"
    "lpt"
    "rpt"
    "everymergeitem"
    "ifremovest"
    "ifreplst"
    "undefinablecs"
    "usename"
    "swap"
    "string"
    "numcmp"
    "sortedlist"
    "noexpand"
    "BeforeStartOfDocument"
    "AfterStartOfDocument"
    "AfterAfterStartOfDocument"
    "checkopts"
    "elt"
    "RequirePackage"
    "cptnormalizedoubleparser"
    "cptspecialnormalize"
    "colonyletcs"
    "cmdoption"
    "xp"
    "cmd"
    "OptionFound"
    "fileswithopts"
    "LoadClass"
    "CurrentOption"
    "documentclass"
    "usepackage")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)))
 :latex)

