(TeX-add-style-hook
 "ccaption"
 (lambda ()
   (TeX-add-symbols
    '("newfloatenv" ["argument"] 3)
    '("newfloatlist" ["argument"] 4)
    '("newfloatentry" ["argument"] 3)
    '("bicaption" ["argument"] 4)
    '("bionenumcaption" ["argument"] 5)
    '("bitwonumcaption" ["argument"] 5)
    '("providefixedcaption" ["argument"] 2)
    '("renewfixedcaption" ["argument"] 2)
    '("newfixedcaption" ["argument"] 2)
    '("setnewfloatindents" 3)
    '("newfloatpageson" 1)
    '("newfloatpagesoff" 1)
    '("newsubfloat" 1)
    '("listfloats" 2)
    '("cftdotfill" 1)
    '("longbicaption" 4)
    '("longbionenumcaption" 5)
    '("longbitwonumcaption" 5)
    '("bicontcaption" 3)
    '("legend" 1)
    '("midbicaption" 1)
    '("postcaption" 1)
    '("precaption" 1)
    '("indentcaption" 1)
    '("captionwidth" 1)
    '("captionstyle" 1)
    '("captiontitlefont" 1)
    '("captionnamefont" 1)
    '("captiondelim" 1)
    "flushleftright"
    "centerlastline"
    "changecaptionwidth"
    "normalcaptionwidth"
    "hangcaption"
    "normalcaption"
    "contcaption"
    "namedlegend"
    "flegtoc"
    "fleg"
    "subconcluded"
    "toclevel"
    "subbottom"
    "contsubbottom"
    "subbody"
    "subtop"
    "contsubtop"
    "doxxi"
    "cftdot"
    "cftdotsep"
    "footnote"
    "footnotemark"
    "tablename"
    "protect"
    "label"
    "subfigure"
    "subtable"
    "contsubfigure"
    "contsubtable")
   (LaTeX-add-labels
    "#1")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0))
   (LaTeX-add-lengths
    "abovelegendskip"
    "belowlegendskip"
    "csname"))
 :latex)

