(TeX-add-style-hook
 "cntperchap"
 (lambda ()
   (TeX-run-style-hooks
    "ifthen"
    "assoccnt"
    "morewrites"
    "xpatch"
    "xparse")
   (TeX-add-symbols
    '("FetchStoredCounterValue" ["argument"] 1)
    '("GetStoredCounterValue" ["argument"] 1)
    '("ShowStatistics" ["argument"] 0)
    '("IndividualCounterStatistics" ["argument"] 1)
    '("RegisterCounter" ["argument"] 1)
    '("fullstatistics" 1)
    '("ResetStoredCounter" 1)
    '("RegisterCounters" 1)
    "cpspackagename"
    "EnableCPSStorage"
    "DisableCPSStorage"
    "ResetStoredCounters"
    "Fullstatistics"
    "StartCounterToc"
    "CloseCPSFiles"
    "StoreCounters"
    "StoreGrandTotalCounters"
    "StopCounting"
    "CPSGetCounterList"
    "numberofstoredcounters")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)))
 :latex)

