(TeX-add-style-hook
 "codedoc"
 (lambda ()
   (TeX-run-style-hooks
    "makeidx")
   (TeX-add-symbols
    "AtChar"
    "relax"
    "printindex"
    "StopHere"
    "DocStripMarginpar"
    "PrintMacro"
    "hyperpage"
    "DescribeIndexFont"
    "DescribeMacro"
    "DescribeEnvironment"
    "DefineIndexFont"
    "DefineMacro"
    "DefineEnvironment"
    "IgnorePrefix"
    "Prefix"
    "PrintPrefix"
    "meta"
    "marg"
    "oarg"
    "parg"
    "bslash"
    "texorpdfstring"
    "ShortVerb"
    "UndoShortVerb"
    "ShortCode"
    "UndoShortCode"
    "VerbBreak"
    "UndoVerbBreak"
    "VerbCommand"
    "UndoVerbCommand"
    "CodeEscape"
    "UndoCodeEscape"
    "BoxTolerance"
    "TabSize"
    "Gobble"
    "code"
    "invisible"
    "eTeXOn"
    "eTeXOff"
    "NewExample"
    "RenewExample"
    "CodeFont"
    "LineNumber"
    "CodeInput"
    "CodeOutput"
    "CloseFile"
    "FileSource"
    "ProduceFile"
    "FileName"
    "FileVersion"
    "FileDate"
    "Header"
    "AddBlankLine"
    "StartIgnore"
    "StopIgnore"
    "DangerousEnvironment"
    "normalsize")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0))
   (LaTeX-add-index-entries
    "#1@\\texttt{#1} (environment)|cdatDescribeFont"
    "#1@\\texttt{#1} (environment)|cdatDefineFont"
    "#1@\\texttt{\\char\\escapechar\\PrintPrefix\\Prefix#1}|cdatDescribeFont"
    "#1@\\texttt{\\char\\escapechar\\PrintPrefix\\Prefix#1}|cdatDefineFont"
    "#1@\\texttt{\\char\\escapechar#1}|cdatDescribeFont"
    "#1@\\texttt{\\char\\escapechar#1}|cdatDefineFont"))
 :latex)

