(TeX-add-style-hook
 "cv4tw"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("hyperref" "hidelinks") ("cv4tw-scheme" "#1")))
   (TeX-run-style-hooks
    "latex2e"
    "article"
    "art10"
    "newenviron"
    "etoolbox"
    "xcolor"
    "graphicx"
    "xstring"
    "fancyhdr"
    "lastpage"
    "hyperref"
    "cv4tw-scheme"
    "cv4tw-theme-core")
   (TeX-add-symbols
    '("ifcvcontact" ["argument"] 2)
    '("cvcontact" ["argument"] 0)
    '("setcvcontact" ["argument"] 1)
    '("cvcontactszone" ["argument"] 0)
    '("setcvcontactszone" ["argument"] 1)
    '("ifcvasset" ["argument"] 2)
    '("cvasset" ["argument"] 0)
    '("setcvasset" ["argument"] 1)
    '("setmylength" ["argument"] 2)
    '("mystyle" ["argument"] 0)
    '("setmystyle" ["argument"] 1)
    '("usetheme" ["argument"] 1)
    '("definecolorifnotdef" 3)
    '("colorletifnotdef" 2)
    '("story" 5)
    '("cvcontactlink" 1)
    '("lastname" 1)
    '("firstname" 1)
    '("academictitle" 1)
    '("cvpicture" 1)
    '("qdlink" 3)
    '("qdgetunsafe" 1)
    '("qdget" 1)
    '("qdif" 3)
    '("qdset" 2)
    '("qdgetlength" 2)
    '("qdapplylength" 2)
    '("qdsetlength" 3)
    "qdprefix"
    "renderasset"
    "renderassetifdefined"
    "rendercontact"
    "rendercontactifdefined")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("skills" 1)
    '("fields" 3)
    "missions")
   (LaTeX-add-counters
    "assets"))
 :latex)

