(TeX-add-style-hook
 "datagidx"
 (lambda ()
   (TeX-run-style-hooks
    "datatool"
    "etoolbox"
    "xkeyval"
    "mfirstuc"
    "xfor"
    "multicol"
    "textcase"
    "afterpage")
   (TeX-add-symbols
    '("printterms" ["argument"] 0)
    '("newacro" ["argument"] 2)
    '("newtermaddfield" ["argument"] 3)
    '("loadgidx" ["argument"] 2)
    '("DTLgidxForeachEntry" 1)
    '("DTLgidxGroupHeaderTitle" 1)
    '("Acrpl" 1)
    '("Acr" 1)
    '("acrpl" 1)
    '("acr" 1)
    '("DTLgidxFormatAcrUC" 3)
    '("DTLgidxFormatAcr" 3)
    '("Glssym" 1)
    '("glssym" 1)
    '("Glsplnl" 1)
    '("Glsnl" 1)
    '("glsplnl" 1)
    '("glsnl" 1)
    '("Glspl" 1)
    '("Gls" 1)
    '("glspl" 1)
    '("gls" 1)
    '("USEentrynl" 2)
    '("Useentrynl" 2)
    '("useentrynl" 2)
    '("USEentry" 2)
    '("Useentry" 2)
    '("useentry" 2)
    '("glslink" 2)
    '("glsaddall" 1)
    '("glsadd" 1)
    '("DTLgidxFetchEntry" 3)
    '("Glsdispentry" 2)
    '("glsdispentry" 2)
    '("DTLgidxAddLocationType" 1)
    '("glsunsetall" 1)
    '("glsresetall" 1)
    '("glsunset" 1)
    '("glsreset" 1)
    '("ifentryused" 3)
    '("datagidxdb" 1)
    '("iftermexists" 3)
    '("DTLgidxAcrStyle" 2)
    '("acronymfont" 1)
    '("ifnewtermfield" 3)
    '("newtermfield" 1)
    '("DTLgidxParen" 1)
    '("DTLgidxParticle" 2)
    '("DTLgidxRank" 2)
    '("DTLgidxSaint" 1)
    '("DTLgidxMac" 1)
    '("DTLgidxIgnore" 1)
    '("DTLgidxOffice" 2)
    '("DTLgidxSubject" 2)
    '("DTLgidxPlace" 2)
    '("DTLgidxNameNum" 1)
    '("DTLgidxName" 2)
    '("DTLgidxStripBackslash" 1)
    '("DTLgidxGobble" 1)
    '("DTLgidxNoFormat" 1)
    '("DTLgidxSetDefaultDB" 1)
    '("DTLgidxLocationFF" 2)
    '("DTLgidxLocationF" 2)
    '("DTLgidxCategoryNameFont" 1)
    '("datagidxsetstyle" 1)
    '("DTLidxFormatSeeItem" 1)
    '("DTLgidxSeeList" 1)
    '("datagidxdoseealso" 1)
    '("DTLgidxFormatSeeAlso" 2)
    '("DTLgidxFormatSee" 2)
    '("DTLgidxSeeTagFont" 1)
    '("datagidxhighoptfilename" 1)
    '("DTLgidxSetCompositor" 1)
    '("DTLgidxFormatDesc" 1)
    '("DTLgidxNameFont" 1)
    '("DTLgidxNameCase" 1)
    '("DTLgidxChildStyle" 1)
    '("DTLgidxSetColumns" 1)
    "DTLgidxChildCountLabel"
    "DTLgidxPostName"
    "DTLgidxPostChildName"
    "DTLgidxPostDescription"
    "DTLgidxLocation"
    "DTLgidxSee"
    "DTLgidxSeeAlso"
    "DTLgidxChildrenSeeAlso"
    "DTLgidxSymbolDescription"
    "DTLgidxSymbolDescLeft"
    "DTLgidxSymbolDescRight"
    "seename"
    "seealsoname"
    "DTLidxSeeSep"
    "DTLidxSeeLastSep"
    "DTLgidxDoSeeOrLocation"
    "DTLgidxChildren"
    "datagidxgetchildfields"
    "datagidxstart"
    "datagidxend"
    "DTLgidxEnableHyper"
    "DTLgidxDisableHyper"
    "datagidxgroupsep"
    "datagidxgroupheader"
    "datagidxitem"
    "datagidxchildstart"
    "datagidxchildend"
    "datagidxchilditem"
    "datagidxseealsostart"
    "datagidxseealsoend"
    "datagidxlocalign"
    "datagidxsymalign"
    "DTLgidxChildSep"
    "DTLgidxPostChild"
    "DTLgidxDictHead"
    "DTLgidxCategorySep"
    "DTLgidxSubCategorySep"
    "datagidxdictindent"
    "DTLgidxDictPostItem"
    "dtldofirstlocation"
    "dtldolocationlist"
    "DTLgidxLocationSep"
    "DTLgidxAssignList"
    "datagidxtermkeys"
    "newtermlabelhook"
    "datagidxwordifygreek"
    "datagidxstripaccents"
    "postnewtermhook"
    "DTLgidxCounter"
    "printterms"
    "theHDTLgidxChildCount"
    "DTLgidxNameCase"
    "newgidx"
    "newterm"
    "datagidxshowifdraft"
    "Parent"
    "DTLgidxNoHeading"
    "datagidxtarget"
    "datagidxlink"
    "item"
    "DTLgidxSymDescSep"
    "DTLgidxPreLocation"
    "alpha"
    "beta"
    "gamma"
    "delta"
    "epsilon"
    "varepsilon"
    "zeta"
    "eta"
    "theta"
    "vartheta"
    "iota"
    "kappa"
    "lambda"
    "mu"
    "nu"
    "xi"
    "pi"
    "varpi"
    "rho"
    "varrho"
    "sigma"
    "varsigma"
    "tau"
    "upsilon"
    "phi"
    "varphi"
    "chi"
    "psi"
    "omega"
    "Gamma"
    "Delta"
    "Theta"
    "Lambda"
    "Xi"
    "Pi"
    "Sigma"
    "Upsilon"
    "Phi"
    "Psi"
    "Omega"
    "IeC"
    "field"
    "MakeUppercase"
    "MakeTextUppercase"
    "MakeLowercase"
    "MakeTextLowercase"
    "acronymfont"
    "textrm"
    "texttt"
    "textsf"
    "textsc"
    "textbf"
    "textmd"
    "textit"
    "textsl"
    "emph"
    "textsuperscript"
    "ensuremath"
    "DTLgidxParen"
    "DTLgidxMac"
    "DTLgidxSaint"
    "DTLgidxIgnore"
    "DTLgidxRank"
    "DTLgidxParticle"
    "DTLgidxNameNum"
    "datagidxlastlabel"
    "glsadd"
    "DTLgidxName"
    "DTLgidxPlace"
    "DTLgidxSubject"
    "DTLgidxOffice"
    "datagidxprevgroup")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1))
   (LaTeX-add-counters
    "DTLgidxChildCount")
   (LaTeX-add-lengths
    "datagidxsymbolwidth"
    "datagidxlocationwidth"
    "datagidxindent"
    "datagidxnamewidth"
    "datagidxdescwidth"))
 :latex)

