(TeX-add-style-hook
 "datatool"
 (lambda ()
   (TeX-run-style-hooks
    "xkeyval"
    "ifthen"
    "xfor"
    "substr"
    "etoolbox"
    "datatool-base")
   (TeX-add-symbols
    '("dtlsort" ["argument"] 3)
    '("DTLcomputebounds" ["argument"] 7)
    '("DTLdisplaylongdb" ["argument"] 1)
    '("DTLdisplaydb" ["argument"] 1)
    '("dtlshowtype" 2)
    '("dtlshowdbkeys" 1)
    '("dtlshowdb" 1)
    '("DTLrawmap" 2)
    '("DTLloaddbtex" 2)
    '("DTLprotectedsaverawdb" 2)
    '("DTLsaverawdb" 2)
    '("DTLsavetexdb" 2)
    '("DTLsavedb" 2)
    '("DTLgetrowforkey" 4)
    '("DTLgetvalueforkey" 5)
    '("DTLmaxforcolumn" 3)
    '("DTLmaxforkeys" 1)
    '("DTLminforcolumn" 3)
    '("DTLminforkeys" 1)
    '("DTLsdforcolumn" 3)
    '("DTLsdforkeys" 1)
    '("DTLvarianceforcolumn" 3)
    '("DTLvarianceforkeys" 1)
    '("DTLmeanforcolumn" 3)
    '("DTLmeanforkeys" 1)
    '("DTLsumcolumn" 3)
    '("DTLsumforkeys" 1)
    '("DTLremoverow" 2)
    '("dtlswaprows" 3)
    '("dtlcurrencyformat" 1)
    '("dtlrealformat" 1)
    '("dtlintformat" 1)
    '("dtlstringformat" 1)
    '("dtlheaderformat" 1)
    '("dtladdalign" 4)
    '("DTLifoddrow" 2)
    '("DTLiflastrow" 2)
    '("DTLiffirstrow" 2)
    '("DTLforeachkeyinrow" 2)
    '("DTLaddentryforrow" 5)
    '("DTLreplaceentryforrow" 2)
    '("DTLremoveentryfromrow" 1)
    '("DTLappendtorow" 2)
    '("DTLsavelastrowcount" 1)
    '("dtlgetrowindex" 4)
    '("DTLgetrowindex" 4)
    '("DTLgetlocation" 4)
    '("DTLgetvalue" 4)
    '("dtlupdateentryincurrentrow" 2)
    '("dtlappendentrytocurrentrow" 2)
    '("dtlgetentryfromrow" 3)
    '("dtlgetentryfromcurrentrow" 2)
    '("dtlswapentriesincurrentrow" 2)
    '("dtlremoveentryincurrentrow" 1)
    '("dtlreplaceentryincurrentrow" 2)
    '("dtlsplitrow" 4)
    '("dtlgetrowforvalue" 3)
    '("DTLfetch" 4)
    '("edtlgetrowforvalue" 3)
    '("dtlgetrow" 2)
    '("DTLifnullorempty" 3)
    '("DTLifnull" 3)
    '("xDTLassignfirstmatch" 4)
    '("DTLassignfirstmatch" 4)
    '("DTLassign" 3)
    '("DTLifdbexists" 3)
    '("dtlcolumnindex" 2)
    '("DTLifdbempty" 3)
    '("DTLcolumncount" 1)
    '("DTLrowcount" 1)
    '("DTLgcleardb" 1)
    '("DTLgdeletedb" 1)
    '("DTLgnewdb" 1)
    '("DTLdeletedb" 1)
    '("DTLcleardb" 1)
    '("DTLnewdb" 1)
    '("DTLsetdelimiter" 1)
    '("DTLsetseparator" 1)
    "DTLpar"
    "DTLnewrow"
    "dtlcolumnnum"
    "dtlrownum"
    "DTLifhaskey"
    "DTLgetcolumnindex"
    "DTLgetkeyforcolumn"
    "DTLgetdatatype"
    "DTLaddcolumn"
    "s"
    "DTLsetheader"
    "dtlexpandnewvalue"
    "dtlnoexpandnewvalue"
    "DTLnewdbentry"
    "dtl"
    "DTLstringnull"
    "DTLnumbernull"
    "DTLgetkeydata"
    "dtlrecombine"
    "dtlrecombineomitcurrent"
    "dtlforcolumn"
    "dtlforcolumnidx"
    "dtlforeachlevel"
    "DTLforeach"
    "DTLremovecurrentrow"
    "dtlbetweencols"
    "dtlbeforecols"
    "dtlaftercols"
    "dtlstringalign"
    "dtlintalign"
    "dtlrealalign"
    "dtlcurrencyalign"
    "dtldisplaystarttab"
    "dtldisplayendtab"
    "dtldisplayafterhead"
    "dtldisplayvalign"
    "dtldisplaystartrow"
    "dtldisplaycr"
    "DTLsort"
    "dtldefaultkey"
    "DTLloaddb"
    "DTLloadrawdb"
    "noexpand"
    "DTLunsettype"
    "DTLstringtype"
    "DTLinttype"
    "DTLrealtype"
    "DTLcurrencytype"
    "dtlnovalue"
    "dtlforeachkey"
    "dtlbreak"
    "theHDTLrow"
    "theHDTLrowi"
    "theHDTLrowii"
    "theHDTLrowiii"
    "string")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    "DTLenvforeach")
   (LaTeX-add-counters
    "DTLrowi"
    "DTLrowii"
    "DTLrowiii"
    "DTLrow"))
 :latex)

