(TeX-add-style-hook
 "datetime"
 (lambda ()
   (TeX-run-style-hooks
    "etoolbox"
    "fmtcount"
    "ifthen"
    "datetime-defaults")
   (TeX-add-symbols
    '("shortmonthname" ["argument"] 0)
    '("monthname" ["argument"] 0)
    '("shortdayofweekname" 3)
    '("dayofweekname" 3)
    '("dayofweeknameid" 1)
    '("computedayofweek" 3)
    '("computedayofyear" 3)
    '("testifleapyear" 1)
    '("dateformat" 4)
    '("DTloadDefIfNotLoadedButExists" 1)
    '("DTifDefLoaded" 3)
    '("loadDTdef" 1)
    '("setdefaultdate" 1)
    '("hourstring" 1)
    '("newtimeformat" 2)
    '("settimeformat" 1)
    '("formattime" 3)
    '("newdateformat" 2)
    '("displaydate" 1)
    '("getdateday" 1)
    '("getdatemonth" 1)
    '("getdateyear" 1)
    '("newdate" 4)
    '("formatdate" 3)
    '("ordinaldate" 1)
    "dateseparator"
    "longdate"
    "shortdate"
    "yyyymmdddate"
    "ddmmyyyydate"
    "dmyyyydate"
    "ddmmyydate"
    "dmyydate"
    "textdate"
    "usdate"
    "mmddyyyydate"
    "mdyyyydate"
    "mmddyydate"
    "mdyydate"
    "THEDAY"
    "THEMONTH"
    "THEYEAR"
    "currenttime"
    "timeseparator"
    "currenthour"
    "currentminute"
    "currentsecond"
    "amname"
    "pmname"
    "amorpmname"
    "amstring"
    "pmstring"
    "amorpmstring"
    "halfpast"
    "quarterpast"
    "quarterto"
    "noon"
    "midnight"
    "oclockstring"
    "dt"
    "dayofyear"
    "dayofweek"
    "thisdayofweekname"
    "thisshortdayofweekname"
    "today"
    "twodigit"
    "THEHOUR"
    "THEHOURXII"
    "THEMINUTE"
    "THETOHOUR"
    "THETOMINUTE"
    "THESECOND"
    "ifleapyear"
    "leapyeartrue"
    "leapyearfalse"
    "dateenglish")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)))
 :latex)

