(TeX-add-style-hook
 "diagmac2"
 (lambda ()
   (TeX-run-style-hooks
    "pict2e")
   (TeX-add-symbols
    "bexpr"
    "rexpr"
    "ycenter"
    "yslope"
    "ystart"
    "yend"
    "dcircle"
    "ycircle"
    "zzisedge"
    "zziscircle"
    "zztotrwidth"
    "zztotdepth"
    "zzglobaltotrwidth"
    "zzglobaltotdepth"
    "zzglobalycenter"
    "zzglobalcnA"
    "zzdmA"
    "zzdmC"
    "zzdmE"
    "zzdmG"
    "zzdmI"
    "zzcnA"
    "zzcnC"
    "zzcnD"
    "zzcnF"
    "zzcnG"
    "zzcnI"
    "zzdmY"
    "slopemax"
    "diagramunit"
    "centerheight"
    "edgeheaddisp"
    "circleheaddisp"
    "diameterlist"
    "diagram"
    "zzsetupbox"
    "zzglobalshadow"
    "zznoshadow"
    "leftghost"
    "rightghost"
    "zzissue"
    "zzrecordwidth"
    "zzrecordheight"
    "placed"
    "place"
    "zzmultdiagramunit"
    "vertex"
    "zzconsvertexlist"
    "zzconsvertexlista"
    "zzconsvertexlistb"
    "zzvertexlist"
    "rect"
    "zzprocrect"
    "zzisnegside"
    "hexagon"
    "zzprochexagon"
    "octagon"
    "zzprococtagon"
    "diamond"
    "zzprocdiamond"
    "rorect"
    "zzsearchdiameterlist"
    "zzsearchdiameterlista"
    "zzsearchdiameterlistb"
    "outline"
    "zzmakepicture"
    "zzoutlinepoly"
    "zzoutlinepolya"
    "zzoutlinepolyb"
    "zzoutlinepolyc"
    "zzoutlinerorect"
    "border"
    "borderto"
    "symmetrize"
    "setedge"
    "zzstartshadow"
    "zzendshadow"
    "zzreduceterms"
    "zzsearchvertexlist"
    "zzsearchvertexlista"
    "zzsearchvertexlistb"
    "zzshadow"
    "shadeedge"
    "zzcheckedge"
    "zzprocrorecta"
    "zzcastpoly"
    "zzcastpolya"
    "zzcastpolyb"
    "zzcastpolyc"
    "zzcastpolyd"
    "zzcastpolye"
    "zzcastpolyf"
    "zzcastpolyg"
    "shiftedge"
    "zzsqroot"
    "zzdistance"
    "drawdashedge"
    "zzcheckposdimen"
    "zzchecknonnegnum"
    "drawdotedge"
    "drawsolidedge"
    "zzdrawedge"
    "drawedgehead"
    "zzcheckbool"
    "zzdrawedgeheada"
    "zzcheckslope"
    "zzcheckslopea"
    "abutleft"
    "abutright"
    "abutbelow"
    "abutabove"
    "abutleftd"
    "abutrightd"
    "abutbelowd"
    "abutaboved"
    "zzabut"
    "zzslidehoriz"
    "zzslidevert"
    "zzclosestpoly"
    "zzclosestpolya"
    "zztesta"
    "zztestb"
    "zzclosestpolyb"
    "zzclosestpolyc"
    "zznext"
    "zzclosestpolyd"
    "setcircle"
    "shiftcircle"
    "zzcheckcircle"
    "drawcircle"
    "zzdrawcirclea"
    "drawcirclehead"
    "abutcircleleft"
    "abutcircleright"
    "abutcirclebelow"
    "abutcircleabove"
    "zzabutcircle"
    "zzabutcirclea"
    "zzrotate"
    "ctvertexstyle"
    "ctabutstyle"
    "ctvertexborderlr"
    "ctvertexbordertb"
    "ctloopdiameter"
    "ctabutcircledisp"
    "ctabutborderlr"
    "ctabutbordertb"
    "ctabutborderinset"
    "ctabutborderinsetdouble"
    "ctdoubleedgedisp"
    "ctdiagram"
    "ctvg"
    "ctv"
    "ctgl"
    "ctgr"
    "ctlptl"
    "ctlptlcc"
    "ctlptr"
    "ctlptrcc"
    "ctlpbr"
    "ctlpbrcc"
    "ctlpbl"
    "ctlpblcc"
    "zzctlp"
    "zzctabutprog"
    "cten"
    "ctet"
    "cteb"
    "ctel"
    "cter"
    "zzctxmean"
    "zzctymean"
    "zzcte"
    "ctetg"
    "ctebg"
    "ctelg"
    "cterg"
    "ctetb"
    "ctelr"
    "ctetbg"
    "ctelrg"
    "zzctee"
    "ctinnermid"
    "ctoutermid"
    "zzctxmeanadj"
    "zzctymeanadj"
    "zzctdrawdashedge"
    "zzctdrawdotedge"
    "ctsolid"
    "ctdash"
    "ctdot"
    "zzctdrawedge"
    "zzctdrawedgehead"
    "zzctnodrawedgehead"
    "cthead"
    "ctnohead"
    "zzctdrawhead"
    "drawedgebar"
    "zzdrawedgebara"
    "ctec"
    "zzprocpoly"
    "zzprocrorect")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)))
 :latex)

