(TeX-add-style-hook
 "dinbrief"
 (lambda ()
   (TeX-run-style-hooks)
   (TeX-add-symbols
    "enddocument"
    "rm"
    "sf"
    "tt"
    "bf"
    "it"
    "sl"
    "sc"
    "cal"
    "mit"
    "GZA"
    "addrhpos"
    "addrvpos"
    "addrwd"
    "addrht"
    "addroffset"
    "backaddrht"
    "reflinevpos"
    "ufldmarkvpos"
    "lfldmarkvpos"
    "perfmarkvpos"
    "bottomtextvpos"
    "dlabelheight"
    "dlabeltopmargin"
    "dlabelwidth"
    "clabelnumber"
    "cspare"
    "labelcount"
    "yearcnt"
    "RCSdate"
    "RCSrevision"
    "stripone"
    "partone"
    "striptwo"
    "filename"
    "ClassWarning"
    "listi"
    "small"
    "footnotesize"
    "scriptsize"
    "tiny"
    "large"
    "Large"
    "LARGE"
    "huge"
    "Huge"
    "normalsize"
    "setaddressllcorner"
    "setaddressllhpos"
    "setaddressllvpos"
    "setaddresswidth"
    "setaddressheight"
    "setaddressoffset"
    "addresshigh"
    "addressstd"
    "setbackaddressheight"
    "setreflinetop"
    "setupperfoldmarkvpos"
    "setlowerfoldmarkvpos"
    "setbottomtexttop"
    "windowrules"
    "nowindowrules"
    "windowtics"
    "nowindowtics"
    "backaddress"
    "backaddressrule"
    "nobackaddressrule"
    "opening"
    "oldopening"
    "closing"
    "ccname"
    "enclname"
    "psname"
    "headtoname"
    "pagename"
    "handling"
    "postremark"
    "tmpa"
    "cc"
    "encl"
    "ps"
    "stopletter"
    "setlabelheight"
    "setlabelwidth"
    "setlabeltopmargin"
    "setlabelnumber"
    "Etihoehe"
    "Etirand"
    "Etizahl"
    "spare"
    "labelstyle"
    "mlabel"
    "startlabels"
    "protect"
    "rule"
    "toname"
    "toaddress"
    "stopbreaks"
    "vspace"
    "startbreaks"
    "letterform"
    "noletterform"
    "centeraddress"
    "normaladdress"
    "signature"
    "address"
    "footer"
    "returnaddress"
    "place"
    "phone"
    "phonemsg"
    "date"
    "sign"
    "signmsgold"
    "signmsgnew"
    "datemsg"
    "yourmail"
    "yourmailmsg"
    "writer"
    "writermsg"
    "bottomtext"
    "makelabels"
    "nolabels"
    "offlabels"
    "onlabels"
    "psfirstpagehook"
    "baselinestretch"
    "descriptionlabel"
    "makelabel"
    "theequation"
    "footnoterule"
    "topfraction"
    "bottomfraction"
    "textfraction"
    "floatpagefraction"
    "dbltopfraction"
    "dblfloatpagefraction"
    "today"
    "ntoday"
    "up"
    "concern"
    "subject"
    "enabledraftstandard"
    "disabledraftstandard"
    "signmsg"
    "Postvermerk"
    "Behandlungsvermerk"
    "Datum"
    "stdaddress"
    "Absender"
    "Retourlabel"
    "Fenster"
    "Retouradresse"
    "Betreff"
    "Einrueckung"
    "enclright"
    "noenclright"
    "anlagenrechts"
    "Anlagen"
    "Verteiler")
   (LaTeX-add-environments
    "dinquote"
    "quote"
    "quotation"
    "verse"
    "description"
    "letter"
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2))
   (LaTeX-add-pagestyles
    "headings"
    "empty"
    "first"
    "plain"
    "myheadings"
    "contheadings")
   (LaTeX-add-counters
    "letter"))
 :latex)

