(TeX-add-style-hook
 "duotenzor"
 (lambda ()
   (TeX-run-style-hooks
    "tikz"
    "xspace")
   (TeX-add-symbols
    '("thispoint" ["argument"] 2)
    '("fideffect" ["argument"] 2)
    '("fidprep" ["argument"] 2)
    '("placelatex" ["argument"] 2)
    '("putlatex" ["argument"] 1)
    '("Duosymbol" ["argument"] 1)
    '("Opsymbol" ["argument"] 1)
    '("duosymbol" ["argument"] 1)
    '("opsymbol" ["argument"] 1)
    '("linkedeffect" ["argument"] 5)
    '("linkedprep" ["argument"] 5)
    '("inwhite" ["argument"] 2)
    '("inblack" ["argument"] 2)
    '("outwhite" ["argument"] 2)
    '("outblack" ["argument"] 2)
    '("closedinwire" ["argument"] 2)
    '("closedoutwire" ["argument"] 2)
    '("inwire" ["argument"] 2)
    '("outwire" ["argument"] 2)
    '("wlinkw" ["argument"] 4)
    '("wlinkb" ["argument"] 4)
    '("blinkw" ["argument"] 4)
    '("blinkb" ["argument"] 4)
    '("linkw" ["argument"] 4)
    '("linkb" ["argument"] 4)
    '("wlink" ["argument"] 4)
    '("blink" ["argument"] 4)
    '("linkbwbw" ["argument"] 4)
    '("linkwbwb" ["argument"] 4)
    '("linkbwwb" ["argument"] 4)
    '("linkwbbw" ["argument"] 4)
    '("linkbb" ["argument"] 4)
    '("linkww" ["argument"] 4)
    '("linkwb" ["argument"] 4)
    '("linkbw" ["argument"] 4)
    '("thinlink" ["argument"] 4)
    '("thicklink" ["argument"] 4)
    '("doublelink" ["argument"] 4)
    '("link" ["argument"] 4)
    '("thinwire" ["argument"] 4)
    '("thickwire" ["argument"] 4)
    '("doublewire" ["argument"] 4)
    '("wire" ["argument"] 4)
    '("wwmetric" ["argument"] 2)
    '("wbmetric" ["argument"] 2)
    '("bwmetric" ["argument"] 2)
    '("bbmetric" ["argument"] 2)
    '("wbinsert" ["argument"] 2)
    '("bwinsert" ["argument"] 2)
    '("wwinsert" ["argument"] 2)
    '("bbinsert" ["argument"] 2)
    '("duobox" ["argument"] 2)
    '("Duobox" ["argument"] 2)
    '("opbox" ["argument"] 2)
    '("Opbox" ["argument"] 2)
    '("constructiongrid" ["argument"] 2)
    '("boundingbox" 2)
    '("Finishfoliate" 5)
    '("Continuefoliate" 5)
    '("Startfoliate" 5)
    '("finishfoliate" 4)
    '("continuefoliate" 4)
    '("startfoliate" 4)
    '("opduobox" 4)
    '("Opduobox" 4)
    '("setduotensorfont" 1)
    '("setoperationalfont" 1)
    "operationalfont"
    "duotensorfont"
    "otherside"
    "ultrathickdash"
    "bbdots"
    "bwdots"
    "wbdots"
    "wwdots"
    "nbdots"
    "nwdots"
    "bndots"
    "wndots"
    "nndots"
    "nndotslong"
    "bbleftjump"
    "bwleftjump"
    "wbleftjump"
    "wwleftjump"
    "bbrightjump"
    "bwrightjump"
    "wbrightjump"
    "wwrightjump")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("foliation" 2)))
 :latex)

