(TeX-add-style-hook
 "esami"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("auto-pst-pdf" "crop=off" "dvips={}" "off")))
   (TeX-run-style-hooks
    "random"
    "params"
    "graphicx"
    "enumerate"
    "fp"
    "currfile"
    "array"
    "environ"
    "ifthen"
    "xargs"
    "multicol"
    "amssymb"
    "pstricks"
    "pstricks-add"
    "auto-pst-pdf"
    "xcolor")
   (TeX-add-symbols
    "endsolnexerhookaux"
    "endsolnexerhook"
    '("shuffle" ["argument"] 2)
    '("randestraies" ["argument"] 1)
    '("estraies" ["argument"] 1)
    '("estrai" ["argument"] 2)
    '("randestrai" ["argument"] 2)
    '("selectallproblems" ["argument"] 1)
    '("fillin" ["argument"] 2)
    '("FPsv" ["argument"] 1)
    '("esercizi" 1)
    '("estraialfa" 3)
    '("esercizidb" 1)
    '("selectrandomlyn" 2)
    '("selectrandomly" 1)
    '("newfillinproblem" 1)
    '("newproblem" 1)
    '("pair" 2)
    '("rowstyle" 1)
    '("proofingsymbol" 1)
    '("PTsHook" 1)
    '("PBS" 1)
    '("FPsignpol" 2)
    '("simpsqrt" 2)
    '("esempli" 2)
    '("sempliz" 2)
    '("semplix" 2)
    '("sempli" 2)
    '("esexerskip" 1)
    '("priorexskip" 1)
    "aboveanswersSkip"
    "icount"
    "io"
    "inizio"
    "loopCnt"
    "checkpoints"
    "labelesquestionnoi"
    "labelesquestionnoii"
    "labelesquestionnoiii"
    "sq"
    "sqlabel"
    "exlabel"
    "exlabelsol"
    "exlabelformat"
    "exlabelformatwp"
    "exsolafter"
    "es"
    "esexlisttabheader"
    "ex"
    "PTs"
    "post"
    "punti"
    "marginpointsboxtext"
    "fillinproblem"
    "stepverssols"
    "closeverssols"
    "stepvers"
    "closevers"
    "prior"
    "RandS"
    "matching"
    "permuta"
    "shuf"
    "sh"
    "randes"
    "testversioni"
    "rowsep"
    "rowsepDefault"
    "solutionsAfterSkip"
    "afterlabelhskip"
    "Acapo"
    "linkContentFormat"
    "linkContentWrapper"
    "temp"
    "esPTs"
    "examenddef"
    "PointsOnRight"
    "marginpoints"
    "mydate"
    "longdate"
    "shortdate"
    "maxLoopLimit"
    "currentrowstyle"
    "cancella"
    "nome"
    "problabel"
    "probnumber"
    "defitem"
    "probchosen"
    "aftershortquizskip"
    "Ans"
    "noexpand"
    "bChoiceNumCols"
    "bChoices"
    "eChoices"
    "exerstar"
    "setsolnspace"
    "newsolnspace"
    "solnhspace"
    "esPriorVspace"
    "bLeaveVspace"
    "leavevspace"
    "solutionsafterSkip"
    "sceglii"
    "prendii"
    "scegliii"
    "prendiii"
    "scegliiii"
    "prendiiii"
    "scegliiv"
    "prendiiv"
    "scegliv"
    "prendiv"
    "sceglivi"
    "prendivi"
    "sceglivii"
    "prendivii"
    "scegliviii"
    "prendiviii"
    "cartella")
   (LaTeX-add-environments
    "parts"
    "solution"
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("esdb" 1)
    "gobbleenv"
    "questions"
    "shortquiz"
    "answers"
    "exercise"
    "problem"
    "problemmp"
    "domanda")
   (LaTeX-add-counters
    "nomefile"
    "vers"
    "questionno"
    "esquestionnoi"
    "esquestionnoii"
    "esquestionnoiii")
   (LaTeX-add-lengths
    "es"
    "mylabelsep")
   (LaTeX-add-saveboxes
    "es"
    "workareasb"))
 :latex)

