(TeX-add-style-hook
 "examdesign"
 (lambda ()
   (TeX-run-style-hooks
    "latex2e"
    "article"
    "art10"
    "enumerate"
    "multicol"
    "keyval")
   (TeX-add-symbols
    "endblock"
    '("block" ["argument"] 0)
    '("StudentInfoLineSpacing" 1)
    "randomi"
    "ranval"
    "sixly"
    "ULdepth"
    "Fullpages"
    "NoKey"
    "OneKey"
    "BoldfaceCorrectMultipleChoiceAnswer"
    "UnderlineCorrectMultipleChoiceAnswer"
    "MCfont"
    "setrandomseed"
    "nextrandom"
    "setrannum"
    "setrandim"
    "pointless"
    "uline"
    "ULset"
    "ULon"
    "hskip"
    "newline"
    "hfil"
    "hfill"
    "hss"
    "penalty"
    "markoverwith"
    "uwave"
    "uuline"
    "sout"
    "xout"
    "useunder"
    "MakeRobust"
    "ULforem"
    "normalem"
    "em"
    "emph"
    "ULthickness"
    "append"
    "length"
    "remove"
    "NumberOfVersions"
    "instructions"
    "class"
    "classdata"
    "examname"
    "examtype"
    "namedata"
    "pair"
    "ConstantBlanks"
    "ProportionalBlanks"
    "word"
    "ifsection"
    "enumerate"
    "blank"
    "answerspace"
    "exam"
    "key"
    "examvspace"
    "examhspace"
    "keyvspace"
    "keyhspace"
    "problem"
    "SectionFont"
    "NoRearrange"
    "SectionPrefix"
    "ContinuousNumbering"
    "ShortKey"
    "choice"
    "MultipleChoiceShortKeyPrefix"
    "DefineAnswerWrapper"
    "pagebreak"
    "BreakPageOnVersion"
    "IncludeFromFile"
    "InsertChunk")
   (LaTeX-add-environments
    "chunk"
    "answer"
    "question"
    "keytop"
    "examtop"
    "keyclosing"
    "keypreface"
    "examclosing"
    "exampreface"
    "endmatter"
    "frontmatter"
    "section"
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)
    '("solutionorgrid" LaTeX-env-args ["argument"] 0)
    '("solutionordottedlines" LaTeX-env-args ["argument"] 0)
    '("solutionorlines" LaTeX-env-args ["argument"] 0)
    '("solutionorbox" LaTeX-env-args ["argument"] 0)
    '("solution" LaTeX-env-args ["argument"] 0)
    '("multiplechoice" LaTeX-env-args ["argument"] 0)
    '("shortanswer" LaTeX-env-args ["argument"] 0)
    '("truefalse" LaTeX-env-args ["argument"] 0)
    '("fillin" LaTeX-env-args ["argument"] 0)
    '("matching" LaTeX-env-args ["argument"] 0))
   (LaTeX-add-counters
    "passes"
    "questionnumber"
    "extract"
    "question"
    "length"
    "temp"
    "wordtemp"
    "form"
    "version"
    "innerloop"
    "sect"
    "sectionindex"
    "answer"
    "choice"
    "mcquestion"
    "mcchoice"
    "savelistcnt"
    "first"
    "last")
   (LaTeX-add-lengths
    "blank"
    "temp"
    "namedata"
    "beforesectsep"
    "aftersectsep"
    "beforeinstsep"
    "afterinstsep"))
 :latex)

