(TeX-add-style-hook
 "fixme"
 (lambda ()
   (TeX-run-style-hooks
    "ifthen"
    "verbatim"
    "xkeyval")
   (TeX-add-symbols
    '("fxsetup" 1)
    '("fxusetheme" 1)
    '("FXProvidesTheme" 1)
    '("fxnotesname" 1)
    '("fxnotename" 1)
    '("FXRegisterAuthor" 3)
    '("FXLogFatal" 1)
    '("FXLogError" 1)
    '("FXLogWarning" 1)
    '("FXLogNote" 1)
    '("fxusetargetlayout" 1)
    '("fxloadtargetlayouts" 1)
    '("FXTargetLayoutPlain" 2)
    '("FXRegisterTargetLayout" 2)
    '("FXProvidesTargetLayout" 1)
    '("fxuseenvlayout" 1)
    '("fxloadenvlayouts" 1)
    '("FXEnvLayoutSignatureEnd" 2)
    '("FXEnvLayoutSignatureBegin" 2)
    '("FXEnvLayoutPlainEnd" 2)
    '("FXEnvLayoutPlainBegin" 2)
    '("FXRegisterEnvLayout" 3)
    '("FXProvidesEnvLayout" 1)
    '("fxuselayouts" 1)
    '("fxloadlayouts" 1)
    '("FXLayoutContentsLine" 3)
    '("FXLayoutIndex" 3)
    '("FXLayoutInline" 3)
    '("FXLayoutFootnote" 3)
    '("FXLayoutMarginClue" 3)
    '("FXLayoutMargin" 3)
    '("FXProvidesLayout" 1)
    '("fxsetface" 2)
    '("fxaddcontentsline" 1)
    '("fxcontentsline" 2)
    "fixmelogo"
    "lox"
    "FXRegisterLayout"
    "fixmeindexname"
    "fxenglishnotename"
    "fxenglishnotesname"
    "fxenglishwarningname"
    "fxenglishwarningsname"
    "fxenglisherrorname"
    "fxenglisherrorsname"
    "fxenglishfatalname"
    "fxenglishfatalsname"
    "englishlistfixmename"
    "fxfrenchnotename"
    "fxfrenchnotesname"
    "fxfrenchwarningname"
    "fxfrenchwarningsname"
    "fxfrencherrorname"
    "fxfrencherrorsname"
    "fxfrenchfatalname"
    "fxfrenchfatalsname"
    "frenchlistfixmename"
    "fxspanishnotename"
    "fxspanishnotesname"
    "fxspanishwarningname"
    "fxspanishwarningsname"
    "fxspanisherrorname"
    "fxspanisherrorsname"
    "fxspanishfatalname"
    "fxspanishfatalsname"
    "spanishlistfixmename"
    "fxitaliannotename"
    "fxitaliannotesname"
    "fxitalianwarningname"
    "fxitalianwarningsname"
    "fxitalianerrorname"
    "fxitalianerrorsname"
    "fxitalianfatalname"
    "fxitalianfatalsname"
    "italianlistfixmename"
    "fxgermannotename"
    "fxgermannotesname"
    "fxgermanwarningname"
    "fxgermanwarningsname"
    "fxgermanerrorname"
    "fxgermanerrorsname"
    "fxgermanfatalname"
    "fxgermanfatalsname"
    "germanlistfixmename"
    "fxdanishnotename"
    "fxdanishnotesname"
    "fxdanishwarningname"
    "fxdanishwarningsname"
    "fxdanisherrorname"
    "fxdanisherrorsname"
    "fxdanishfatalname"
    "fxdanishfatalsname"
    "danishlistfixmename"
    "fxcroatiannotename"
    "fxcroatiannotesname"
    "fxcroatianwarningname"
    "fxcroatianwarningsname"
    "fxcroatianerrorname"
    "fxcroatianerrorsname"
    "fxcroatianfatalname"
    "fxcroatianfatalsname"
    "croatianlistfixmename"
    "FXRequireLayouts"
    "FXRequireEnvLayout"
    "FXRequireTargetLayout"
    "listoffixmes")
   (LaTeX-add-environments
    "afixme"
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)
    '("solutionorgrid" LaTeX-env-args ["argument"] 0)
    '("solutionordottedlines" LaTeX-env-args ["argument"] 0)
    '("solutionorlines" LaTeX-env-args ["argument"] 0)
    '("solutionorbox" LaTeX-env-args ["argument"] 0)
    '("solution" LaTeX-env-args ["argument"] 0)
    '("multiplechoice" LaTeX-env-args ["argument"] 0)
    '("shortanswer" LaTeX-env-args ["argument"] 0)
    '("truefalse" LaTeX-env-args ["argument"] 0)
    '("fillin" LaTeX-env-args ["argument"] 0)
    '("matching" LaTeX-env-args ["argument"] 0)
    '("solutionseries" LaTeX-env-args ["argument"] 2)
    '("exerciseseries" LaTeX-env-args ["argument"] 1)
    '("exercises" LaTeX-env-args ["argument"] 0))
   (LaTeX-add-index-entries
    "***@\\fixmeindexname:%
      !\\@nameuse{@fx#1key}@\\fxnotesname{#1}:%
      !\\@nameuse{thefx#1count}: #3: #2"
    "***#3@\\fixmeindexname{} (#3):%
      !\\@nameuse{@fx#1key}@\\fxnotesname{#1}:%
      !\\@nameuse{thefx#1count}: #2"
    "***@\\fixmeindexname:%
      !\\@nameuse{@fx#1key}@\\fxnotesname{#1}:%
      !\\@nameuse{thefx#1count}: #2")
   (LaTeX-add-counters
    "fixmecount"
    "fxnotecount"
    "fxwarningcount"
    "fxerrorcount"
    "fxfatalcount"))
 :latex)

