(TeX-add-style-hook
 "glossaries"
 (lambda ()
   (TeX-run-style-hooks
    "ifthen"
    "xkeyval"
    "mfirstuc"
    "textcase"
    "xfor"
    "datatool-base"
    "amsgen"
    "etoolbox"
    "glossary-long"
    "glossary-super"
    "glossary-list"
    "glossary-tree"
    "translator"
    "glossaries-compatible-307"
    "tracklang"
    "glossary-hypernav"
    "glossaries-compatible-207")
   (TeX-add-symbols
    '("newacronym" ["argument"] 3)
    '("oldacronym" ["argument"] 3)
    '("setentrycounter" ["argument"] 1)
    '("printnoidxglossary" ["argument"] 0)
    '("printglossary" ["argument"] 0)
    '("glsseeformat" ["argument"] 2)
    '("glssee" ["argument"] 2)
    '("glshyperlink" ["argument"] 1)
    '("defglsdisplayfirst" ["argument"] 1)
    '("defglsdisplay" ["argument"] 1)
    '("loadglsentries" ["argument"] 1)
    '("glslocalunsetall" ["argument"] 0)
    '("glsunsetall" ["argument"] 0)
    '("glslocalresetall" ["argument"] 0)
    '("glsresetall" ["argument"] 0)
    '("defglsentryfmt" ["argument"] 1)
    '("forallglsentries" ["argument"] 2)
    '("forglsentries" ["argument"] 2)
    '("forallglossaries" ["argument"] 2)
    '("GlsSetXdyLanguage" ["argument"] 1)
    '("GlsAddXdyLocation" ["argument"] 2)
    '("glossarysection" ["argument"] 1)
    '("setglossarypreamble" ["argument"] 1)
    '("newterm" ["argument"] 1)
    '("printindex" ["argument"] 0)
    '("printnumbers" ["argument"] 0)
    '("printsymbols" ["argument"] 0)
    '("printacronyms" ["argument"] 0)
    '("showglossaryentries" 1)
    '("showglossarycounter" 1)
    '("showglossarytitle" 1)
    '("showglossaryout" 1)
    '("showglossaryin" 1)
    '("showglofield" 2)
    '("showgloloclist" 1)
    '("showgloflag" 1)
    '("showgloindex" 1)
    '("showglolong" 1)
    '("showgloshort" 1)
    '("showglosymbolplural" 1)
    '("showglosymbol" 1)
    '("showglosort" 1)
    '("showglodescplural" 1)
    '("showglodesc" 1)
    '("showgloname" 1)
    '("showglouservi" 1)
    '("showglouserv" 1)
    '("showglouseriv" 1)
    '("showglouseriii" 1)
    '("showglouserii" 1)
    '("showglouseri" 1)
    '("showglocounter" 1)
    '("showglotype" 1)
    '("showglofirstpl" 1)
    '("showglofirst" 1)
    '("showgloplural" 1)
    '("showglotext" 1)
    '("showglolevel" 1)
    '("showgloparent" 1)
    '("SetCustomDisplayStyle" 1)
    '("SetDUADisplayStyle" 1)
    '("SetSmallAcronymDisplayStyle" 1)
    '("glsdoparenifnotempty" 2)
    '("SetFootnoteAcronymDisplayStyle" 1)
    '("SetDescriptionAcronymDisplayStyle" 1)
    '("SetDescriptionDUAAcronymDisplayStyle" 1)
    '("SetDescriptionFootnoteAcronymDisplayStyle" 1)
    '("acrnolinkfootnote" 3)
    '("acrlinkfootnote" 3)
    '("acrfootnote" 3)
    '("SetDefaultAcronymDisplayStyle" 1)
    '("glsacspace" 1)
    '("GlsUseAcrStyleDefs" 1)
    '("GlsUseAcrEntryDispStyle" 1)
    '("renewacronymstyle" 3)
    '("newacronymstyle" 3)
    '("setacronymstyle" 1)
    '("acronymsort" 2)
    '("acronymentry" 1)
    '("acrnameformat" 2)
    '("firstacronymfont" 1)
    '("acronymfont" 1)
    '("ACRfullplfmt" 3)
    '("Acrfullplfmt" 3)
    '("acrfullplfmt" 3)
    '("ACRfullfmt" 3)
    '("Acrfullfmt" 3)
    '("acrfullformat" 2)
    '("acrlinkfullformat" 5)
    '("acrfullfmt" 3)
    '("hyperemph" 1)
    '("hypersc" 1)
    '("hyperup" 1)
    '("hypersl" 1)
    '("hyperit" 1)
    '("hypermd" 1)
    '("hyperbf" 1)
    '("hypertt" 1)
    '("hypersf" 1)
    '("hyperrm" 1)
    '("glsnamefont" 1)
    '("renewglossarystyle" 2)
    '("newglossarystyle" 2)
    '("glossarystyle" 1)
    '("setglossarystyle" 1)
    '("glsgetgrouplabel" 1)
    '("glsgetgrouptitle" 1)
    '("glsgroupheading" 1)
    '("glossarysubentryfield" 6)
    '("glossaryentryfield" 5)
    '("compatiblesubglossentry" 3)
    '("Glossentrysymbol" 1)
    '("glossentrysymbol" 1)
    '("Glossentrydesc" 1)
    '("glossentrydesc" 1)
    '("Glossentryname" 1)
    '("glossentryname" 1)
    '("compatibleglossentry" 2)
    '("glstarget" 2)
    '("glssubentryitem" 1)
    '("glsentryitem" 1)
    '("glsrefentry" 1)
    '("glsstepsubentry" 1)
    '("glsstepentry" 1)
    '("glsnoidxdisplayloc" 4)
    '("glsnoidxdisplayloclisthandler" 1)
    '("glsnoidxloclisthandler" 1)
    '("glsnoidxloclist" 1)
    '("glsseeitemformat" 1)
    '("glsseeitem" 1)
    '("glsseelist" 1)
    '("glsaddprotectedpagefmt" 1)
    '("glswriteentry" 2)
    '("glsnoidxnumberlistloophandler" 1)
    '("glsnumberlistloop" 2)
    '("GlsSetQuote" 1)
    '("GlsSetWriteIstHook" 1)
    '("GlsSetXdyMinRangeLength" 1)
    '("GlsSetXdyFirstLetterAfterDigits" 1)
    '("glsignore" 1)
    '("glsdisplaynumberlist" 1)
    '("glsentrynumberlist" 1)
    '("glsentryfullpl" 1)
    '("glsentryfull" 1)
    '("glsentrylongpl" 1)
    '("glsentrylong" 1)
    '("glsentryshortpl" 1)
    '("glsentryshort" 1)
    '("glsentryuservi" 1)
    '("glsentryuserv" 1)
    '("glsentryuseriv" 1)
    '("glsentryuseriii" 1)
    '("glsentryuserii" 1)
    '("glsentryuseri" 1)
    '("glsentrysort" 1)
    '("glsentrytype" 1)
    '("glsentrytitlecase" 2)
    '("glsentryfirstplural" 1)
    '("glsentryfirst" 1)
    '("glsentrysymbolplural" 1)
    '("glsentrysymbol" 1)
    '("glsentryplural" 1)
    '("glsentrytext" 1)
    '("glsentrydescplural" 1)
    '("glsentrydesc" 1)
    '("glsentryname" 1)
    '("glsletentryfield" 3)
    '("glsdonohyperlink" 2)
    '("glsdohyperlink" 2)
    '("glsdohypertarget" 2)
    '("glsifhyperon" 2)
    '("glsifhyper" 2)
    '("glslinkvar" 3)
    '("glsdisplay" 4)
    '("glsdisplayfirst" 4)
    '("Genplacrfullformat" 2)
    '("genplacrfullformat" 2)
    '("Genacrfullformat" 2)
    '("genacrfullformat" 2)
    '("glstextformat" 1)
    '("cGlsplformat" 2)
    '("cglsplformat" 2)
    '("cGlsformat" 2)
    '("cglsformat" 2)
    '("glsentryprevcount" 1)
    '("glsentrycurrcount" 1)
    '("glslocalunset" 1)
    '("glsunset" 1)
    '("glslocalreset" 1)
    '("glsreset" 1)
    '("glsmoveentry" 2)
    '("longprovideglossaryentry" 3)
    '("longnewglossaryentry" 3)
    '("ifglsfieldcseq" 5)
    '("ifglsfielddefeq" 5)
    '("ifglsfieldeq" 5)
    '("glsfieldfetch" 3)
    '("glsfielddef" 3)
    '("glsfieldgdef" 3)
    '("glsfieldedef" 3)
    '("glsfieldxdef" 3)
    '("ifignoredglossary" 3)
    '("newignoredglossary" 1)
    '("altnewglossary" 3)
    '("ifglshasfield" 4)
    '("ifglshasshort" 3)
    '("ifglshaslong" 3)
    '("ifglshassymbol" 3)
    '("ifglsdescsuppressed" 3)
    '("ifglshasdesc" 3)
    '("ifglshasparent" 3)
    '("ifglshaschildren" 3)
    '("doifglossarynoexistsordo" 3)
    '("glsdoifexistsordo" 3)
    '("glsdoifexistsorwarn" 2)
    '("glsdoifnoexists" 2)
    '("glsdoifexists" 2)
    '("ifglsused" 3)
    '("ifglsentryexists" 3)
    '("glsdetoklabel" 1)
    '("ifglossaryexists" 3)
    '("forallacronyms" 2)
    '("GlsAddLetterGroup" 2)
    '("GlsSetXdyCodePage" 1)
    '("GlsSetXdyStyles" 1)
    '("GlsAddXdyStyle" 1)
    '("GlsAddSortRule" 2)
    '("GlsSetXdyLocationClassOrder" 1)
    '("GlsAddXdyLocation" 2)
    '("GlsAddXdyAlphabet" 2)
    '("GlsAddXdyAttribute" 1)
    '("GlsAddXdyCounters" 1)
    '("glsnomakeindexwarning" 1)
    '("glsnoxindywarning" 1)
    '("setglossarysection" 1)
    '("glossarymark" 1)
    '("glsglossarymark" 1)
    '("glsnumberformat" 1)
    '("glsSetSuffixFF" 1)
    '("glsSetSuffixF" 1)
    '("glsSetAlphaCompositor" 1)
    '("glsSetCompositor" 1)
    '("setStyleFile" 1)
    '("addglossarytocaptions" 1)
    '("ProvidesGlossariesLang" 1)
    '("RequireGlossariesLang" 1)
    '("glssettoctitle" 1)
    '("setupglossaries" 1)
    '("glsifusedtranslatordict" 3)
    '("glssetnoexpandfield" 1)
    '("glssetexpandfield" 1)
    '("GlossariesWarningNoLine" 1)
    '("GlossariesWarning" 1)
    '("GlsDeclareNoHyperList" 1)
    '("SetAcronymLists" 1)
    '("glsIfListOfAcronyms" 1)
    '("DeclareAcronymList" 1)
    '("glssortnumberfmt" 1)
    '("glsprestandardsort" 3)
    '("glossaryentrynumbers" 1)
    "glsautoprefix"
    "glsdefmain"
    "gls"
    "acronymtype"
    "glscounter"
    "glosortentrieswarning"
    "glsnoidxstripaccents"
    "glossaryname"
    "acronymname"
    "entryname"
    "descriptionname"
    "symbolname"
    "pagelistname"
    "glssymbolsgroupname"
    "glsnumbersgroupname"
    "glspluralsuffix"
    "glsacrpluralsuffix"
    "glsupacrpluralsuffix"
    "seename"
    "andname"
    "glspar"
    "glscompositor"
    "delimN"
    "delimR"
    "glossarypreamble"
    "glossarypostamble"
    "glsclearpage"
    "findrootlanguage"
    "string"
    "newglossary"
    "s"
    "ns"
    "glsexpandfields"
    "glsnoexpandfields"
    "glsaddstoragekey"
    "glsaddkey"
    "glswritedefhook"
    "glsentryfmt"
    "glsgenentryfmt"
    "glsgenacfmt"
    "p"
    "glspostlinkhook"
    "glslinkcheckfirsthyperhook"
    "glslinkpostsetkeys"
    "glolinkprefix"
    "glsdisablehyper"
    "glsenablehyper"
    "glsnumlistsep"
    "glsnumlistlastsep"
    "noist"
    "warn"
    "glsseelastsep"
    "glsseesep"
    "printglossaries"
    "printnoidxglossaries"
    "glsresetentrylist"
    "glsresetsubentrycounter"
    "glsresetentrycounter"
    "glsentrycounterlabel"
    "glssubentrycounterlabel"
    "glossaryheader"
    "setglossentrycompatibility"
    "glsgroupskip"
    "acrpluralsuffix"
    "glsshortkey"
    "glsshortpluralkey"
    "glslongkey"
    "glslongpluralkey"
    "newacronymhook"
    "SetGenericNewAcronym"
    "GenericAcronymFields"
    "DefineAcronymSynonyms"
    "DefaultNewAcronymDef"
    "SetDefaultAcronymStyle"
    "DescriptionFootnoteNewAcronymDef"
    "SetDescriptionFootnoteAcronymStyle"
    "DescriptionDUANewAcronymDef"
    "SetDescriptionDUAAcronymStyle"
    "DescriptionNewAcronymDef"
    "SetDescriptionAcronymStyle"
    "FootnoteNewAcronymDef"
    "SetFootnoteAcronymStyle"
    "SmallNewAcronymDef"
    "SetSmallAcronymStyle"
    "DUANewAcronymDef"
    "SetDUAStyle"
    "SetAcronymStyle"
    "CustomAcronymFields"
    "CustomNewAcronymDef"
    "SetCustomStyle"
    "showacronymlists"
    "showglossaries"
    "glsdosanitizesort"
    "IeC"
    "u"
    "t"
    "d"
    "r"
    "v"
    "H"
    "c"
    "b"
    "a"
    "AE"
    "ae"
    "OE"
    "oe"
    "AA"
    "aa"
    "L"
    "l"
    "O"
    "o"
    "SS"
    "ss"
    "th"
    "TH"
    "dh"
    "DH"
    "glsorder"
    "glswritefiles"
    "glsifusetranslator"
    "glspostdescription"
    "istfilename"
    "GlsAddXdyCounters"
    "glscurrentfieldvalue"
    "newglossaryentry"
    "glsunset"
    "glspatchtabularx"
    "glsenableentrycount"
    "glsdefaulttype"
    "glslinkvar"
    "theHglsentrycounter"
    "glslabel"
    "glsifplural"
    "glscapscase"
    "glscustomtext"
    "glsentryshort"
    "glsnumberformat"
    "GlsSetQuote"
    "noexpand"
    "writeist"
    "makenoidxglossaries"
    "makeglossary"
    "makeglossaries"
    "glsnoidxdisplayloc"
    "glsseeformat"
    "istfile"
    "expandonce"
    "orgthe"
    "orgnumber"
    "orgarabic"
    "orgromannumeral"
    "orgalph"
    "orgAlph"
    "orgRoman"
    "the"
    "number"
    "romannumeral"
    "currentglossary"
    "glsnonextpages"
    "glsnextpages"
    "nopostdesc"
    "glossarytitle"
    "glossarytoctitle"
    "glossaryentrynumbers"
    "theHglossaryentry"
    "theHglossarysubentry"
    "glossentry"
    "subglossentry"
    "glsentrycounter"
    "glshypernumber"
    "acs"
    "Acs"
    "acsp"
    "Acsp"
    "acl"
    "aclp"
    "Acl"
    "Aclp"
    "acf"
    "acfp"
    "Acf"
    "Acfp"
    "ac"
    "Ac"
    "acp"
    "Acp"
    "glsinsert")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)
    '("solutionorgrid" LaTeX-env-args ["argument"] 0)
    '("solutionordottedlines" LaTeX-env-args ["argument"] 0)
    '("solutionorlines" LaTeX-env-args ["argument"] 0)
    '("solutionorbox" LaTeX-env-args ["argument"] 0)
    '("solution" LaTeX-env-args ["argument"] 0)
    '("multiplechoice" LaTeX-env-args ["argument"] 0)
    '("shortanswer" LaTeX-env-args ["argument"] 0)
    '("truefalse" LaTeX-env-args ["argument"] 0)
    '("fillin" LaTeX-env-args ["argument"] 0)
    '("matching" LaTeX-env-args ["argument"] 0)
    '("solutionseries" LaTeX-env-args ["argument"] 2)
    '("exerciseseries" LaTeX-env-args ["argument"] 1)
    '("exercises" LaTeX-env-args ["argument"] 0)
    '("flagderiv" LaTeX-env-args ["argument"] 0)
    '("flashcard" LaTeX-env-args ["argument"] 1)
    '("fullminipage" LaTeX-env-args ["argument"] 0)
    '("gmatrix" LaTeX-env-args ["argument"] 0)
    "theglossary")
   (LaTeX-add-index-entries
    "#2")
   (LaTeX-add-counters
    "glossaryentry"
    "glossarysubentry")
   (LaTeX-add-lengths
    "gls"))
 :latex)

