(TeX-add-style-hook
 "latexrelease"
 (lambda ()
   (TeX-run-style-hooks
    "load-unicode-xetex-classes")
   (TeX-add-symbols
    '("textsubscript" 1)
    '("raisebox" 1)
    '("savebox" 1)
    "em"
    "unicoderead"
    "XeTeXcharclassID"
    "XeTeXcharclassOP"
    "XeTeXcharclassCL"
    "XeTeXcharclassEX"
    "XeTeXcharclassIS"
    "XeTeXcharclassNS"
    "XeTeXcharclassCM"
    "IncludeInRelease"
    "EndIncludeInRelease"
    "requestedpatchdate"
    "fmtversion"
    "currentLaTeXdate"
    "noexpand"
    "MakeRobust"
    "makebox"
    "savebox"
    "framebox"
    "parbox"
    "rule"
    "raisebox"
    "normalsfcodes"
    "AtBeginDocument"
    "DeclareTextCompositeCommand"
    "textcommabelow"
    "textcommaabove"
    "TextOrMath"
    "setlength"
    "textsubscript"
    "label"
    "index"
    "glossary"
    "firstmark"
    "topmark"
    "ExecuteOptions"
    "addpenalty"
    "newcount"
    "newdimen"
    "newskip"
    "newmuskip"
    "newbox"
    "newtoks"
    "newread"
    "newwrite"
    "newlanguage"
    "newfam"
    "extrafloats"
    "newinsert"
    "tracingnone"
    "hideoutput"
    "eminnershape"
    "showhyphens"
    "newmathalphabet"
    "addtoversion"
    "setrangecatcode"
    "parseunicodedataI"
    "parseunicodedataII"
    "parseunicodedataIII"
    "parseunicodedataIV"
    "parseunicodedataV"
    "storedpar"
    "newattribute"
    "setattribute"
    "unsetattribute"
    "newcatcodetable"
    "newluafunction"
    "newwhatsit"
    "newluabytecode"
    "newluachunkname"
    "string"
    "encodingdefault"
    "newmarks"
    "newXeTeXintercharclass"
    "xtxHanGlue"
    "xtxHanSpace")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)))
 :latex)

