(TeX-add-style-hook
 "letter"
 (lambda ()
   (TeX-run-style-hooks
    "leqno"
    "fleqn")
   (TeX-add-symbols
    '("descriptionlabel" 1)
    '("mlabel" 2)
    '("encl" 1)
    '("cc" 1)
    '("closing" 1)
    '("opening" 1)
    '("telephone" 1)
    '("location" 1)
    '("address" 1)
    '("signature" 1)
    '("name" 1)
    "makelabels"
    "stopbreaks"
    "startbreaks"
    "longindentation"
    "indentedwidth"
    "ps"
    "stopletter"
    "returnaddress"
    "labelcount"
    "startlabels"
    "rm"
    "sf"
    "tt"
    "bf"
    "it"
    "sl"
    "sc"
    "cal"
    "mit"
    "ccname"
    "enclname"
    "pagename"
    "headtoname"
    "today"
    "fromname"
    "fromsig"
    "fromaddress"
    "fromlocation"
    "telephonenum"
    "protect"
    "toname"
    "toaddress"
    "vspace"
    "makelabel")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("letter" 1)
    "description"
    "verse"
    "quotation"
    "quote")
   (LaTeX-add-pagestyles
    "headings"
    "empty"
    "firstpage"
    "plain"))
 :latex)

