(TeX-add-style-hook
 "oldlfont"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("tracefnt" "errorshow")))
   (TeX-run-style-hooks
    "tracefnt"
    "latexsym")
   (TeX-add-symbols
    "rm"
    "sf"
    "sl"
    "bf"
    "sc"
    "it"
    "tt"
    "em"
    "mit"
    "cal"
    "mathit")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)))
 :latex)

