(TeX-add-style-hook
 "report"
 (lambda ()
   (TeX-run-style-hooks
    "leqno"
    "fleqn")
   (TeX-add-symbols
    '("descriptionlabel" 1)
    '("chaptermark" 1)
    "part"
    "chapter"
    "section"
    "subsection"
    "subsubsection"
    "paragraph"
    "subparagraph"
    "appendix"
    "rm"
    "sf"
    "tt"
    "bf"
    "it"
    "sl"
    "sc"
    "cal"
    "mit"
    "tableofcontents"
    "l"
    "listoffigures"
    "listoftables"
    "bibindent"
    "newblock"
    "subitem"
    "subsubitem"
    "indexspace"
    "contentsname"
    "listfigurename"
    "listtablename"
    "bibname"
    "indexname"
    "figurename"
    "tablename"
    "partname"
    "chaptername"
    "appendixname"
    "abstractname"
    "chaptermark"
    "sectionmark"
    "footnotesize"
    "footnoterule"
    "thanks"
    "maketitle"
    "title"
    "author"
    "date"
    "and"
    "makelabel"
    "item"
    "today")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("thebibliography" 1)
    "description"
    "abstract"
    "verse"
    "quotation"
    "quote"
    "titlepage"
    "figure"
    "table"
    "theindex")
   (LaTeX-add-pagestyles
    "headings"
    "myheadings")
   (LaTeX-add-counters
    "part"
    "chapter"
    "section"
    "subsection"
    "subsubsection"
    "paragraph"
    "subparagraph"
    "figure"
    "table")
   (LaTeX-add-lengths
    "abovecaptionskip"
    "belowcaptionskip"))
 :latex)

