(TeX-add-style-hook
 "scrlayer"
 (lambda ()
   (TeX-run-style-hooks
    "scrkbase")
   (TeX-add-symbols
    '("scrlayerOnAutoRemoveInterface" ["argument"] 1)
    '("scrlayerInitInterface" ["argument"] 0)
    '("scrlayerAddCsToInterface" ["argument"] 2)
    '("scrlayerAddToInterface" ["argument"] 1)
    '("RedeclarePageStyleByLayers" ["argument"] 1)
    '("ProvidePageStyleByLayers" ["argument"] 2)
    '("DeclareNewPageStyleByLayers" ["argument"] 1)
    '("DeclarePageStyleByLayers" ["argument"] 2)
    '("ModifyLayer" ["argument"] 1)
    '("RedeclareLayer" ["argument"] 1)
    '("ProvideLayer" ["argument"] 1)
    '("DeclareNewLayer" ["argument"] 1)
    '("DeclareLayer" ["argument"] 1)
    '("AfterSelectAnyPageStyle" 1)
    '("BeforeSelectAnyPageStyle" 1)
    '("DestroyRealLayerPageStyle" 1)
    '("IfLayersAtPageStyle" 2)
    '("IfSomeLayersAtPageStyle" 2)
    '("IfLayerAtPageStyle" 2)
    '("IfRealLayerPageStyleExists" 1)
    '("IfLayerPageStyleExists" 1)
    '("GetRealPageStyle" 1)
    '("DestroyPageStyleAlias" 1)
    '("RedeclarePageStyleAlias" 1)
    '("ProvidePageStyleAlias" 2)
    '("DeclareNewPageStyleAlias" 1)
    '("DeclarePageStyleAlias" 2)
    '("AddToLayerPageStyleOptions" 2)
    '("ModifyLayerPageStyleOptions" 2)
    '("UnifyLayersAtPageStyle" 1)
    '("AddLayersToPageStyleBeforeLayer" 3)
    '("AddLayersToPageStyleAfterLayer" 3)
    '("RemoveLayersFromPageStyle" 2)
    '("AddLayersAtBeginOfPageStyle" 2)
    '("AddLayersToPageStyle" 2)
    '("layerpicturemode" 1)
    '("layertextmode" 1)
    '("layerrawmode" 1)
    '("LenToUnit" 1)
    '("DestroyLayer" 1)
    '("GetLayerContents" 1)
    '("IfLayerExists" 1)
    '("DeclareSectionNumberDepth" 2)
    '("markleft" 1)
    '("GenericMarkFormat" 1)
    "rightfirstmark"
    "rightbotmark"
    "righttopmark"
    "leftfirstmark"
    "leftbotmark"
    "lefttopmark"
    "pagemark"
    "pnumfont"
    "scr"
    "partmarkformat"
    "chaptermarkformat"
    "sectionmarkformat"
    "GenericMarkFormat"
    "manualmark"
    "automark"
    "ifscrlayer"
    "def"
    "layercontentsmeasure"
    "ForEachLayerOfPageStyle"
    "AddLayersAtEndOfPageStyle"
    "remove"
    "KOMAScript"
    "MakeMarkcase"
    "label"
    "index"
    "glossary"
    "headmark"
    "layervalign"
    "layerhalign"
    "MakeUppercase"
    "uppercase"
    "putLL"
    "putUL"
    "putLR"
    "putUR"
    "putC"
    "currentpagestyle"
    "aftergroup")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)
    '("solutionorgrid" LaTeX-env-args ["argument"] 0)
    '("solutionordottedlines" LaTeX-env-args ["argument"] 0)
    '("solutionorlines" LaTeX-env-args ["argument"] 0)
    '("solutionorbox" LaTeX-env-args ["argument"] 0)
    '("solution" LaTeX-env-args ["argument"] 0)
    '("multiplechoice" LaTeX-env-args ["argument"] 0)
    '("shortanswer" LaTeX-env-args ["argument"] 0)
    '("truefalse" LaTeX-env-args ["argument"] 0)
    '("fillin" LaTeX-env-args ["argument"] 0)
    '("matching" LaTeX-env-args ["argument"] 0)
    '("solutionseries" LaTeX-env-args ["argument"] 2)
    '("exerciseseries" LaTeX-env-args ["argument"] 1)
    '("exercises" LaTeX-env-args ["argument"] 0)
    '("flagderiv" LaTeX-env-args ["argument"] 0)
    '("flashcard" LaTeX-env-args ["argument"] 1)
    '("fullminipage" LaTeX-env-args ["argument"] 0)
    '("gmatrix" LaTeX-env-args ["argument"] 0)
    '("maszynopis" LaTeX-env-args ["argument"] 0)
    '("gnuplot" LaTeX-env-args ["argument"] 0)
    '("Encap" LaTeX-env-args ["argument"] 3)
    '("Row" LaTeX-env-args ["argument"] 0)
    '("row" LaTeX-env-args ["argument"] 2)
    '("arttitsub" LaTeX-env-args ["argument"] 2)
    '("artsubtit" LaTeX-env-args ["argument"] 2)
    '("art" LaTeX-env-args ["argument"] 1)
    '("widedesc" LaTeX-env-args ["argument"] 0)
    '("flexlist" LaTeX-env-args ["argument"] 1)
    '("hvFloatEnv" LaTeX-env-args ["argument"] 0)
    '("inctext" LaTeX-env-args ["argument"] 0)
    '("labeling" LaTeX-env-args ["argument"] 1)
    '("KeyValTable" LaTeX-env-args ["argument"] 1)
    '("pattern" LaTeX-env-args ["argument"] 2))
   (LaTeX-add-pagestyles
    "test")
   (LaTeX-add-lengths
    "footheight"))
 :latex)

