(TeX-add-style-hook
 "xyling"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("xy" "color" "all" "dvips")))
   (TeX-run-style-hooks
    "xy"
    "color"
    "ifthen")
   (TeX-add-symbols
    '("PXr" ["argument"] 1)
    '("PXl" ["argument"] 1)
    '("PX" ["argument"] 1)
    '("Lnd" ["argument"] 1)
    '("Ln" ["argument"] 1)
    '("Del" ["argument"] 0)
    '("Tname" ["argument"] 1)
    '("Sl" ["argument"] 1)
    '("Slk" ["argument"] 2)
    '("COnr" ["argument"] 2)
    '("COnl" ["argument"] 2)
    '("COnk" ["argument"] 2)
    '("SCOn" ["argument"] 1)
    '("COnnn" ["argument"] 1)
    '("COnn" ["argument"] 1)
    '("COn" ["argument"] 1)
    '("TExt" ["argument"] 1)
    '("TExtk" ["argument"] 2)
    '("Rkt" ["argument"] 3)
    '("Rk" ["argument"] 3)
    '("Rkk" ["argument"] 3)
    '("RqO" ["argument"] 1)
    '("RoQ" ["argument"] 1)
    '("RQ" ["argument"] 1)
    '("Rq" ["argument"] 1)
    '("RqQ" ["argument"] 1)
    '("RO" ["argument"] 1)
    '("Ro" ["argument"] 1)
    '("RoO" ["argument"] 1)
    '("R" ["argument"] 1)
    '("TRiD" ["argument"] 0)
    '("DTRi" ["argument"] 0)
    '("TRi" ["argument"] 0)
    '("TRikk" ["argument"] 2)
    '("LinkkO" ["argument"] 2)
    '("Linkko" ["argument"] 2)
    '("UpLinkkoO" ["argument"] 2)
    '("LinkkoO" ["argument"] 2)
    '("Linkred" ["argument"] 1)
    '("Linkkred" ["argument"] 2)
    '("Linkblue" ["argument"] 1)
    '("Linkkblue" ["argument"] 2)
    '("UPLINK" ["argument"] 3)
    '("LINK" ["argument"] 3)
    '("UPLINKK" ["argument"] 4)
    '("LINKK" ["argument"] 4)
    '("UpLink" ["argument"] 1)
    '("Link" ["argument"] 1)
    '("UpLinkk" ["argument"] 2)
    '("Linkk" ["argument"] 2)
    '("QS" ["argument"] 2)
    '("DLqO" ["argument"] 0)
    '("DRqO" ["argument"] 0)
    '("DLoQ" ["argument"] 0)
    '("DRoQ" ["argument"] 0)
    '("DLqQ" ["argument"] 0)
    '("DRqQ" ["argument"] 0)
    '("DLQ" ["argument"] 0)
    '("DRQ" ["argument"] 0)
    '("DLq" ["argument"] 0)
    '("DRq" ["argument"] 0)
    '("QQgray" ["argument"] 1)
    '("QQgreen" ["argument"] 1)
    '("QQblue" ["argument"] 1)
    '("QQred" ["argument"] 1)
    '("QQ" ["argument"] 0)
    '("DLO" ["argument"] 0)
    '("DRO" ["argument"] 0)
    '("DLoO" ["argument"] 0)
    '("DRoO" ["argument"] 0)
    '("DLo" ["argument"] 0)
    '("DRo" ["argument"] 0)
    '("OOgray" ["argument"] 1)
    '("OOgreen" ["argument"] 1)
    '("OOblue" ["argument"] 1)
    '("OOred" ["argument"] 1)
    '("OOk" ["argument"] 1)
    '("OO" ["argument"] 0)
    '("ARdashred" ["argument"] 1)
    '("ARdotred" ["argument"] 1)
    '("ARred" ["argument"] 1)
    '("ARdashblue" ["argument"] 1)
    '("ARdotblue" ["argument"] 1)
    '("ARblue" ["argument"] 1)
    '("Tgray" ["argument"] 1)
    '("Tgreen" ["argument"] 1)
    '("Tred" ["argument"] 1)
    '("Tblue" ["argument"] 1)
    '("Bgray" ["argument"] 1)
    '("Bgreen" ["argument"] 1)
    '("Bred" ["argument"] 1)
    '("Bblue" ["argument"] 1)
    '("Kgray" ["argument"] 1)
    '("Kkgray" ["argument"] 2)
    '("Kgreen" ["argument"] 1)
    '("Kkgreen" ["argument"] 2)
    '("Kred" ["argument"] 1)
    '("Kkred" ["argument"] 2)
    '("Kblue" ["argument"] 1)
    '("Kkblue" ["argument"] 2)
    '("Klfg" ["argument"] 1)
    '("Treelfg" ["argument"] 1)
    '("Trace" ["argument"] 0)
    '("Belowk" ["argument"] 2)
    '("Below" ["argument"] 1)
    '("T" ["argument"] 1)
    '("Dzero" ["argument"] 0)
    '("Pzero" ["argument"] 0)
    '("Czero" ["argument"] 0)
    '("Auxzero" ["argument"] 0)
    '("Izero" ["argument"] 0)
    '("Vzero" ["argument"] 0)
    '("Nzero" ["argument"] 0)
    '("NP" ["argument"] 0)
    '("AuxP" ["argument"] 0)
    '("DP" ["argument"] 0)
    '("PP" ["argument"] 0)
    '("CP" ["argument"] 0)
    '("IP" ["argument"] 0)
    '("VP" ["argument"] 0)
    '("VRR" ["argument"] 0)
    '("VLL" ["argument"] 0)
    '("VVL" ["argument"] 0)
    '("VVR" ["argument"] 0)
    '("VVV" ["argument"] 0)
    '("VL" ["argument"] 0)
    '("VR" ["argument"] 0)
    '("VV" ["argument"] 0)
    '("V" ["argument"] 0)
    '("DRRRk" ["argument"] 1)
    '("DRRk" ["argument"] 1)
    '("DRk" ["argument"] 1)
    '("DLLLk" ["argument"] 1)
    '("DLLk" ["argument"] 1)
    '("DLk" ["argument"] 1)
    '("DRRR" ["argument"] 0)
    '("DRR" ["argument"] 0)
    '("DR" ["argument"] 0)
    '("DLLL" ["argument"] 0)
    '("DLL" ["argument"] 0)
    '("DL" ["argument"] 0)
    '("D" ["argument"] 0)
    '("GB" ["argument"] 2)
    '("ARwav" ["argument"] 1)
    '("Bwav" ["argument"] 1)
    '("ARdash" ["argument"] 1)
    '("Bdash" ["argument"] 1)
    '("ARdot" ["argument"] 1)
    '("Bdot" ["argument"] 1)
    '("AR" ["argument"] 1)
    '("B" ["argument"] 1)
    '("K" ["argument"] 1)
    '("Kk" ["argument"] 2)
    '("Treek" ["argument"] 2)
    '("Tree" ["argument"] 1)
    '("PGr" 2)
    '("PGc" 2)
    '("PG" 2)
    '("Lnk" 3)
    '("TXT" 1)
    '("Txt" 1)
    '("TRik" 2)
    '("BO" 1)
    '("Bo" 1)
    '("BoO" 1)
    '("Bkgray" 3)
    '("Bkkgray" 3)
    '("Bkgreen" 3)
    '("Bkkgreen" 3)
    '("Bkred" 3)
    '("Bkkred" 3)
    '("Bkblue" 3)
    '("Bkkblue" 3)
    '("Blfg" 1)
    '("Dk" 2)
    '("GBk" 4)
    '("GBkk" 4)
    '("Bkwav" 3)
    '("Bkdot" 3)
    '("Bkdash" 3)
    '("Bkkwav" 3)
    '("Bkkdot" 3)
    '("Bkkdash" 3)
    '("ARk" 3)
    '("ARkk" 3)
    '("Bk" 3)
    '("Bkk" 3)
    "Vbar"
    "Ibar"
    "Cbar"
    "Nbar"
    "Auxbar"
    "Vlfg"
    "Vblue"
    "Vred"
    "Vgreen"
    "Vgray"
    "Do"
    "DO"
    "DoO"
    "ODO"
    "OD"
    "DRRo"
    "DLLo"
    "DRRoO"
    "DLLoO"
    "DRRO"
    "DLLO"
    "DRRRo"
    "DLLLo"
    "DRRRoO"
    "DLLLoO"
    "DRRRO"
    "DLLLO"
    "VoO"
    "VO"
    "Vo"
    "VVoO"
    "VVO"
    "VVo"
    "VVVoO"
    "VVVO"
    "VVVo"
    "OV"
    "OVoO"
    "OVO"
    "OVo"
    "Dq"
    "DQ"
    "DqO"
    "DoQ"
    "DqQ"
    "Lnu"
    "Lndu"
    "M"
    "Mk"
    "LL"
    "LLk"
    "LLL"
    "RR"
    "RRk"
    "RRR"
    "baum"
    "drunter"
    "DRUNTER"
    "ATRi"
    "BELOW"
    "CON")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)
    '("solutionorgrid" LaTeX-env-args ["argument"] 0)
    '("solutionordottedlines" LaTeX-env-args ["argument"] 0)
    '("solutionorlines" LaTeX-env-args ["argument"] 0)
    '("solutionorbox" LaTeX-env-args ["argument"] 0)
    '("solution" LaTeX-env-args ["argument"] 0)
    '("multiplechoice" LaTeX-env-args ["argument"] 0)
    '("shortanswer" LaTeX-env-args ["argument"] 0)
    '("truefalse" LaTeX-env-args ["argument"] 0)
    '("fillin" LaTeX-env-args ["argument"] 0)
    '("matching" LaTeX-env-args ["argument"] 0)
    '("solutionseries" LaTeX-env-args ["argument"] 2)
    '("exerciseseries" LaTeX-env-args ["argument"] 1)
    '("exercises" LaTeX-env-args ["argument"] 0)
    '("flagderiv" LaTeX-env-args ["argument"] 0)
    '("flashcard" LaTeX-env-args ["argument"] 1)
    '("fullminipage" LaTeX-env-args ["argument"] 0)
    '("gmatrix" LaTeX-env-args ["argument"] 0)
    '("maszynopis" LaTeX-env-args ["argument"] 0)
    '("gnuplot" LaTeX-env-args ["argument"] 0)
    '("Encap" LaTeX-env-args ["argument"] 3)
    '("Row" LaTeX-env-args ["argument"] 0)
    '("row" LaTeX-env-args ["argument"] 2)
    '("arttitsub" LaTeX-env-args ["argument"] 2)
    '("artsubtit" LaTeX-env-args ["argument"] 2)
    '("art" LaTeX-env-args ["argument"] 1)
    '("widedesc" LaTeX-env-args ["argument"] 0)
    '("flexlist" LaTeX-env-args ["argument"] 1)
    '("hvFloatEnv" LaTeX-env-args ["argument"] 0)
    '("inctext" LaTeX-env-args ["argument"] 0)
    '("labeling" LaTeX-env-args ["argument"] 1)
    '("KeyValTable" LaTeX-env-args ["argument"] 1)
    '("pattern" LaTeX-env-args ["argument"] 2)
    '("letter" LaTeX-env-args ["argument"] 1)
    '("InstanceDescription" LaTeX-env-args ["argument"] 3)
    '("edtable" LaTeX-env-args ["argument"] 1)
    '("longbox" LaTeX-env-args ["argument"] 0)
    '("longfbox" LaTeX-env-args ["argument"] 0)
    '("lpic" LaTeX-env-args ["argument"] 1)
    '("FullLsc" LaTeX-env-args ["argument"] 7)
    '("Lsc" LaTeX-env-args ["argument"] 3)
    '("lsccreateinst" LaTeX-env-args ["argument"] 3)
    '("lscinst" LaTeX-env-args ["argument"] 1)
    '("simregion" LaTeX-env-args ["argument"] 0)
    '("coregion" LaTeX-env-args ["argument"] 0)
    '("ltssidetoks" LaTeX-env-args ["argument"] 1)
    '("ltsfnquote" LaTeX-env-args ["argument"] 0)
    '("subfloatrow" LaTeX-env-args ["argument"] 0)
    '("floatrow" LaTeX-env-args ["argument"] 0)
    '("longtable" LaTeX-env-args ["argument"] 1)
    '("tablenotes" LaTeX-env-args ["argument"] 0)
    '("threeparttable" LaTeX-env-args ["argument"] 0)
    '("lateximage" LaTeX-env-args ["argument"] 0)
    '("empheq" LaTeX-env-args ["argument"] 1)
    '("multlined" LaTeX-env-args ["argument"] 0)
    '("mdframed" LaTeX-env-args ["argument"] 0)
    '("vplace" LaTeX-env-args ["argument"] 0)
    '("margintable" LaTeX-env-args ["argument"] 0)
    '("marginfigure" LaTeX-env-args ["argument"] 0)
    '("verse" LaTeX-env-args ["argument"] 0)
    '("menufolder" LaTeX-env-args ["argument"] 1)
    '("metrike" LaTeX-env-args ["argument"] 0)
    '("metrica" LaTeX-env-args ["argument"] 0)
    '("explaincode" LaTeX-env-args ["argument"] 0)
    '("minipagewithmarginpars" LaTeX-env-args ["argument"] 1)
    '("arrangedWrapFigureNow" LaTeX-env-args ["argument"] 6)
    '("arrangedWrapFigure" LaTeX-env-args ["argument"] 6)
    '("arrangedSideWaysFigureNow" LaTeX-env-args ["argument"] 4)
    '("arrangedSideWaysFigure" LaTeX-env-args ["argument"] 4)
    '("arrangedFigureNow" LaTeX-env-args ["argument"] 4)
    '("arrangedFigure" LaTeX-env-args ["argument"] 4)
    '("mtchideinmainlot" LaTeX-env-args ["argument"] 0)
    '("mtchideinmainlof" LaTeX-env-args ["argument"] 0)
    '("mtchideinmaintoc" LaTeX-env-args ["argument"] 0)
    '("minted" LaTeX-env-args ["argument"] 1)
    '("Minutes" LaTeX-env-args ["argument"] 1)
    '("quiz" LaTeX-env-args ["argument"] 1)
    '("mpostfig" LaTeX-env-args ["argument"] 0)
    '("mpostdef" LaTeX-env-args ["argument"] 0)
    '("hmsc" LaTeX-env-args ["argument"] 1)
    '("mscdoc" LaTeX-env-args ["argument"] 1)
    '("msc" LaTeX-env-args ["argument"] 1)
    '("multienumerate" LaTeX-env-args ["argument"] 0)
    '("alloweqbreak" LaTeX-env-args ["argument"] 0)
    '("biblist" LaTeX-env-args ["argument"] 1)
    '("fleqn" LaTeX-env-args ["argument"] 0)
    '("darray" LaTeX-env-args ["argument"] 1)
    '("definition" LaTeX-env-args ["argument"] 0)
    '("tntable" LaTeX-env-args ["argument"] 1)
    '("NumericDataPlot" LaTeX-env-args ["argument"] 2)
    '("tabularkv" LaTeX-env-args ["argument"] 0)
    '("outline" LaTeX-env-args ["argument"] 0)
    '("overpic" LaTeX-env-args ["argument"] 1)
    '("describe" LaTeX-env-args ["argument"] 0)
    '("Parallel" LaTeX-env-args ["argument"] 2)
    '("pdfsidelinecomment" LaTeX-env-args ["argument"] 1)
    '("object" LaTeX-env-args ["argument"] 2)
    '("abstractclass" LaTeX-env-args ["argument"] 2)
    '("interface" LaTeX-env-args ["argument"] 2)
    '("class" LaTeX-env-args ["argument"] 2)
    '("sdblock" LaTeX-env-args ["argument"] 2)
    '("messcall" LaTeX-env-args ["argument"] 3)
    '("callself" LaTeX-env-args ["argument"] 3)
    '("callanother" LaTeX-env-args ["argument"] 4)
    '("call" LaTeX-env-args ["argument"] 4)
    '("ganttchart" LaTeX-env-args ["argument"] 2)
    '("fullpagefigure" LaTeX-env-args ["argument"] 0)
    '("Photo" LaTeX-env-args ["argument"] 2)
    '("Arabic" LaTeX-env-args ["argument"] 0)
    '("onlyproblem" LaTeX-env-args ["argument"] 0)
    '("onlysolution" LaTeX-env-args ["argument"] 0)
    '("defproblem" LaTeX-env-args ["argument"] 0)
    '("BottomFace" LaTeX-env-args ["argument"] 0)
    '("TopFace" LaTeX-env-args ["argument"] 0)
    '("RightFace" LaTeX-env-args ["argument"] 0)
    '("LeftFace" LaTeX-env-args ["argument"] 0)
    '("BackFace" LaTeX-env-args ["argument"] 0)
    '("FrontFace" LaTeX-env-args ["argument"] 0)
    '("ProductBox" LaTeX-env-args ["argument"] 0)
    '("SlideOverlay" LaTeX-env-args ["argument"] 1)
    '("SlideNormal" LaTeX-env-args ["argument"] 1)
    '("postscript" LaTeX-env-args ["argument"] 0)
    '("Xverbatim" LaTeX-env-args ["argument"] 1)
    '("savequote" LaTeX-env-args ["argument"] 0)
    '("quoting" LaTeX-env-args ["argument"] 0)
    '("randbildbasis" LaTeX-env-args ["argument"] 2)
    '("randbild" LaTeX-env-args ["argument"] 2)
    '("regdesc" LaTeX-env-args ["argument"] 0)
    '("reglist" LaTeX-env-args ["argument"] 0)
    '("parcolumns" LaTeX-env-args ["argument"] 1)
    '("scratch" LaTeX-env-args ["argument"] 0)
    '("subsubsectionbox" LaTeX-env-args ["argument"] 1)
    '("subsectionbox" LaTeX-env-args ["argument"] 1)
    '("sectionbox" LaTeX-env-args ["argument"] 1)
    '("VERSE" LaTeX-env-args ["argument"] 0)
    '("Verse" LaTeX-env-args ["argument"] 0)
    '("Lpolylist" LaTeX-env-args ["argument"] 0)
    '("Rpolylist" LaTeX-env-args ["argument"] 0)
    '("Rautolist" LaTeX-env-args ["argument"] 0)
    '("Lautolist" LaTeX-env-args ["argument"] 0)
    '("SDVIG" LaTeX-env-args ["argument"] 0)
    '("etiketka" LaTeX-env-args ["argument"] 0)
    '("enum" LaTeX-env-args ["argument"] 0)
    '("collectbody" LaTeX-env-args ["argument"] 0)
    '("sseq" LaTeX-env-args ["argument"] 2)
    '("DCmetadata" LaTeX-env-args ["argument"] 0)
    '("module" LaTeX-env-args ["argument"] 0)
    '("sboxquote" LaTeX-env-args ["argument"] 0)
    '("sblockquote" LaTeX-env-args ["argument"] 0)
    '("omtext" LaTeX-env-args ["argument"] 0)
    '("exhint" LaTeX-env-args ["argument"] 0)
    '("hint" LaTeX-env-args ["argument"] 0)
    '("exnote" LaTeX-env-args ["argument"] 0)
    '("viewnl" LaTeX-env-args ["argument"] 4)
    '("modnl" LaTeX-env-args ["argument"] 2)
    '("viewsig" LaTeX-env-args ["argument"] 3)
    '("modsig" LaTeX-env-args ["argument"] 1)
    '("justification" LaTeX-env-args ["argument"] 0)
    '("spfcase" LaTeX-env-args ["argument"] 1)
    '("spfcases" LaTeX-env-args ["argument"] 1)
    '("subproof" LaTeX-env-args ["argument"] 1)
    '("sproofcomment" LaTeX-env-args ["argument"] 0)
    '("spfstep" LaTeX-env-args ["argument"] 0)
    '("sProof" LaTeX-env-args ["argument"] 1)
    '("sproof" LaTeX-env-args ["argument"] 1)
    '("spfeq" LaTeX-env-args ["argument"] 1)
    '("seqnarray" LaTeX-env-args ["argument"] 0)
    '("sequation" LaTeX-env-args ["argument"] 0)
    '("typedec" LaTeX-env-args ["argument"] 1)
    '("symboldec" LaTeX-env-args ["argument"] 0)
    '("assertion" LaTeX-env-args ["argument"] 0)
    '("viewsketch" LaTeX-env-args ["argument"] 2)
    '("view" LaTeX-env-args ["argument"] 2)
    '("importmodulevia" LaTeX-env-args ["argument"] 1)
    '("taggedline" LaTeX-env-args ["argument"] 1)
    '("checkhyphens" LaTeX-env-args ["argument"] 0)
    '("compacteqlist" LaTeX-env-args ["argument"] 0)
    '("stepcompactenum" LaTeX-env-args ["argument"] 0)
    '("stepcompactitem" LaTeX-env-args ["argument"] 0)
    '("stepcompacteqlist" LaTeX-env-args ["argument"] 0)
    '("stepeqlist" LaTeX-env-args ["argument"] 0)
    '("stepenum" LaTeX-env-args ["argument"] 0)
    '("stepdesc" LaTeX-env-args ["argument"] 0)
    '("stepitem" LaTeX-env-args ["argument"] 0)
    '("dimcompactenum" LaTeX-env-args ["argument"] 0)
    '("dimcompactitem" LaTeX-env-args ["argument"] 0)
    '("dimcompacteqlist" LaTeX-env-args ["argument"] 0)
    '("dimeqlist" LaTeX-env-args ["argument"] 0)
    '("dimenum" LaTeX-env-args ["argument"] 0)
    '("dimdesc" LaTeX-env-args ["argument"] 0)
    '("dimitem" LaTeX-env-args ["argument"] 0)
    '("flipcompactenum" LaTeX-env-args ["argument"] 0)
    '("flipcompactitem" LaTeX-env-args ["argument"] 0)
    '("flipcompacteqlist" LaTeX-env-args ["argument"] 0)
    '("flipeqlist" LaTeX-env-args ["argument"] 0)
    '("flipenum" LaTeX-env-args ["argument"] 0)
    '("flipdesc" LaTeX-env-args ["argument"] 0)
    '("flipitem" LaTeX-env-args ["argument"] 0)
    '("texshade" LaTeX-env-args ["argument"] 1)
    '("leftbar" LaTeX-env-args ["argument"] 0)
    '("thmbox" LaTeX-env-args ["argument"] 1)
    '("measuredfigure" LaTeX-env-args ["argument"] 0)
    '("TableNotes" LaTeX-env-args ["argument"] 0)
    '("dependency" LaTeX-env-args ["argument"] 0)
    '("tikztimingtable" LaTeX-env-args ["argument"] 0)
    '("tikzfigure" LaTeX-env-args ["argument"] 0)
    '("NodesList" LaTeX-env-args ["argument"] 0)
    '("CheckList" LaTeX-env-args ["argument"] 1)
    '("upmquestion" LaTeX-env-args ["argument"] 0)
    '("upminfo" LaTeX-env-args ["argument"] 0)
    '("upmcaution" LaTeX-env-args ["argument"] 0)
    '("enumdescription" LaTeX-env-args ["argument"] 0)
    '("enumdescriptionx" LaTeX-env-args ["argument"] 2)
    '("umlinpar" LaTeX-env-args ["argument"] 1)
    '("mtable" LaTeX-env-args ["argument"] 5)
    '("mtabular" LaTeX-env-args ["argument"] 2)
    '("mfigures" LaTeX-env-args ["argument"] 2)
    '("detailspec" LaTeX-env-args ["argument"] 1)
    '("doubleitem" LaTeX-env-args ["argument"] 1)
    '("rightitem" LaTeX-env-args ["argument"] 1)
    '("leftitem" LaTeX-env-args ["argument"] 1)
    '("doubleslide" LaTeX-env-args ["argument"] 1)
    '("myverbbox" LaTeX-env-args ["argument"] 1)
    '("origverbbox" LaTeX-env-args ["argument"] 0)
    '("node" LaTeX-env-args ["argument"] 1)
    '("antree" LaTeX-env-args ["argument"] 1)
    '("testcolors" LaTeX-env-args ["argument"] 0))
   (LaTeX-add-counters
    "PXcnt")
   (LaTeX-add-lengths
    "TXTwidth"
    "GLOSSwidth"
    "PGwidth"))
 :latex)

